#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1240
#define LARGE_STATE_COUNT 22
#define SYMBOL_COUNT 207
#define ALIAS_COUNT 4
#define TOKEN_COUNT 92
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 105

enum {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_SEMI = 3,
  anon_sym_package = 4,
  anon_sym_import = 5,
  anon_sym_DOT = 6,
  sym_blank_identifier = 7,
  anon_sym_LPAREN = 8,
  anon_sym_RPAREN = 9,
  anon_sym_const = 10,
  anon_sym_COMMA = 11,
  anon_sym_EQ = 12,
  anon_sym_var = 13,
  anon_sym_func = 14,
  anon_sym_LBRACK = 15,
  anon_sym_RBRACK = 16,
  anon_sym_DOT_DOT_DOT = 17,
  anon_sym_type = 18,
  anon_sym_STAR = 19,
  anon_sym_struct = 20,
  anon_sym_LBRACE = 21,
  anon_sym_RBRACE = 22,
  anon_sym_interface = 23,
  anon_sym_PIPE = 24,
  anon_sym_TILDE = 25,
  anon_sym_map = 26,
  anon_sym_chan = 27,
  anon_sym_LT_DASH = 28,
  anon_sym_COLON_EQ = 29,
  anon_sym_PLUS_PLUS = 30,
  anon_sym_DASH_DASH = 31,
  anon_sym_STAR_EQ = 32,
  anon_sym_SLASH_EQ = 33,
  anon_sym_PERCENT_EQ = 34,
  anon_sym_LT_LT_EQ = 35,
  anon_sym_GT_GT_EQ = 36,
  anon_sym_AMP_EQ = 37,
  anon_sym_AMP_CARET_EQ = 38,
  anon_sym_PLUS_EQ = 39,
  anon_sym_DASH_EQ = 40,
  anon_sym_PIPE_EQ = 41,
  anon_sym_CARET_EQ = 42,
  anon_sym_COLON = 43,
  anon_sym_fallthrough = 44,
  anon_sym_break = 45,
  anon_sym_continue = 46,
  anon_sym_goto = 47,
  anon_sym_return = 48,
  anon_sym_go = 49,
  anon_sym_defer = 50,
  anon_sym_if = 51,
  anon_sym_else = 52,
  anon_sym_for = 53,
  anon_sym_range = 54,
  anon_sym_switch = 55,
  anon_sym_case = 56,
  anon_sym_default = 57,
  anon_sym_select = 58,
  anon_sym_new = 59,
  anon_sym_make = 60,
  anon_sym_PLUS = 61,
  anon_sym_DASH = 62,
  anon_sym_BANG = 63,
  anon_sym_CARET = 64,
  anon_sym_AMP = 65,
  anon_sym_SLASH = 66,
  anon_sym_PERCENT = 67,
  anon_sym_LT_LT = 68,
  anon_sym_GT_GT = 69,
  anon_sym_AMP_CARET = 70,
  anon_sym_EQ_EQ = 71,
  anon_sym_BANG_EQ = 72,
  anon_sym_LT = 73,
  anon_sym_LT_EQ = 74,
  anon_sym_GT = 75,
  anon_sym_GT_EQ = 76,
  anon_sym_AMP_AMP = 77,
  anon_sym_PIPE_PIPE = 78,
  sym_raw_string_literal = 79,
  anon_sym_DQUOTE = 80,
  sym__interpreted_string_literal_basic_content = 81,
  sym_escape_sequence = 82,
  sym_int_literal = 83,
  sym_float_literal = 84,
  sym_imaginary_literal = 85,
  sym_rune_literal = 86,
  sym_nil = 87,
  sym_true = 88,
  sym_false = 89,
  sym_iota = 90,
  sym_comment = 91,
  sym_source_file = 92,
  sym_package_clause = 93,
  sym_import_declaration = 94,
  sym_import_spec = 95,
  sym_dot = 96,
  sym_import_spec_list = 97,
  sym__declaration = 98,
  sym_const_declaration = 99,
  sym_const_spec = 100,
  sym_var_declaration = 101,
  sym_var_spec = 102,
  sym_function_declaration = 103,
  sym_method_declaration = 104,
  sym_type_parameter_list = 105,
  sym_parameter_list = 106,
  sym_parameter_declaration = 107,
  sym_variadic_parameter_declaration = 108,
  sym_type_alias = 109,
  sym_type_declaration = 110,
  sym_type_spec = 111,
  sym_expression_list = 112,
  sym_parenthesized_type = 113,
  sym__simple_type = 114,
  sym_generic_type = 115,
  sym_type_arguments = 116,
  sym_pointer_type = 117,
  sym_array_type = 118,
  sym_implicit_length_array_type = 119,
  sym_slice_type = 120,
  sym_struct_type = 121,
  sym_field_declaration_list = 122,
  sym_field_declaration = 123,
  sym_interface_type = 124,
  sym__interface_body = 125,
  sym_interface_type_name = 126,
  sym_constraint_elem = 127,
  sym_constraint_term = 128,
  sym_method_spec = 129,
  sym_map_type = 130,
  sym_channel_type = 131,
  sym_function_type = 132,
  sym_block = 133,
  sym__statement_list = 134,
  sym__statement = 135,
  sym_empty_statement = 136,
  sym__simple_statement = 137,
  sym_send_statement = 138,
  sym_receive_statement = 139,
  sym_inc_statement = 140,
  sym_dec_statement = 141,
  sym_assignment_statement = 142,
  sym_short_var_declaration = 143,
  sym_labeled_statement = 144,
  sym_empty_labeled_statement = 145,
  sym_fallthrough_statement = 146,
  sym_break_statement = 147,
  sym_continue_statement = 148,
  sym_goto_statement = 149,
  sym_return_statement = 150,
  sym_go_statement = 151,
  sym_defer_statement = 152,
  sym_if_statement = 153,
  sym_for_statement = 154,
  sym_for_clause = 155,
  sym_range_clause = 156,
  sym_expression_switch_statement = 157,
  sym_expression_case = 158,
  sym_default_case = 159,
  sym_type_switch_statement = 160,
  sym__type_switch_header = 161,
  sym_type_case = 162,
  sym_select_statement = 163,
  sym_communication_case = 164,
  sym__expression = 165,
  sym_parenthesized_expression = 166,
  sym_call_expression = 167,
  sym_variadic_argument = 168,
  sym_special_argument_list = 169,
  sym_argument_list = 170,
  sym_selector_expression = 171,
  sym_index_expression = 172,
  sym_slice_expression = 173,
  sym_type_assertion_expression = 174,
  sym_type_conversion_expression = 175,
  sym_composite_literal = 176,
  sym_literal_value = 177,
  sym_keyed_element = 178,
  sym_element = 179,
  sym_func_literal = 180,
  sym_unary_expression = 181,
  sym_binary_expression = 182,
  sym_qualified_type = 183,
  sym_interpreted_string_literal = 184,
  aux_sym_source_file_repeat1 = 185,
  aux_sym_import_spec_list_repeat1 = 186,
  aux_sym_const_declaration_repeat1 = 187,
  aux_sym_const_spec_repeat1 = 188,
  aux_sym_var_declaration_repeat1 = 189,
  aux_sym_type_parameter_list_repeat1 = 190,
  aux_sym_parameter_list_repeat1 = 191,
  aux_sym_parameter_declaration_repeat1 = 192,
  aux_sym_type_declaration_repeat1 = 193,
  aux_sym_expression_list_repeat1 = 194,
  aux_sym_type_arguments_repeat1 = 195,
  aux_sym_field_declaration_list_repeat1 = 196,
  aux_sym_field_declaration_repeat1 = 197,
  aux_sym_interface_type_repeat1 = 198,
  aux_sym_constraint_elem_repeat1 = 199,
  aux_sym__statement_list_repeat1 = 200,
  aux_sym_expression_switch_statement_repeat1 = 201,
  aux_sym_type_switch_statement_repeat1 = 202,
  aux_sym_select_statement_repeat1 = 203,
  aux_sym_argument_list_repeat1 = 204,
  aux_sym_literal_value_repeat1 = 205,
  aux_sym_interpreted_string_literal_repeat1 = 206,
  alias_sym_field_identifier = 207,
  alias_sym_label_name = 208,
  alias_sym_package_identifier = 209,
  alias_sym_type_identifier = 210,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_struct] = "struct",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_PIPE] = "|",
  [anon_sym_TILDE] = "~",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [sym__interpreted_string_literal_basic_content] = "_interpreted_string_literal_basic_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_iota] = "iota",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_type_parameter_list] = "type_parameter_list",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_generic_type] = "generic_type",
  [sym_type_arguments] = "type_arguments",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym__interface_body] = "_interface_body",
  [sym_interface_type_name] = "interface_type_name",
  [sym_constraint_elem] = "constraint_elem",
  [sym_constraint_term] = "constraint_term",
  [sym_method_spec] = "method_spec",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym__type_switch_header] = "_type_switch_header",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_keyed_element] = "keyed_element",
  [sym_element] = "element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_type_parameter_list_repeat1] = "type_parameter_list_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_parameter_declaration_repeat1] = "parameter_declaration_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_interface_type_repeat1] = "interface_type_repeat1",
  [aux_sym_constraint_elem_repeat1] = "constraint_elem_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_blank_identifier] = sym_blank_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_chan] = anon_sym_chan,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_new] = sym_identifier,
  [anon_sym_make] = sym_identifier,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__interpreted_string_literal_basic_content] = sym__interpreted_string_literal_basic_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_imaginary_literal] = sym_imaginary_literal,
  [sym_rune_literal] = sym_rune_literal,
  [sym_nil] = sym_nil,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_iota] = sym_iota,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_package_clause] = sym_package_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_spec] = sym_import_spec,
  [sym_dot] = sym_dot,
  [sym_import_spec_list] = sym_import_spec_list,
  [sym__declaration] = sym__declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_spec] = sym_const_spec,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_spec] = sym_var_spec,
  [sym_function_declaration] = sym_function_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_type_parameter_list] = sym_type_parameter_list,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_type_declaration] = sym_type_declaration,
  [sym_type_spec] = sym_type_spec,
  [sym_expression_list] = sym_expression_list,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_type] = sym__simple_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_implicit_length_array_type] = sym_implicit_length_array_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_interface_type] = sym_interface_type,
  [sym__interface_body] = sym__interface_body,
  [sym_interface_type_name] = sym_interface_type_name,
  [sym_constraint_elem] = sym_constraint_elem,
  [sym_constraint_term] = sym_constraint_term,
  [sym_method_spec] = sym_method_spec,
  [sym_map_type] = sym_map_type,
  [sym_channel_type] = sym_channel_type,
  [sym_function_type] = sym_function_type,
  [sym_block] = sym_block,
  [sym__statement_list] = sym__statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_send_statement] = sym_send_statement,
  [sym_receive_statement] = sym_receive_statement,
  [sym_inc_statement] = sym_inc_statement,
  [sym_dec_statement] = sym_dec_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_short_var_declaration] = sym_short_var_declaration,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_go_statement] = sym_go_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_clause] = sym_for_clause,
  [sym_range_clause] = sym_range_clause,
  [sym_expression_switch_statement] = sym_expression_switch_statement,
  [sym_expression_case] = sym_expression_case,
  [sym_default_case] = sym_default_case,
  [sym_type_switch_statement] = sym_type_switch_statement,
  [sym__type_switch_header] = sym__type_switch_header,
  [sym_type_case] = sym_type_case,
  [sym_select_statement] = sym_select_statement,
  [sym_communication_case] = sym_communication_case,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_special_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_type_assertion_expression] = sym_type_assertion_expression,
  [sym_type_conversion_expression] = sym_type_conversion_expression,
  [sym_composite_literal] = sym_composite_literal,
  [sym_literal_value] = sym_literal_value,
  [sym_keyed_element] = sym_keyed_element,
  [sym_element] = sym_element,
  [sym_func_literal] = sym_func_literal,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_qualified_type] = sym_qualified_type,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_import_spec_list_repeat1] = aux_sym_import_spec_list_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_const_spec_repeat1] = aux_sym_const_spec_repeat1,
  [aux_sym_var_declaration_repeat1] = aux_sym_var_declaration_repeat1,
  [aux_sym_type_parameter_list_repeat1] = aux_sym_type_parameter_list_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_parameter_declaration_repeat1] = aux_sym_parameter_declaration_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_expression_list_repeat1] = aux_sym_expression_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_interface_type_repeat1] = aux_sym_interface_type_repeat1,
  [aux_sym_constraint_elem_repeat1] = aux_sym_constraint_elem_repeat1,
  [aux_sym__statement_list_repeat1] = aux_sym__statement_list_repeat1,
  [aux_sym_expression_switch_statement_repeat1] = aux_sym_expression_switch_statement_repeat1,
  [aux_sym_type_switch_statement_repeat1] = aux_sym_type_switch_statement_repeat1,
  [aux_sym_select_statement_repeat1] = aux_sym_select_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_package_identifier] = alias_sym_package_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__interpreted_string_literal_basic_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_iota] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym__interface_body] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_term] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_switch_header] = {
    .visible = false,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constraint_elem_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_channel = 6,
  field_communication = 7,
  field_condition = 8,
  field_consequence = 9,
  field_element = 10,
  field_end = 11,
  field_field = 12,
  field_function = 13,
  field_index = 14,
  field_initializer = 15,
  field_key = 16,
  field_label = 17,
  field_left = 18,
  field_length = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_receiver = 26,
  field_result = 27,
  field_right = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_type_arguments = 32,
  field_type_parameters = 33,
  field_update = 34,
  field_value = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_channel] = "channel",
  [field_communication] = "communication",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 5, .length = 1},
  [9] = {.index = 6, .length = 1},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 2},
  [15] = {.index = 13, .length = 2},
  [16] = {.index = 15, .length = 2},
  [17] = {.index = 17, .length = 2},
  [18] = {.index = 19, .length = 1},
  [19] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 2},
  [22] = {.index = 26, .length = 1},
  [23] = {.index = 17, .length = 2},
  [24] = {.index = 19, .length = 1},
  [25] = {.index = 27, .length = 1},
  [26] = {.index = 28, .length = 1},
  [27] = {.index = 29, .length = 2},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 33, .length = 2},
  [31] = {.index = 35, .length = 3},
  [32] = {.index = 38, .length = 2},
  [33] = {.index = 40, .length = 2},
  [34] = {.index = 42, .length = 2},
  [35] = {.index = 44, .length = 3},
  [36] = {.index = 47, .length = 2},
  [37] = {.index = 49, .length = 3},
  [38] = {.index = 52, .length = 1},
  [39] = {.index = 53, .length = 3},
  [40] = {.index = 56, .length = 3},
  [41] = {.index = 59, .length = 3},
  [42] = {.index = 62, .length = 3},
  [43] = {.index = 65, .length = 1},
  [44] = {.index = 66, .length = 2},
  [45] = {.index = 68, .length = 2},
  [46] = {.index = 70, .length = 3},
  [47] = {.index = 52, .length = 1},
  [48] = {.index = 73, .length = 2},
  [49] = {.index = 17, .length = 2},
  [50] = {.index = 73, .length = 2},
  [52] = {.index = 75, .length = 2},
  [53] = {.index = 77, .length = 1},
  [54] = {.index = 78, .length = 1},
  [55] = {.index = 79, .length = 1},
  [56] = {.index = 80, .length = 3},
  [57] = {.index = 83, .length = 1},
  [58] = {.index = 84, .length = 2},
  [59] = {.index = 86, .length = 1},
  [60] = {.index = 87, .length = 2},
  [61] = {.index = 89, .length = 3},
  [62] = {.index = 92, .length = 3},
  [63] = {.index = 95, .length = 1},
  [64] = {.index = 68, .length = 2},
  [65] = {.index = 96, .length = 3},
  [66] = {.index = 99, .length = 2},
  [67] = {.index = 101, .length = 4},
  [68] = {.index = 105, .length = 4},
  [69] = {.index = 109, .length = 4},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 117, .length = 2},
  [73] = {.index = 95, .length = 1},
  [74] = {.index = 119, .length = 3},
  [75] = {.index = 96, .length = 3},
  [76] = {.index = 122, .length = 3},
  [77] = {.index = 125, .length = 2},
  [78] = {.index = 127, .length = 3},
  [79] = {.index = 130, .length = 3},
  [80] = {.index = 133, .length = 2},
  [81] = {.index = 135, .length = 2},
  [82] = {.index = 137, .length = 2},
  [83] = {.index = 139, .length = 2},
  [84] = {.index = 141, .length = 1},
  [85] = {.index = 142, .length = 1},
  [87] = {.index = 143, .length = 2},
  [88] = {.index = 145, .length = 2},
  [89] = {.index = 147, .length = 2},
  [90] = {.index = 149, .length = 4},
  [91] = {.index = 153, .length = 5},
  [92] = {.index = 158, .length = 5},
  [93] = {.index = 163, .length = 4},
  [94] = {.index = 167, .length = 3},
  [95] = {.index = 170, .length = 2},
  [96] = {.index = 172, .length = 1},
  [97] = {.index = 173, .length = 3},
  [98] = {.index = 176, .length = 4},
  [99] = {.index = 180, .length = 2},
  [100] = {.index = 182, .length = 3},
  [101] = {.index = 185, .length = 2},
  [102] = {.index = 187, .length = 2},
  [103] = {.index = 189, .length = 4},
  [104] = {.index = 193, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_path, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_parameters, 1},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_value, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_type, 0},
    {field_type_arguments, 1},
  [11] =
    {field_body, 1},
    {field_type, 0},
  [13] =
    {field_name, 0},
    {field_path, 1},
  [15] =
    {field_name, 0},
    {field_name, 1},
  [17] =
    {field_name, 0},
    {field_type, 1},
  [19] =
    {field_type, 0},
  [20] =
    {field_name, 1},
    {field_parameters, 2},
  [22] =
    {field_parameters, 1},
    {field_result, 2},
  [24] =
    {field_body, 2},
    {field_parameters, 1},
  [26] =
    {field_element, 2},
  [27] =
    {field_label, 0},
  [28] =
    {field_value, 2},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_right, 1},
  [32] =
    {field_body, 2},
  [33] =
    {field_name, 2},
    {field_package, 0},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_left, 0},
    {field_right, 2},
  [40] =
    {field_field, 2},
    {field_operand, 0},
  [42] =
    {field_channel, 0},
    {field_value, 2},
  [44] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [47] =
    {field_name, 0},
    {field_value, 2},
  [49] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
  [52] =
    {field_type, 1},
  [53] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [56] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [59] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [62] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [65] =
    {field_element, 3},
  [66] =
    {field_element, 3},
    {field_length, 1},
  [68] =
    {field_name, 0},
    {field_type, 2},
  [70] =
    {field_name, 0},
    {field_type, 2},
    {field_type_parameters, 1},
  [73] =
    {field_tag, 1},
    {field_type, 0},
  [75] =
    {field_name, 0},
    {field_parameters, 1},
  [77] =
    {field_update, 2},
  [78] =
    {field_condition, 1},
  [79] =
    {field_initializer, 0},
  [80] =
    {field_alias, 1, .inherited = true},
    {field_initializer, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [83] =
    {field_right, 0},
  [84] =
    {field_operand, 2},
    {field_type, 0},
  [86] =
    {field_operand, 0},
  [87] =
    {field_index, 2},
    {field_operand, 0},
  [89] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 3},
  [92] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [95] =
    {field_name, 1},
  [96] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 2},
  [99] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [101] =
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [105] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [109] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [113] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [117] =
    {field_tag, 2},
    {field_type, 1},
  [119] =
    {field_name, 0},
    {field_tag, 2},
    {field_type, 1},
  [122] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [125] =
    {field_key, 2},
    {field_value, 4},
  [127] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [130] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [133] =
    {field_condition, 1},
    {field_update, 3},
  [135] =
    {field_left, 0},
    {field_right, 3},
  [137] =
    {field_initializer, 0},
    {field_update, 3},
  [139] =
    {field_condition, 2},
    {field_initializer, 0},
  [141] =
    {field_initializer, 1},
  [142] =
    {field_communication, 1},
  [143] =
    {field_operand, 0},
    {field_type, 3},
  [145] =
    {field_end, 3},
    {field_operand, 0},
  [147] =
    {field_operand, 0},
    {field_start, 2},
  [149] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_value, 4},
  [153] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [158] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [163] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_tag, 3},
    {field_type, 2},
  [167] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [170] =
    {field_initializer, 1},
    {field_value, 3},
  [172] =
    {field_value, 0},
  [173] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [176] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [180] =
    {field_type, 1},
    {field_type, 2},
  [182] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [185] =
    {field_alias, 0},
    {field_value, 2},
  [187] =
    {field_initializer, 0},
    {field_value, 2},
  [189] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [193] =
    {field_alias, 2},
    {field_initializer, 0},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [2] = {
    [1] = alias_sym_package_identifier,
  },
  [8] = {
    [1] = alias_sym_label_name,
  },
  [11] = {
    [0] = alias_sym_type_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_package_identifier,
  },
  [23] = {
    [0] = alias_sym_type_identifier,
  },
  [24] = {
    [0] = alias_sym_type_identifier,
  },
  [25] = {
    [0] = alias_sym_label_name,
  },
  [30] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [33] = {
    [2] = alias_sym_field_identifier,
  },
  [45] = {
    [0] = alias_sym_type_identifier,
  },
  [46] = {
    [0] = alias_sym_type_identifier,
  },
  [47] = {
    [1] = alias_sym_type_identifier,
  },
  [48] = {
    [0] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_field_identifier,
  },
  [51] = {
    [1] = alias_sym_type_identifier,
  },
  [52] = {
    [0] = alias_sym_field_identifier,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [71] = {
    [1] = alias_sym_type_identifier,
  },
  [73] = {
    [1] = alias_sym_field_identifier,
  },
  [74] = {
    [0] = alias_sym_field_identifier,
  },
  [75] = {
    [0] = alias_sym_field_identifier,
  },
  [76] = {
    [0] = alias_sym_field_identifier,
  },
  [86] = {
    [0] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_field_identifier,
  },
  [93] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 6688
    ? (c < 2984
      ? (c < 2365
        ? (c < 1488
          ? (c < 886
            ? (c < 216
              ? (c < 181
                ? (c < 'a'
                  ? (c >= 'A' && c <= '_')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 192
                  ? c == 186
                  : c <= 214)))
              : (c <= 246 || (c < 748
                ? (c < 710
                  ? (c >= 248 && c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 880
                  ? c == 750
                  : c <= 884)))))
            : (c <= 887 || (c < 931
              ? (c < 904
                ? (c < 895
                  ? (c >= 890 && c <= 893)
                  : (c <= 895 || c == 902))
                : (c <= 906 || (c < 910
                  ? c == 908
                  : c <= 929)))
              : (c <= 1013 || (c < 1329
                ? (c < 1162
                  ? (c >= 1015 && c <= 1153)
                  : c <= 1327)
                : (c <= 1366 || (c < 1376
                  ? c == 1369
                  : c <= 1416)))))))
          : (c <= 1514 || (c < 1994
            ? (c < 1774
              ? (c < 1649
                ? (c < 1568
                  ? (c >= 1519 && c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1765
                  ? c == 1749
                  : c <= 1766)))
              : (c <= 1775 || (c < 1810
                ? (c < 1791
                  ? (c >= 1786 && c <= 1788)
                  : (c <= 1791 || c == 1808))
                : (c <= 1839 || (c < 1969
                  ? (c >= 1869 && c <= 1957)
                  : c <= 1969)))))
            : (c <= 2026 || (c < 2112
              ? (c < 2074
                ? (c < 2042
                  ? (c >= 2036 && c <= 2037)
                  : (c <= 2042 || (c >= 2048 && c <= 2069)))
                : (c <= 2074 || (c < 2088
                  ? c == 2084
                  : c <= 2088)))
              : (c <= 2136 || (c < 2185
                ? (c < 2160
                  ? (c >= 2144 && c <= 2154)
                  : c <= 2183)
                : (c <= 2190 || (c < 2308
                  ? (c >= 2208 && c <= 2249)
                  : c <= 2361)))))))))
        : (c <= 2365 || (c < 2703
          ? (c < 2544
            ? (c < 2474
              ? (c < 2437
                ? (c < 2392
                  ? c == 2384
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2451
                  ? (c >= 2447 && c <= 2448)
                  : c <= 2472)))
              : (c <= 2480 || (c < 2510
                ? (c < 2486
                  ? c == 2482
                  : (c <= 2489 || c == 2493))
                : (c <= 2510 || (c < 2527
                  ? (c >= 2524 && c <= 2525)
                  : c <= 2529)))))
            : (c <= 2545 || (c < 2613
              ? (c < 2579
                ? (c < 2565
                  ? c == 2556
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2610
                  ? (c >= 2602 && c <= 2608)
                  : c <= 2611)))
              : (c <= 2614 || (c < 2654
                ? (c < 2649
                  ? (c >= 2616 && c <= 2617)
                  : c <= 2652)
                : (c <= 2654 || (c < 2693
                  ? (c >= 2674 && c <= 2676)
                  : c <= 2701)))))))
          : (c <= 2705 || (c < 2869
            ? (c < 2784
              ? (c < 2741
                ? (c < 2730
                  ? (c >= 2707 && c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))
                : (c <= 2745 || (c < 2768
                  ? c == 2749
                  : c <= 2768)))
              : (c <= 2785 || (c < 2835
                ? (c < 2821
                  ? c == 2809
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))
                : (c <= 2856 || (c < 2866
                  ? (c >= 2858 && c <= 2864)
                  : c <= 2867)))))
            : (c <= 2873 || (c < 2958
              ? (c < 2929
                ? (c < 2908
                  ? c == 2877
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2949
                  ? c == 2947
                  : c <= 2954)))
              : (c <= 2960 || (c < 2972
                ? (c < 2969
                  ? (c >= 2962 && c <= 2965)
                  : c <= 2970)
                : (c <= 2972 || (c < 2979
                  ? (c >= 2974 && c <= 2975)
                  : c <= 2980)))))))))))
      : (c <= 2986 || (c < 4176
        ? (c < 3423
          ? (c < 3218
            ? (c < 3133
              ? (c < 3086
                ? (c < 3024
                  ? (c >= 2990 && c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3114
                  ? (c >= 3090 && c <= 3112)
                  : c <= 3129)))
              : (c <= 3133 || (c < 3200
                ? (c < 3165
                  ? (c >= 3160 && c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3214
                  ? (c >= 3205 && c <= 3212)
                  : c <= 3216)))))
            : (c <= 3240 || (c < 3332
              ? (c < 3293
                ? (c < 3253
                  ? (c >= 3242 && c <= 3251)
                  : (c <= 3257 || c == 3261))
                : (c <= 3294 || (c < 3313
                  ? (c >= 3296 && c <= 3297)
                  : c <= 3314)))
              : (c <= 3340 || (c < 3389
                ? (c < 3346
                  ? (c >= 3342 && c <= 3344)
                  : c <= 3386)
                : (c <= 3389 || (c < 3412
                  ? c == 3406
                  : c <= 3414)))))))
          : (c <= 3425 || (c < 3749
            ? (c < 3585
              ? (c < 3507
                ? (c < 3461
                  ? (c >= 3450 && c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3520
                  ? c == 3517
                  : c <= 3526)))
              : (c <= 3632 || (c < 3716
                ? (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : c <= 3747)))))
            : (c <= 3749 || (c < 3840
              ? (c < 3776
                ? (c < 3762
                  ? (c >= 3751 && c <= 3760)
                  : (c <= 3763 || c == 3773))
                : (c <= 3780 || (c < 3804
                  ? c == 3782
                  : c <= 3807)))
              : (c <= 3840 || (c < 3976
                ? (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)
                : (c <= 3980 || (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : c <= 4159)))))))))
        : (c <= 4181 || (c < 4992
          ? (c < 4696
            ? (c < 4256
              ? (c < 4206
                ? (c < 4193
                  ? (c >= 4186 && c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))
                : (c <= 4208 || (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)))
              : (c <= 4293 || (c < 4348
                ? (c < 4301
                  ? c == 4295
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))
                : (c <= 4680 || (c < 4688
                  ? (c >= 4682 && c <= 4685)
                  : c <= 4694)))))
            : (c <= 4696 || (c < 4800
              ? (c < 4752
                ? (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4792
                  ? (c >= 4786 && c <= 4789)
                  : c <= 4798)))
              : (c <= 4800 || (c < 4824
                ? (c < 4808
                  ? (c >= 4802 && c <= 4805)
                  : c <= 4822)
                : (c <= 4880 || (c < 4888
                  ? (c >= 4882 && c <= 4885)
                  : c <= 4954)))))))
          : (c <= 5007 || (c < 6103
            ? (c < 5873
              ? (c < 5743
                ? (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5792
                  ? (c >= 5761 && c <= 5786)
                  : c <= 5866)))
              : (c <= 5880 || (c < 5984
                ? (c < 5919
                  ? (c >= 5888 && c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6016
                  ? (c >= 5998 && c <= 6000)
                  : c <= 6067)))))
            : (c <= 6103 || (c < 6400
              ? (c < 6279
                ? (c < 6176
                  ? c == 6108
                  : (c <= 6264 || (c >= 6272 && c <= 6276)))
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))
              : (c <= 6430 || (c < 6528
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : c <= 6516)
                : (c <= 6571 || (c < 6656
                  ? (c >= 6576 && c <= 6601)
                  : c <= 6678)))))))))))))
    : (c <= 6740 || (c < 43261
      ? (c < 11264
        ? (c < 8064
          ? (c < 7406
            ? (c < 7168
              ? (c < 7043
                ? (c < 6917
                  ? c == 6823
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))
              : (c <= 7203 || (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))))
            : (c <= 7411 || (c < 8008
              ? (c < 7680
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))
                : (c <= 7957 || (c < 7968
                  ? (c >= 7960 && c <= 7965)
                  : c <= 8005)))
              : (c <= 8013 || (c < 8027
                ? (c < 8025
                  ? (c >= 8016 && c <= 8023)
                  : c <= 8025)
                : (c <= 8027 || (c < 8031
                  ? c == 8029
                  : c <= 8061)))))))
          : (c <= 8116 || (c < 8455
            ? (c < 8160
              ? (c < 8134
                ? (c < 8126
                  ? (c >= 8118 && c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))
                : (c <= 8140 || (c < 8150
                  ? (c >= 8144 && c <= 8147)
                  : c <= 8155)))
              : (c <= 8172 || (c < 8319
                ? (c < 8182
                  ? (c >= 8178 && c <= 8180)
                  : (c <= 8188 || c == 8305))
                : (c <= 8319 || (c < 8450
                  ? (c >= 8336 && c <= 8348)
                  : c <= 8450)))))
            : (c <= 8455 || (c < 8490
              ? (c < 8484
                ? (c < 8469
                  ? (c >= 8458 && c <= 8467)
                  : (c <= 8469 || (c >= 8473 && c <= 8477)))
                : (c <= 8484 || (c < 8488
                  ? c == 8486
                  : c <= 8488)))
              : (c <= 8493 || (c < 8517
                ? (c < 8508
                  ? (c >= 8495 && c <= 8505)
                  : c <= 8511)
                : (c <= 8521 || (c < 8579
                  ? c == 8526
                  : c <= 8580)))))))))
        : (c <= 11492 || (c < 12704
          ? (c < 11720
            ? (c < 11631
              ? (c < 11559
                ? (c < 11506
                  ? (c >= 11499 && c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11568
                  ? c == 11565
                  : c <= 11623)))
              : (c <= 11631 || (c < 11696
                ? (c < 11680
                  ? (c >= 11648 && c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11712
                  ? (c >= 11704 && c <= 11710)
                  : c <= 11718)))))
            : (c <= 11726 || (c < 12353
              ? (c < 12293
                ? (c < 11736
                  ? (c >= 11728 && c <= 11734)
                  : (c <= 11742 || c == 11823))
                : (c <= 12294 || (c < 12347
                  ? (c >= 12337 && c <= 12341)
                  : c <= 12348)))
              : (c <= 12438 || (c < 12540
                ? (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)
                : (c <= 12543 || (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)))))))
          : (c <= 12735 || (c < 42786
            ? (c < 42240
              ? (c < 19968
                ? (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : (c <= 13312 || c == 19903))
                : (c <= 19968 || (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : c <= 42237)))
              : (c <= 42508 || (c < 42623
                ? (c < 42538
                  ? (c >= 42512 && c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42775
                  ? (c >= 42656 && c <= 42725)
                  : c <= 42783)))))
            : (c <= 42888 || (c < 43015
              ? (c < 42965
                ? (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)))
              : (c <= 43018 || (c < 43138
                ? (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)
                : (c <= 43187 || (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)))))))))))
      : (c <= 43262 || (c < 65345
        ? (c < 43816
          ? (c < 43646
            ? (c < 43494
              ? (c < 43396
                ? (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43488
                  ? c == 43471
                  : c <= 43492)))
              : (c <= 43503 || (c < 43588
                ? (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : (c <= 43560 || (c >= 43584 && c <= 43586)))
                : (c <= 43595 || (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : c <= 43642)))))
            : (c <= 43695 || (c < 43744
              ? (c < 43712
                ? (c < 43701
                  ? c == 43697
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43739
                  ? c == 43714
                  : c <= 43741)))
              : (c <= 43754 || (c < 43785
                ? (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)
                : (c <= 43790 || (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)))))))
          : (c <= 43822 || (c < 64298
            ? (c < 55243
              ? (c < 44032
                ? (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : (c <= 43881 || (c >= 43888 && c <= 44002)))
                : (c <= 44032 || (c < 55216
                  ? c == 55203
                  : c <= 55238)))
              : (c <= 55291 || (c < 64275
                ? (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))
                : (c <= 64279 || (c < 64287
                  ? c == 64285
                  : c <= 64296)))))
            : (c <= 64310 || (c < 64848
              ? (c < 64323
                ? (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : c <= 64829)))
              : (c <= 64911 || (c < 65136
                ? (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)
                : (c <= 65140 || (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)))))))))
        : (c <= 65370 || (c < 66928
          ? (c < 66208
            ? (c < 65549
              ? (c < 65490
                ? (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65536
                  ? (c >= 65498 && c <= 65500)
                  : c <= 65547)))
              : (c <= 65574 || (c < 65616
                ? (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c >= 65664 && c <= 65786)
                  : c <= 66204)))))
            : (c <= 66256 || (c < 66504
              ? (c < 66384
                ? (c < 66349
                  ? (c >= 66304 && c <= 66335)
                  : (c <= 66368 || (c >= 66370 && c <= 66377)))
                : (c <= 66421 || (c < 66464
                  ? (c >= 66432 && c <= 66461)
                  : c <= 66499)))
              : (c <= 66511 || (c < 66776
                ? (c < 66736
                  ? (c >= 66560 && c <= 66717)
                  : c <= 66771)
                : (c <= 66811 || (c < 66864
                  ? (c >= 66816 && c <= 66855)
                  : c <= 66915)))))))
          : (c <= 66938 || (c < 67506
            ? (c < 67003
              ? (c < 66967
                ? (c < 66956
                  ? (c >= 66940 && c <= 66954)
                  : (c <= 66962 || (c >= 66964 && c <= 66965)))
                : (c <= 66977 || (c < 66995
                  ? (c >= 66979 && c <= 66993)
                  : c <= 67001)))
              : (c <= 67004 || (c < 67424
                ? (c < 67392
                  ? (c >= 67072 && c <= 67382)
                  : c <= 67413)
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 6656
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 880
            ? (c < 192
              ? (c < 170
                ? (c < '_'
                  ? (c >= 'A' && c <= 'Z')
                  : (c <= '_' || (c >= 'a' && c <= 'z')))
                : (c <= 170 || (c < 186
                  ? c == 181
                  : c <= 186)))
              : (c <= 214 || (c < 736
                ? (c < 248
                  ? (c >= 216 && c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 750
                  ? c == 748
                  : c <= 750)))))
            : (c <= 884 || (c < 910
              ? (c < 902
                ? (c < 890
                  ? (c >= 886 && c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 908
                  ? (c >= 904 && c <= 906)
                  : c <= 908)))
              : (c <= 929 || (c < 1162
                ? (c < 1015
                  ? (c >= 931 && c <= 1013)
                  : c <= 1153)
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4159
        ? (c < 3412
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3346
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : c <= 3344)
                : (c <= 3386 || (c < 3406
                  ? c == 3389
                  : c <= 3406)))))))
          : (c <= 3414 || (c < 3724
            ? (c < 3520
              ? (c < 3482
                ? (c < 3450
                  ? (c >= 3423 && c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3517
                  ? (c >= 3507 && c <= 3515)
                  : c <= 3517)))
              : (c <= 3526 || (c < 3713
                ? (c < 3634
                  ? (c >= 3585 && c <= 3632)
                  : (c <= 3635 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3718
                  ? c == 3716
                  : c <= 3722)))))
            : (c <= 3747 || (c < 3804
              ? (c < 3773
                ? (c < 3751
                  ? c == 3749
                  : (c <= 3760 || (c >= 3762 && c <= 3763)))
                : (c <= 3773 || (c < 3782
                  ? (c >= 3776 && c <= 3780)
                  : c <= 3782)))
              : (c <= 3807 || (c < 3913
                ? (c < 3904
                  ? c == 3840
                  : c <= 3911)
                : (c <= 3948 || (c < 4096
                  ? (c >= 3976 && c <= 3980)
                  : c <= 4138)))))))))
        : (c <= 4159 || (c < 4888
          ? (c < 4688
            ? (c < 4238
              ? (c < 4197
                ? (c < 4186
                  ? (c >= 4176 && c <= 4181)
                  : (c <= 4189 || c == 4193))
                : (c <= 4198 || (c < 4213
                  ? (c >= 4206 && c <= 4208)
                  : c <= 4225)))
              : (c <= 4238 || (c < 4304
                ? (c < 4295
                  ? (c >= 4256 && c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : c <= 4685)))))
            : (c <= 4694 || (c < 4792
              ? (c < 4746
                ? (c < 4698
                  ? c == 4696
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)))
              : (c <= 4798 || (c < 4808
                ? (c < 4802
                  ? c == 4800
                  : c <= 4805)
                : (c <= 4822 || (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : c <= 4885)))))))
          : (c <= 4954 || (c < 6016
            ? (c < 5792
              ? (c < 5121
                ? (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)))
              : (c <= 5866 || (c < 5952
                ? (c < 5888
                  ? (c >= 5873 && c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 5998
                  ? (c >= 5984 && c <= 5996)
                  : c <= 6000)))))
            : (c <= 6067 || (c < 6320
              ? (c < 6272
                ? (c < 6108
                  ? c == 6103
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))
              : (c <= 6389 || (c < 6512
                ? (c < 6480
                  ? (c >= 6400 && c <= 6430)
                  : c <= 6509)
                : (c <= 6516 || (c < 6576
                  ? (c >= 6528 && c <= 6571)
                  : c <= 6601)))))))))))))
    : (c <= 6678 || (c < 43259
      ? (c < 8579
        ? (c < 8031
          ? (c < 7401
            ? (c < 7098
              ? (c < 6981
                ? (c < 6823
                  ? (c >= 6688 && c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7086
                  ? (c >= 7043 && c <= 7072)
                  : c <= 7087)))
              : (c <= 7141 || (c < 7296
                ? (c < 7245
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))))
            : (c <= 7404 || (c < 7968
              ? (c < 7424
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))
              : (c <= 8005 || (c < 8025
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : c <= 8023)
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))))))
          : (c <= 8061 || (c < 8450
            ? (c < 8150
              ? (c < 8130
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))
              : (c <= 8155 || (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))))
            : (c <= 8450 || (c < 8488
              ? (c < 8473
                ? (c < 8458
                  ? c == 8455
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8486
                  ? c == 8484
                  : c <= 8486)))
              : (c <= 8488 || (c < 8508
                ? (c < 8495
                  ? (c >= 8490 && c <= 8493)
                  : c <= 8505)
                : (c <= 8511 || (c < 8526
                  ? (c >= 8517 && c <= 8521)
                  : c <= 8526)))))))))
        : (c <= 8580 || (c < 12593
          ? (c < 11712
            ? (c < 11568
              ? (c < 11520
                ? (c < 11499
                  ? (c >= 11264 && c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11565
                  ? c == 11559
                  : c <= 11565)))
              : (c <= 11623 || (c < 11688
                ? (c < 11648
                  ? c == 11631
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11704
                  ? (c >= 11696 && c <= 11702)
                  : c <= 11710)))))
            : (c <= 11718 || (c < 12347
              ? (c < 11823
                ? (c < 11728
                  ? (c >= 11720 && c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))
                : (c <= 11823 || (c < 12337
                  ? (c >= 12293 && c <= 12294)
                  : c <= 12341)))
              : (c <= 12348 || (c < 12449
                ? (c < 12445
                  ? (c >= 12353 && c <= 12438)
                  : c <= 12447)
                : (c <= 12538 || (c < 12549
                  ? (c >= 12540 && c <= 12543)
                  : c <= 12591)))))))
          : (c <= 12686 || (c < 42775
            ? (c < 42192
              ? (c < 19903
                ? (c < 12784
                  ? (c >= 12704 && c <= 12735)
                  : (c <= 12799 || c == 13312))
                : (c <= 19903 || (c < 40959
                  ? c == 19968
                  : c <= 42124)))
              : (c <= 42237 || (c < 42560
                ? (c < 42512
                  ? (c >= 42240 && c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42656
                  ? (c >= 42623 && c <= 42653)
                  : c <= 42725)))))
            : (c <= 42783 || (c < 43011
              ? (c < 42963
                ? (c < 42891
                  ? (c >= 42786 && c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : c <= 43009)))
              : (c <= 43013 || (c < 43072
                ? (c < 43020
                  ? (c >= 43015 && c <= 43018)
                  : c <= 43042)
                : (c <= 43123 || (c < 43250
                  ? (c >= 43138 && c <= 43187)
                  : c <= 43255)))))))))))
      : (c <= 43259 || (c < 65313
        ? (c < 43808
          ? (c < 43642
            ? (c < 43488
              ? (c < 43360
                ? (c < 43274
                  ? (c >= 43261 && c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : c <= 43471)))
              : (c <= 43492 || (c < 43584
                ? (c < 43514
                  ? (c >= 43494 && c <= 43503)
                  : (c <= 43518 || (c >= 43520 && c <= 43560)))
                : (c <= 43586 || (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43638)))))
            : (c <= 43642 || (c < 43739
              ? (c < 43705
                ? (c < 43697
                  ? (c >= 43646 && c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))
                : (c <= 43709 || (c < 43714
                  ? c == 43712
                  : c <= 43714)))
              : (c <= 43741 || (c < 43777
                ? (c < 43762
                  ? (c >= 43744 && c <= 43754)
                  : c <= 43764)
                : (c <= 43782 || (c < 43793
                  ? (c >= 43785 && c <= 43790)
                  : c <= 43798)))))))
          : (c <= 43814 || (c < 64287
            ? (c < 55216
              ? (c < 43888
                ? (c < 43824
                  ? (c >= 43816 && c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55203
                  ? c == 44032
                  : c <= 55203)))
              : (c <= 55238 || (c < 64256
                ? (c < 63744
                  ? (c >= 55243 && c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))
                : (c <= 64262 || (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)))))
            : (c <= 64296 || (c < 64467
              ? (c < 64320
                ? (c < 64312
                  ? (c >= 64298 && c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : c <= 64433)))
              : (c <= 64829 || (c < 65008
                ? (c < 64914
                  ? (c >= 64848 && c <= 64911)
                  : c <= 64967)
                : (c <= 65019 || (c < 65142
                  ? (c >= 65136 && c <= 65140)
                  : c <= 65276)))))))))
        : (c <= 65338 || (c < 66864
          ? (c < 66176
            ? (c < 65536
              ? (c < 65482
                ? (c < 65382
                  ? (c >= 65345 && c <= 65370)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : c <= 65500)))
              : (c <= 65547 || (c < 65599
                ? (c < 65576
                  ? (c >= 65549 && c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))
                : (c <= 65613 || (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)))))
            : (c <= 66204 || (c < 66464
              ? (c < 66370
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66368)))
                : (c <= 66377 || (c < 66432
                  ? (c >= 66384 && c <= 66421)
                  : c <= 66461)))
              : (c <= 66499 || (c < 66736
                ? (c < 66560
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 6656
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 750
            ? (c < 186
              ? (c < 'a'
                ? (c < 'A'
                  ? (c >= '0' && c <= '9')
                  : (c <= 'Z' || c == '_'))
                : (c <= 'z' || (c < 181
                  ? c == 170
                  : c <= 181)))
              : (c <= 186 || (c < 710
                ? (c < 216
                  ? (c >= 192 && c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))
                : (c <= 721 || (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)))))
            : (c <= 750 || (c < 908
              ? (c < 895
                ? (c < 886
                  ? (c >= 880 && c <= 884)
                  : (c <= 887 || (c >= 890 && c <= 893)))
                : (c <= 895 || (c < 904
                  ? c == 902
                  : c <= 906)))
              : (c <= 908 || (c < 1162
                ? (c < 931
                  ? (c >= 910 && c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4159
        ? (c < 3412
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3346
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : c <= 3344)
                : (c <= 3386 || (c < 3406
                  ? c == 3389
                  : c <= 3406)))))))
          : (c <= 3414 || (c < 3724
            ? (c < 3520
              ? (c < 3482
                ? (c < 3450
                  ? (c >= 3423 && c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3517
                  ? (c >= 3507 && c <= 3515)
                  : c <= 3517)))
              : (c <= 3526 || (c < 3713
                ? (c < 3634
                  ? (c >= 3585 && c <= 3632)
                  : (c <= 3635 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3718
                  ? c == 3716
                  : c <= 3722)))))
            : (c <= 3747 || (c < 3804
              ? (c < 3773
                ? (c < 3751
                  ? c == 3749
                  : (c <= 3760 || (c >= 3762 && c <= 3763)))
                : (c <= 3773 || (c < 3782
                  ? (c >= 3776 && c <= 3780)
                  : c <= 3782)))
              : (c <= 3807 || (c < 3913
                ? (c < 3904
                  ? c == 3840
                  : c <= 3911)
                : (c <= 3948 || (c < 4096
                  ? (c >= 3976 && c <= 3980)
                  : c <= 4138)))))))))
        : (c <= 4159 || (c < 4888
          ? (c < 4688
            ? (c < 4238
              ? (c < 4197
                ? (c < 4186
                  ? (c >= 4176 && c <= 4181)
                  : (c <= 4189 || c == 4193))
                : (c <= 4198 || (c < 4213
                  ? (c >= 4206 && c <= 4208)
                  : c <= 4225)))
              : (c <= 4238 || (c < 4304
                ? (c < 4295
                  ? (c >= 4256 && c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : c <= 4685)))))
            : (c <= 4694 || (c < 4792
              ? (c < 4746
                ? (c < 4698
                  ? c == 4696
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)))
              : (c <= 4798 || (c < 4808
                ? (c < 4802
                  ? c == 4800
                  : c <= 4805)
                : (c <= 4822 || (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : c <= 4885)))))))
          : (c <= 4954 || (c < 6016
            ? (c < 5792
              ? (c < 5121
                ? (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)))
              : (c <= 5866 || (c < 5952
                ? (c < 5888
                  ? (c >= 5873 && c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 5998
                  ? (c >= 5984 && c <= 5996)
                  : c <= 6000)))))
            : (c <= 6067 || (c < 6320
              ? (c < 6272
                ? (c < 6108
                  ? c == 6103
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))
              : (c <= 6389 || (c < 6512
                ? (c < 6480
                  ? (c >= 6400 && c <= 6430)
                  : c <= 6509)
                : (c <= 6516 || (c < 6576
                  ? (c >= 6528 && c <= 6571)
                  : c <= 6601)))))))))))))
    : (c <= 6678 || (c < 43259
      ? (c < 8579
        ? (c < 8031
          ? (c < 7401
            ? (c < 7098
              ? (c < 6981
                ? (c < 6823
                  ? (c >= 6688 && c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7086
                  ? (c >= 7043 && c <= 7072)
                  : c <= 7087)))
              : (c <= 7141 || (c < 7296
                ? (c < 7245
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))))
            : (c <= 7404 || (c < 7968
              ? (c < 7424
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))
              : (c <= 8005 || (c < 8025
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : c <= 8023)
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))))))
          : (c <= 8061 || (c < 8450
            ? (c < 8150
              ? (c < 8130
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))
              : (c <= 8155 || (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))))
            : (c <= 8450 || (c < 8488
              ? (c < 8473
                ? (c < 8458
                  ? c == 8455
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8486
                  ? c == 8484
                  : c <= 8486)))
              : (c <= 8488 || (c < 8508
                ? (c < 8495
                  ? (c >= 8490 && c <= 8493)
                  : c <= 8505)
                : (c <= 8511 || (c < 8526
                  ? (c >= 8517 && c <= 8521)
                  : c <= 8526)))))))))
        : (c <= 8580 || (c < 12593
          ? (c < 11712
            ? (c < 11568
              ? (c < 11520
                ? (c < 11499
                  ? (c >= 11264 && c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11565
                  ? c == 11559
                  : c <= 11565)))
              : (c <= 11623 || (c < 11688
                ? (c < 11648
                  ? c == 11631
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11704
                  ? (c >= 11696 && c <= 11702)
                  : c <= 11710)))))
            : (c <= 11718 || (c < 12347
              ? (c < 11823
                ? (c < 11728
                  ? (c >= 11720 && c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))
                : (c <= 11823 || (c < 12337
                  ? (c >= 12293 && c <= 12294)
                  : c <= 12341)))
              : (c <= 12348 || (c < 12449
                ? (c < 12445
                  ? (c >= 12353 && c <= 12438)
                  : c <= 12447)
                : (c <= 12538 || (c < 12549
                  ? (c >= 12540 && c <= 12543)
                  : c <= 12591)))))))
          : (c <= 12686 || (c < 42775
            ? (c < 42192
              ? (c < 19903
                ? (c < 12784
                  ? (c >= 12704 && c <= 12735)
                  : (c <= 12799 || c == 13312))
                : (c <= 19903 || (c < 40959
                  ? c == 19968
                  : c <= 42124)))
              : (c <= 42237 || (c < 42560
                ? (c < 42512
                  ? (c >= 42240 && c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42656
                  ? (c >= 42623 && c <= 42653)
                  : c <= 42725)))))
            : (c <= 42783 || (c < 43011
              ? (c < 42963
                ? (c < 42891
                  ? (c >= 42786 && c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : c <= 43009)))
              : (c <= 43013 || (c < 43072
                ? (c < 43020
                  ? (c >= 43015 && c <= 43018)
                  : c <= 43042)
                : (c <= 43123 || (c < 43250
                  ? (c >= 43138 && c <= 43187)
                  : c <= 43255)))))))))))
      : (c <= 43259 || (c < 65313
        ? (c < 43808
          ? (c < 43642
            ? (c < 43488
              ? (c < 43360
                ? (c < 43274
                  ? (c >= 43261 && c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : c <= 43471)))
              : (c <= 43492 || (c < 43584
                ? (c < 43514
                  ? (c >= 43494 && c <= 43503)
                  : (c <= 43518 || (c >= 43520 && c <= 43560)))
                : (c <= 43586 || (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43638)))))
            : (c <= 43642 || (c < 43739
              ? (c < 43705
                ? (c < 43697
                  ? (c >= 43646 && c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))
                : (c <= 43709 || (c < 43714
                  ? c == 43712
                  : c <= 43714)))
              : (c <= 43741 || (c < 43777
                ? (c < 43762
                  ? (c >= 43744 && c <= 43754)
                  : c <= 43764)
                : (c <= 43782 || (c < 43793
                  ? (c >= 43785 && c <= 43790)
                  : c <= 43798)))))))
          : (c <= 43814 || (c < 64287
            ? (c < 55216
              ? (c < 43888
                ? (c < 43824
                  ? (c >= 43816 && c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55203
                  ? c == 44032
                  : c <= 55203)))
              : (c <= 55238 || (c < 64256
                ? (c < 63744
                  ? (c >= 55243 && c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))
                : (c <= 64262 || (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)))))
            : (c <= 64296 || (c < 64467
              ? (c < 64320
                ? (c < 64312
                  ? (c >= 64298 && c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : c <= 64433)))
              : (c <= 64829 || (c < 65008
                ? (c < 64914
                  ? (c >= 64848 && c <= 64911)
                  : c <= 64967)
                : (c <= 65019 || (c < 65142
                  ? (c >= 65136 && c <= 65140)
                  : c <= 65276)))))))))
        : (c <= 65338 || (c < 66864
          ? (c < 66176
            ? (c < 65536
              ? (c < 65482
                ? (c < 65382
                  ? (c >= 65345 && c <= 65370)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : c <= 65500)))
              : (c <= 65547 || (c < 65599
                ? (c < 65576
                  ? (c >= 65549 && c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))
                : (c <= 65613 || (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)))))
            : (c <= 66204 || (c < 66464
              ? (c < 66370
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66368)))
                : (c <= 66377 || (c < 66432
                  ? (c >= 66384 && c <= 66421)
                  : c <= 66461)))
              : (c <= 66499 || (c < 66736
                ? (c < 66560
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_rune_literal_character_set_1(int32_t c) {
  return (c < 'f'
    ? (c < '\\'
      ? (c < '\''
        ? c == '"'
        : c <= '\'')
      : (c <= '\\' || (c >= 'a' && c <= 'b')))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(107);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == '0') ADVANCE(146);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '\\') ADVANCE(21);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(109);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(135);
      if (lookahead == '`') ADVANCE(25);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(80);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '~') ADVANCE(82);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(109);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(135);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(80);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(112);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(20);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(108);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(135);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(81);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(8)
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(141);
      if (lookahead != 0) ADVANCE(142);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == ':') ADVANCE(19);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(102);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(105);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == ':') ADVANCE(19);
      if (lookahead == '<') ADVANCE(127);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(112);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(81);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(112);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == '<') ADVANCE(126);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(108);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(135);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '/') ADVANCE(10);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      END_STATE();
    case 9:
      if (lookahead == '\'') ADVANCE(156);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(158);
      END_STATE();
    case 11:
      if (lookahead == '*') ADVANCE(11);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(11);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 13:
      if (lookahead == '-') ADVANCE(83);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(154);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(15);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(74);
      END_STATE();
    case 17:
      if (lookahead == '.') ADVANCE(42);
      if (lookahead == '_') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 21:
      if (lookahead == 'U') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 22:
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(9);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(150);
      END_STATE();
    case 24:
      if (lookahead == '_') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(151);
      END_STATE();
    case 25:
      if (lookahead == '`') ADVANCE(136);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 27:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(27);
      END_STATE();
    case 28:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(27);
      END_STATE();
    case 29:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(150);
      END_STATE();
    case 30:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(147);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(9);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(151);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(31);
      END_STATE();
    case 34:
      if (sym_rune_literal_character_set_1(lookahead)) ADVANCE(9);
      if (lookahead == 'U') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(48);
      if (lookahead == 'x') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(33);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(15);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(9);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(143);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(27);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 57:
      if (eof) ADVANCE(60);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(106);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '/') ADVANCE(10);
      if (lookahead == '0') ADVANCE(146);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(13);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(108);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(135);
      if (lookahead == '`') ADVANCE(25);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(79);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(57)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 58:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(107);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == '0') ADVANCE(146);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(109);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(135);
      if (lookahead == '`') ADVANCE(25);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(80);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '~') ADVANCE(82);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 59:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(106);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(14);
      if (lookahead == '/') ADVANCE(10);
      if (lookahead == '0') ADVANCE(146);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(13);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(108);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(135);
      if (lookahead == '`') ADVANCE(25);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(85);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '=') ADVANCE(92);
      if (lookahead == '^') ADVANCE(122);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '^') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(158);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(91);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(120);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(119);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(142);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(139);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(142);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(143);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(154);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(23);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(24);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(17);
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(147);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(154);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(154);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(28);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(26);
      if (lookahead == 'i') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'm') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'v') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'm') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      if (lookahead == 'w') ADVANCE(38);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'f') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'k') ADVANCE(55);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(84);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 68:
      if (lookahead == 'k') ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_iota);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(104);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 97:
      if (lookahead == 'h') ADVANCE(109);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 100:
      if (lookahead == 'f') ADVANCE(111);
      END_STATE();
    case 101:
      if (lookahead == 'g') ADVANCE(112);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(116);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(117);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 119:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(125);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 59},
  [2] = {.lex_state = 59},
  [3] = {.lex_state = 59},
  [4] = {.lex_state = 59},
  [5] = {.lex_state = 59},
  [6] = {.lex_state = 59},
  [7] = {.lex_state = 59},
  [8] = {.lex_state = 59},
  [9] = {.lex_state = 59},
  [10] = {.lex_state = 59},
  [11] = {.lex_state = 59},
  [12] = {.lex_state = 59},
  [13] = {.lex_state = 59},
  [14] = {.lex_state = 59},
  [15] = {.lex_state = 59},
  [16] = {.lex_state = 59},
  [17] = {.lex_state = 59},
  [18] = {.lex_state = 59},
  [19] = {.lex_state = 59},
  [20] = {.lex_state = 59},
  [21] = {.lex_state = 59},
  [22] = {.lex_state = 59},
  [23] = {.lex_state = 59},
  [24] = {.lex_state = 59},
  [25] = {.lex_state = 59},
  [26] = {.lex_state = 59},
  [27] = {.lex_state = 57},
  [28] = {.lex_state = 57},
  [29] = {.lex_state = 59},
  [30] = {.lex_state = 57},
  [31] = {.lex_state = 57},
  [32] = {.lex_state = 59},
  [33] = {.lex_state = 59},
  [34] = {.lex_state = 59},
  [35] = {.lex_state = 59},
  [36] = {.lex_state = 59},
  [37] = {.lex_state = 59},
  [38] = {.lex_state = 59},
  [39] = {.lex_state = 59},
  [40] = {.lex_state = 59},
  [41] = {.lex_state = 59},
  [42] = {.lex_state = 59},
  [43] = {.lex_state = 59},
  [44] = {.lex_state = 59},
  [45] = {.lex_state = 59},
  [46] = {.lex_state = 59},
  [47] = {.lex_state = 59},
  [48] = {.lex_state = 59},
  [49] = {.lex_state = 59},
  [50] = {.lex_state = 59},
  [51] = {.lex_state = 59},
  [52] = {.lex_state = 59},
  [53] = {.lex_state = 59},
  [54] = {.lex_state = 59},
  [55] = {.lex_state = 59},
  [56] = {.lex_state = 59},
  [57] = {.lex_state = 59},
  [58] = {.lex_state = 59},
  [59] = {.lex_state = 59},
  [60] = {.lex_state = 59},
  [61] = {.lex_state = 59},
  [62] = {.lex_state = 59},
  [63] = {.lex_state = 59},
  [64] = {.lex_state = 59},
  [65] = {.lex_state = 59},
  [66] = {.lex_state = 59},
  [67] = {.lex_state = 59},
  [68] = {.lex_state = 59},
  [69] = {.lex_state = 59},
  [70] = {.lex_state = 59},
  [71] = {.lex_state = 59},
  [72] = {.lex_state = 59},
  [73] = {.lex_state = 59},
  [74] = {.lex_state = 59},
  [75] = {.lex_state = 59},
  [76] = {.lex_state = 59},
  [77] = {.lex_state = 59},
  [78] = {.lex_state = 59},
  [79] = {.lex_state = 59},
  [80] = {.lex_state = 59},
  [81] = {.lex_state = 59},
  [82] = {.lex_state = 59},
  [83] = {.lex_state = 59},
  [84] = {.lex_state = 59},
  [85] = {.lex_state = 59},
  [86] = {.lex_state = 59},
  [87] = {.lex_state = 59},
  [88] = {.lex_state = 59},
  [89] = {.lex_state = 59},
  [90] = {.lex_state = 59},
  [91] = {.lex_state = 59},
  [92] = {.lex_state = 59},
  [93] = {.lex_state = 59},
  [94] = {.lex_state = 59},
  [95] = {.lex_state = 59},
  [96] = {.lex_state = 59},
  [97] = {.lex_state = 59},
  [98] = {.lex_state = 59},
  [99] = {.lex_state = 59},
  [100] = {.lex_state = 59},
  [101] = {.lex_state = 59},
  [102] = {.lex_state = 59},
  [103] = {.lex_state = 59},
  [104] = {.lex_state = 59},
  [105] = {.lex_state = 59},
  [106] = {.lex_state = 59},
  [107] = {.lex_state = 59},
  [108] = {.lex_state = 59},
  [109] = {.lex_state = 59},
  [110] = {.lex_state = 59},
  [111] = {.lex_state = 59},
  [112] = {.lex_state = 59},
  [113] = {.lex_state = 59},
  [114] = {.lex_state = 59},
  [115] = {.lex_state = 59},
  [116] = {.lex_state = 59},
  [117] = {.lex_state = 59},
  [118] = {.lex_state = 59},
  [119] = {.lex_state = 59},
  [120] = {.lex_state = 59},
  [121] = {.lex_state = 59},
  [122] = {.lex_state = 59},
  [123] = {.lex_state = 59},
  [124] = {.lex_state = 59},
  [125] = {.lex_state = 59},
  [126] = {.lex_state = 59},
  [127] = {.lex_state = 59},
  [128] = {.lex_state = 59},
  [129] = {.lex_state = 59},
  [130] = {.lex_state = 59},
  [131] = {.lex_state = 59},
  [132] = {.lex_state = 59},
  [133] = {.lex_state = 59},
  [134] = {.lex_state = 59},
  [135] = {.lex_state = 59},
  [136] = {.lex_state = 59},
  [137] = {.lex_state = 59},
  [138] = {.lex_state = 59},
  [139] = {.lex_state = 59},
  [140] = {.lex_state = 59},
  [141] = {.lex_state = 59},
  [142] = {.lex_state = 59},
  [143] = {.lex_state = 59},
  [144] = {.lex_state = 59},
  [145] = {.lex_state = 59},
  [146] = {.lex_state = 59},
  [147] = {.lex_state = 59},
  [148] = {.lex_state = 59},
  [149] = {.lex_state = 59},
  [150] = {.lex_state = 59},
  [151] = {.lex_state = 59},
  [152] = {.lex_state = 59},
  [153] = {.lex_state = 59},
  [154] = {.lex_state = 59},
  [155] = {.lex_state = 59},
  [156] = {.lex_state = 59},
  [157] = {.lex_state = 59},
  [158] = {.lex_state = 59},
  [159] = {.lex_state = 59},
  [160] = {.lex_state = 59},
  [161] = {.lex_state = 59},
  [162] = {.lex_state = 59},
  [163] = {.lex_state = 59},
  [164] = {.lex_state = 59},
  [165] = {.lex_state = 59},
  [166] = {.lex_state = 59},
  [167] = {.lex_state = 59},
  [168] = {.lex_state = 59},
  [169] = {.lex_state = 59},
  [170] = {.lex_state = 59},
  [171] = {.lex_state = 59},
  [172] = {.lex_state = 59},
  [173] = {.lex_state = 59},
  [174] = {.lex_state = 59},
  [175] = {.lex_state = 59},
  [176] = {.lex_state = 59},
  [177] = {.lex_state = 59},
  [178] = {.lex_state = 59},
  [179] = {.lex_state = 59},
  [180] = {.lex_state = 59},
  [181] = {.lex_state = 59},
  [182] = {.lex_state = 59},
  [183] = {.lex_state = 59},
  [184] = {.lex_state = 59},
  [185] = {.lex_state = 59},
  [186] = {.lex_state = 59},
  [187] = {.lex_state = 59},
  [188] = {.lex_state = 59},
  [189] = {.lex_state = 59},
  [190] = {.lex_state = 59},
  [191] = {.lex_state = 59},
  [192] = {.lex_state = 59},
  [193] = {.lex_state = 59},
  [194] = {.lex_state = 59},
  [195] = {.lex_state = 59},
  [196] = {.lex_state = 59},
  [197] = {.lex_state = 59},
  [198] = {.lex_state = 59},
  [199] = {.lex_state = 59},
  [200] = {.lex_state = 59},
  [201] = {.lex_state = 59},
  [202] = {.lex_state = 59},
  [203] = {.lex_state = 59},
  [204] = {.lex_state = 59},
  [205] = {.lex_state = 59},
  [206] = {.lex_state = 59},
  [207] = {.lex_state = 59},
  [208] = {.lex_state = 59},
  [209] = {.lex_state = 59},
  [210] = {.lex_state = 59},
  [211] = {.lex_state = 59},
  [212] = {.lex_state = 59},
  [213] = {.lex_state = 59},
  [214] = {.lex_state = 59},
  [215] = {.lex_state = 59},
  [216] = {.lex_state = 59},
  [217] = {.lex_state = 59},
  [218] = {.lex_state = 59},
  [219] = {.lex_state = 59},
  [220] = {.lex_state = 59},
  [221] = {.lex_state = 59},
  [222] = {.lex_state = 59},
  [223] = {.lex_state = 59},
  [224] = {.lex_state = 59},
  [225] = {.lex_state = 59},
  [226] = {.lex_state = 59},
  [227] = {.lex_state = 59},
  [228] = {.lex_state = 59},
  [229] = {.lex_state = 59},
  [230] = {.lex_state = 59},
  [231] = {.lex_state = 59},
  [232] = {.lex_state = 59},
  [233] = {.lex_state = 59},
  [234] = {.lex_state = 59},
  [235] = {.lex_state = 59},
  [236] = {.lex_state = 57},
  [237] = {.lex_state = 1},
  [238] = {.lex_state = 57},
  [239] = {.lex_state = 57},
  [240] = {.lex_state = 1},
  [241] = {.lex_state = 57},
  [242] = {.lex_state = 57},
  [243] = {.lex_state = 57},
  [244] = {.lex_state = 57},
  [245] = {.lex_state = 57},
  [246] = {.lex_state = 57},
  [247] = {.lex_state = 57},
  [248] = {.lex_state = 57},
  [249] = {.lex_state = 57},
  [250] = {.lex_state = 57},
  [251] = {.lex_state = 57},
  [252] = {.lex_state = 57},
  [253] = {.lex_state = 57},
  [254] = {.lex_state = 57},
  [255] = {.lex_state = 57},
  [256] = {.lex_state = 57},
  [257] = {.lex_state = 57},
  [258] = {.lex_state = 57},
  [259] = {.lex_state = 57},
  [260] = {.lex_state = 57},
  [261] = {.lex_state = 57},
  [262] = {.lex_state = 57},
  [263] = {.lex_state = 57},
  [264] = {.lex_state = 57},
  [265] = {.lex_state = 57},
  [266] = {.lex_state = 57},
  [267] = {.lex_state = 57},
  [268] = {.lex_state = 57},
  [269] = {.lex_state = 57},
  [270] = {.lex_state = 57},
  [271] = {.lex_state = 57},
  [272] = {.lex_state = 57},
  [273] = {.lex_state = 7},
  [274] = {.lex_state = 1},
  [275] = {.lex_state = 57},
  [276] = {.lex_state = 57},
  [277] = {.lex_state = 57},
  [278] = {.lex_state = 57},
  [279] = {.lex_state = 57},
  [280] = {.lex_state = 57},
  [281] = {.lex_state = 57},
  [282] = {.lex_state = 57},
  [283] = {.lex_state = 57},
  [284] = {.lex_state = 57},
  [285] = {.lex_state = 1},
  [286] = {.lex_state = 57},
  [287] = {.lex_state = 57},
  [288] = {.lex_state = 57},
  [289] = {.lex_state = 57},
  [290] = {.lex_state = 57},
  [291] = {.lex_state = 59},
  [292] = {.lex_state = 1},
  [293] = {.lex_state = 1},
  [294] = {.lex_state = 1},
  [295] = {.lex_state = 1},
  [296] = {.lex_state = 1},
  [297] = {.lex_state = 1},
  [298] = {.lex_state = 4},
  [299] = {.lex_state = 4},
  [300] = {.lex_state = 1},
  [301] = {.lex_state = 1},
  [302] = {.lex_state = 1},
  [303] = {.lex_state = 1},
  [304] = {.lex_state = 1},
  [305] = {.lex_state = 1},
  [306] = {.lex_state = 1},
  [307] = {.lex_state = 1},
  [308] = {.lex_state = 1},
  [309] = {.lex_state = 1},
  [310] = {.lex_state = 1},
  [311] = {.lex_state = 1},
  [312] = {.lex_state = 1},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 1},
  [315] = {.lex_state = 1},
  [316] = {.lex_state = 1},
  [317] = {.lex_state = 1},
  [318] = {.lex_state = 1},
  [319] = {.lex_state = 1},
  [320] = {.lex_state = 1},
  [321] = {.lex_state = 1},
  [322] = {.lex_state = 1},
  [323] = {.lex_state = 1},
  [324] = {.lex_state = 1},
  [325] = {.lex_state = 1},
  [326] = {.lex_state = 1},
  [327] = {.lex_state = 1},
  [328] = {.lex_state = 1},
  [329] = {.lex_state = 1},
  [330] = {.lex_state = 1},
  [331] = {.lex_state = 1},
  [332] = {.lex_state = 1},
  [333] = {.lex_state = 1},
  [334] = {.lex_state = 1},
  [335] = {.lex_state = 1},
  [336] = {.lex_state = 4},
  [337] = {.lex_state = 4},
  [338] = {.lex_state = 4},
  [339] = {.lex_state = 4},
  [340] = {.lex_state = 4},
  [341] = {.lex_state = 4},
  [342] = {.lex_state = 4},
  [343] = {.lex_state = 4},
  [344] = {.lex_state = 4},
  [345] = {.lex_state = 4},
  [346] = {.lex_state = 4},
  [347] = {.lex_state = 4},
  [348] = {.lex_state = 4},
  [349] = {.lex_state = 4},
  [350] = {.lex_state = 4},
  [351] = {.lex_state = 4},
  [352] = {.lex_state = 4},
  [353] = {.lex_state = 4},
  [354] = {.lex_state = 4},
  [355] = {.lex_state = 4},
  [356] = {.lex_state = 4},
  [357] = {.lex_state = 4},
  [358] = {.lex_state = 4},
  [359] = {.lex_state = 4},
  [360] = {.lex_state = 4},
  [361] = {.lex_state = 4},
  [362] = {.lex_state = 4},
  [363] = {.lex_state = 4},
  [364] = {.lex_state = 4},
  [365] = {.lex_state = 4},
  [366] = {.lex_state = 4},
  [367] = {.lex_state = 4},
  [368] = {.lex_state = 4},
  [369] = {.lex_state = 4},
  [370] = {.lex_state = 4},
  [371] = {.lex_state = 4},
  [372] = {.lex_state = 4},
  [373] = {.lex_state = 4},
  [374] = {.lex_state = 4},
  [375] = {.lex_state = 4},
  [376] = {.lex_state = 4},
  [377] = {.lex_state = 4},
  [378] = {.lex_state = 4},
  [379] = {.lex_state = 5},
  [380] = {.lex_state = 5},
  [381] = {.lex_state = 5},
  [382] = {.lex_state = 5},
  [383] = {.lex_state = 5},
  [384] = {.lex_state = 5},
  [385] = {.lex_state = 5},
  [386] = {.lex_state = 5},
  [387] = {.lex_state = 5},
  [388] = {.lex_state = 5},
  [389] = {.lex_state = 5},
  [390] = {.lex_state = 5},
  [391] = {.lex_state = 5},
  [392] = {.lex_state = 5},
  [393] = {.lex_state = 5},
  [394] = {.lex_state = 5},
  [395] = {.lex_state = 5},
  [396] = {.lex_state = 5},
  [397] = {.lex_state = 5},
  [398] = {.lex_state = 5},
  [399] = {.lex_state = 5},
  [400] = {.lex_state = 5},
  [401] = {.lex_state = 5},
  [402] = {.lex_state = 5},
  [403] = {.lex_state = 5},
  [404] = {.lex_state = 5},
  [405] = {.lex_state = 5},
  [406] = {.lex_state = 5},
  [407] = {.lex_state = 5},
  [408] = {.lex_state = 5},
  [409] = {.lex_state = 5},
  [410] = {.lex_state = 5},
  [411] = {.lex_state = 5},
  [412] = {.lex_state = 5},
  [413] = {.lex_state = 5},
  [414] = {.lex_state = 5},
  [415] = {.lex_state = 5},
  [416] = {.lex_state = 5},
  [417] = {.lex_state = 5},
  [418] = {.lex_state = 5},
  [419] = {.lex_state = 5},
  [420] = {.lex_state = 5},
  [421] = {.lex_state = 5},
  [422] = {.lex_state = 6},
  [423] = {.lex_state = 6},
  [424] = {.lex_state = 6},
  [425] = {.lex_state = 6},
  [426] = {.lex_state = 6},
  [427] = {.lex_state = 6},
  [428] = {.lex_state = 6},
  [429] = {.lex_state = 6},
  [430] = {.lex_state = 6},
  [431] = {.lex_state = 6},
  [432] = {.lex_state = 6},
  [433] = {.lex_state = 6},
  [434] = {.lex_state = 6},
  [435] = {.lex_state = 6},
  [436] = {.lex_state = 6},
  [437] = {.lex_state = 6},
  [438] = {.lex_state = 6},
  [439] = {.lex_state = 6},
  [440] = {.lex_state = 6},
  [441] = {.lex_state = 6},
  [442] = {.lex_state = 6},
  [443] = {.lex_state = 6},
  [444] = {.lex_state = 6},
  [445] = {.lex_state = 6},
  [446] = {.lex_state = 6},
  [447] = {.lex_state = 6},
  [448] = {.lex_state = 6},
  [449] = {.lex_state = 6},
  [450] = {.lex_state = 6},
  [451] = {.lex_state = 6},
  [452] = {.lex_state = 6},
  [453] = {.lex_state = 6},
  [454] = {.lex_state = 6},
  [455] = {.lex_state = 6},
  [456] = {.lex_state = 6},
  [457] = {.lex_state = 6},
  [458] = {.lex_state = 6},
  [459] = {.lex_state = 6},
  [460] = {.lex_state = 6},
  [461] = {.lex_state = 2},
  [462] = {.lex_state = 6},
  [463] = {.lex_state = 6},
  [464] = {.lex_state = 57},
  [465] = {.lex_state = 6},
  [466] = {.lex_state = 2},
  [467] = {.lex_state = 2},
  [468] = {.lex_state = 2},
  [469] = {.lex_state = 57},
  [470] = {.lex_state = 2},
  [471] = {.lex_state = 57},
  [472] = {.lex_state = 7},
  [473] = {.lex_state = 57},
  [474] = {.lex_state = 2},
  [475] = {.lex_state = 2},
  [476] = {.lex_state = 7},
  [477] = {.lex_state = 2},
  [478] = {.lex_state = 2},
  [479] = {.lex_state = 7},
  [480] = {.lex_state = 2},
  [481] = {.lex_state = 6},
  [482] = {.lex_state = 2},
  [483] = {.lex_state = 7},
  [484] = {.lex_state = 2},
  [485] = {.lex_state = 2},
  [486] = {.lex_state = 7},
  [487] = {.lex_state = 7},
  [488] = {.lex_state = 7},
  [489] = {.lex_state = 7},
  [490] = {.lex_state = 6},
  [491] = {.lex_state = 0},
  [492] = {.lex_state = 2},
  [493] = {.lex_state = 2},
  [494] = {.lex_state = 2},
  [495] = {.lex_state = 2},
  [496] = {.lex_state = 6},
  [497] = {.lex_state = 0},
  [498] = {.lex_state = 2},
  [499] = {.lex_state = 2},
  [500] = {.lex_state = 6},
  [501] = {.lex_state = 6},
  [502] = {.lex_state = 2},
  [503] = {.lex_state = 2},
  [504] = {.lex_state = 2},
  [505] = {.lex_state = 2},
  [506] = {.lex_state = 2},
  [507] = {.lex_state = 2},
  [508] = {.lex_state = 6},
  [509] = {.lex_state = 6},
  [510] = {.lex_state = 6},
  [511] = {.lex_state = 2},
  [512] = {.lex_state = 2},
  [513] = {.lex_state = 2},
  [514] = {.lex_state = 2},
  [515] = {.lex_state = 2},
  [516] = {.lex_state = 6},
  [517] = {.lex_state = 2},
  [518] = {.lex_state = 2},
  [519] = {.lex_state = 2},
  [520] = {.lex_state = 2},
  [521] = {.lex_state = 2},
  [522] = {.lex_state = 2},
  [523] = {.lex_state = 2},
  [524] = {.lex_state = 2},
  [525] = {.lex_state = 6},
  [526] = {.lex_state = 6},
  [527] = {.lex_state = 2},
  [528] = {.lex_state = 6},
  [529] = {.lex_state = 2},
  [530] = {.lex_state = 2},
  [531] = {.lex_state = 2},
  [532] = {.lex_state = 2},
  [533] = {.lex_state = 7},
  [534] = {.lex_state = 2},
  [535] = {.lex_state = 2},
  [536] = {.lex_state = 2},
  [537] = {.lex_state = 2},
  [538] = {.lex_state = 6},
  [539] = {.lex_state = 7},
  [540] = {.lex_state = 7},
  [541] = {.lex_state = 7},
  [542] = {.lex_state = 7},
  [543] = {.lex_state = 7},
  [544] = {.lex_state = 7},
  [545] = {.lex_state = 7},
  [546] = {.lex_state = 7},
  [547] = {.lex_state = 7},
  [548] = {.lex_state = 0},
  [549] = {.lex_state = 7},
  [550] = {.lex_state = 6},
  [551] = {.lex_state = 7},
  [552] = {.lex_state = 6},
  [553] = {.lex_state = 7},
  [554] = {.lex_state = 7},
  [555] = {.lex_state = 7},
  [556] = {.lex_state = 7},
  [557] = {.lex_state = 0},
  [558] = {.lex_state = 7},
  [559] = {.lex_state = 7},
  [560] = {.lex_state = 7},
  [561] = {.lex_state = 7},
  [562] = {.lex_state = 7},
  [563] = {.lex_state = 7},
  [564] = {.lex_state = 7},
  [565] = {.lex_state = 0},
  [566] = {.lex_state = 0},
  [567] = {.lex_state = 7},
  [568] = {.lex_state = 6},
  [569] = {.lex_state = 7},
  [570] = {.lex_state = 0},
  [571] = {.lex_state = 6},
  [572] = {.lex_state = 7},
  [573] = {.lex_state = 7},
  [574] = {.lex_state = 7},
  [575] = {.lex_state = 7},
  [576] = {.lex_state = 7},
  [577] = {.lex_state = 7},
  [578] = {.lex_state = 7},
  [579] = {.lex_state = 6},
  [580] = {.lex_state = 7},
  [581] = {.lex_state = 6},
  [582] = {.lex_state = 7},
  [583] = {.lex_state = 6},
  [584] = {.lex_state = 6},
  [585] = {.lex_state = 6},
  [586] = {.lex_state = 7},
  [587] = {.lex_state = 6},
  [588] = {.lex_state = 6},
  [589] = {.lex_state = 6},
  [590] = {.lex_state = 6},
  [591] = {.lex_state = 6},
  [592] = {.lex_state = 6},
  [593] = {.lex_state = 6},
  [594] = {.lex_state = 6},
  [595] = {.lex_state = 6},
  [596] = {.lex_state = 6},
  [597] = {.lex_state = 6},
  [598] = {.lex_state = 6},
  [599] = {.lex_state = 6},
  [600] = {.lex_state = 6},
  [601] = {.lex_state = 6},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 6},
  [604] = {.lex_state = 6},
  [605] = {.lex_state = 6},
  [606] = {.lex_state = 6},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 0},
  [609] = {.lex_state = 6},
  [610] = {.lex_state = 0},
  [611] = {.lex_state = 6},
  [612] = {.lex_state = 0},
  [613] = {.lex_state = 6},
  [614] = {.lex_state = 6},
  [615] = {.lex_state = 6},
  [616] = {.lex_state = 0},
  [617] = {.lex_state = 6},
  [618] = {.lex_state = 6},
  [619] = {.lex_state = 6},
  [620] = {.lex_state = 0},
  [621] = {.lex_state = 6},
  [622] = {.lex_state = 6},
  [623] = {.lex_state = 6},
  [624] = {.lex_state = 6},
  [625] = {.lex_state = 6},
  [626] = {.lex_state = 6},
  [627] = {.lex_state = 6},
  [628] = {.lex_state = 6},
  [629] = {.lex_state = 0},
  [630] = {.lex_state = 6},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 6},
  [633] = {.lex_state = 6},
  [634] = {.lex_state = 6},
  [635] = {.lex_state = 6},
  [636] = {.lex_state = 6},
  [637] = {.lex_state = 6},
  [638] = {.lex_state = 6},
  [639] = {.lex_state = 6},
  [640] = {.lex_state = 6},
  [641] = {.lex_state = 6},
  [642] = {.lex_state = 6},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 6},
  [645] = {.lex_state = 6},
  [646] = {.lex_state = 6},
  [647] = {.lex_state = 6},
  [648] = {.lex_state = 6},
  [649] = {.lex_state = 6},
  [650] = {.lex_state = 6},
  [651] = {.lex_state = 6},
  [652] = {.lex_state = 57},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 6},
  [655] = {.lex_state = 6},
  [656] = {.lex_state = 6},
  [657] = {.lex_state = 6},
  [658] = {.lex_state = 6},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 6},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 0},
  [666] = {.lex_state = 0},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 0},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 0},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 0},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 57},
  [746] = {.lex_state = 57},
  [747] = {.lex_state = 57},
  [748] = {.lex_state = 57},
  [749] = {.lex_state = 57},
  [750] = {.lex_state = 57},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 57},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 0},
  [780] = {.lex_state = 0},
  [781] = {.lex_state = 0},
  [782] = {.lex_state = 0},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 0},
  [786] = {.lex_state = 57},
  [787] = {.lex_state = 57},
  [788] = {.lex_state = 57},
  [789] = {.lex_state = 57},
  [790] = {.lex_state = 57},
  [791] = {.lex_state = 57},
  [792] = {.lex_state = 57},
  [793] = {.lex_state = 57},
  [794] = {.lex_state = 57},
  [795] = {.lex_state = 57},
  [796] = {.lex_state = 57},
  [797] = {.lex_state = 57},
  [798] = {.lex_state = 57},
  [799] = {.lex_state = 57},
  [800] = {.lex_state = 0},
  [801] = {.lex_state = 57},
  [802] = {.lex_state = 57},
  [803] = {.lex_state = 57},
  [804] = {.lex_state = 57},
  [805] = {.lex_state = 57},
  [806] = {.lex_state = 57},
  [807] = {.lex_state = 57},
  [808] = {.lex_state = 57},
  [809] = {.lex_state = 57},
  [810] = {.lex_state = 57},
  [811] = {.lex_state = 57},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 0},
  [815] = {.lex_state = 57},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 57},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 57},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 57},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 57},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 57},
  [847] = {.lex_state = 57},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 57},
  [850] = {.lex_state = 57},
  [851] = {.lex_state = 57},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 57},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 57},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 57},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 57},
  [863] = {.lex_state = 57},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 57},
  [873] = {.lex_state = 57},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 57},
  [876] = {.lex_state = 57},
  [877] = {.lex_state = 57},
  [878] = {.lex_state = 57},
  [879] = {.lex_state = 57},
  [880] = {.lex_state = 57},
  [881] = {.lex_state = 57},
  [882] = {.lex_state = 57},
  [883] = {.lex_state = 57},
  [884] = {.lex_state = 57},
  [885] = {.lex_state = 57},
  [886] = {.lex_state = 57},
  [887] = {.lex_state = 57},
  [888] = {.lex_state = 57},
  [889] = {.lex_state = 57},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 57},
  [892] = {.lex_state = 57},
  [893] = {.lex_state = 57},
  [894] = {.lex_state = 57},
  [895] = {.lex_state = 57},
  [896] = {.lex_state = 57},
  [897] = {.lex_state = 57},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 57},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 57},
  [902] = {.lex_state = 57},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 57},
  [906] = {.lex_state = 57},
  [907] = {.lex_state = 57},
  [908] = {.lex_state = 57},
  [909] = {.lex_state = 57},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 57},
  [912] = {.lex_state = 57},
  [913] = {.lex_state = 57},
  [914] = {.lex_state = 57},
  [915] = {.lex_state = 57},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 57},
  [919] = {.lex_state = 57},
  [920] = {.lex_state = 57},
  [921] = {.lex_state = 57},
  [922] = {.lex_state = 57},
  [923] = {.lex_state = 57},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 57},
  [926] = {.lex_state = 57},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 57},
  [929] = {.lex_state = 57},
  [930] = {.lex_state = 57},
  [931] = {.lex_state = 57},
  [932] = {.lex_state = 57},
  [933] = {.lex_state = 57},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 57},
  [936] = {.lex_state = 57},
  [937] = {.lex_state = 57},
  [938] = {.lex_state = 57},
  [939] = {.lex_state = 57},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 3},
  [943] = {.lex_state = 57},
  [944] = {.lex_state = 3},
  [945] = {.lex_state = 3},
  [946] = {.lex_state = 3},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 3},
  [950] = {.lex_state = 3},
  [951] = {.lex_state = 57},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 3},
  [955] = {.lex_state = 57},
  [956] = {.lex_state = 3},
  [957] = {.lex_state = 57},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 57},
  [961] = {.lex_state = 3},
  [962] = {.lex_state = 57},
  [963] = {.lex_state = 3},
  [964] = {.lex_state = 3},
  [965] = {.lex_state = 3},
  [966] = {.lex_state = 57},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 57},
  [969] = {.lex_state = 57},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 57},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 3},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 57},
  [976] = {.lex_state = 57},
  [977] = {.lex_state = 57},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 57},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 57},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 3},
  [984] = {.lex_state = 3},
  [985] = {.lex_state = 57},
  [986] = {.lex_state = 57},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 57},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 57},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 57},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 57},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 57},
  [1026] = {.lex_state = 57},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 57},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 57},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 57},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 57},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 57},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 57},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 57},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 57},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 57},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 57},
  [1133] = {.lex_state = 57},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 57},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 57},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 57},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 57},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_iota] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1215),
    [sym_package_clause] = STATE(250),
    [sym_import_declaration] = STATE(250),
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_function_declaration] = STATE(250),
    [sym_method_declaration] = STATE(250),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement] = STATE(1144),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_package_clause] = STATE(250),
    [sym_import_declaration] = STATE(250),
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_function_declaration] = STATE(250),
    [sym_method_declaration] = STATE(250),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement] = STATE(1144),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(73),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_package_clause] = STATE(250),
    [sym_import_declaration] = STATE(250),
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_function_declaration] = STATE(250),
    [sym_method_declaration] = STATE(250),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement] = STATE(1144),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(80),
    [anon_sym_package] = ACTIONS(83),
    [anon_sym_import] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(89),
    [anon_sym_const] = ACTIONS(92),
    [anon_sym_var] = ACTIONS(95),
    [anon_sym_func] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_type] = ACTIONS(104),
    [anon_sym_STAR] = ACTIONS(107),
    [anon_sym_struct] = ACTIONS(110),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_interface] = ACTIONS(116),
    [anon_sym_map] = ACTIONS(119),
    [anon_sym_chan] = ACTIONS(122),
    [anon_sym_LT_DASH] = ACTIONS(125),
    [anon_sym_fallthrough] = ACTIONS(128),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(134),
    [anon_sym_goto] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(140),
    [anon_sym_go] = ACTIONS(143),
    [anon_sym_defer] = ACTIONS(146),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(152),
    [anon_sym_switch] = ACTIONS(155),
    [anon_sym_select] = ACTIONS(158),
    [anon_sym_new] = ACTIONS(161),
    [anon_sym_make] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(164),
    [anon_sym_DASH] = ACTIONS(164),
    [anon_sym_BANG] = ACTIONS(164),
    [anon_sym_CARET] = ACTIONS(164),
    [anon_sym_AMP] = ACTIONS(164),
    [sym_raw_string_literal] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(170),
    [sym_int_literal] = ACTIONS(173),
    [sym_float_literal] = ACTIONS(173),
    [sym_imaginary_literal] = ACTIONS(167),
    [sym_rune_literal] = ACTIONS(167),
    [sym_nil] = ACTIONS(173),
    [sym_true] = ACTIONS(173),
    [sym_false] = ACTIONS(173),
    [sym_iota] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1080),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1080),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(180),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(182),
    [anon_sym_default] = ACTIONS(182),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1082),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1082),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(184),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(186),
    [anon_sym_default] = ACTIONS(186),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1089),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1089),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(188),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(190),
    [anon_sym_default] = ACTIONS(190),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(994),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(994),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(192),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(194),
    [anon_sym_default] = ACTIONS(194),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(998),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(998),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(196),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(198),
    [anon_sym_default] = ACTIONS(198),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement] = STATE(918),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(999),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(200),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(202),
    [anon_sym_default] = ACTIONS(202),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement] = STATE(918),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1044),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(204),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(206),
    [anon_sym_default] = ACTIONS(206),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1183),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1183),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(208),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1185),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1185),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement] = STATE(891),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(212),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(214),
    [anon_sym_default] = ACTIONS(214),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1199),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1199),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1172),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1172),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(218),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1211),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1211),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(220),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1198),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1198),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(222),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement_list] = STATE(1171),
    [sym__statement] = STATE(859),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_empty_labeled_statement] = STATE(1171),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(176),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement] = STATE(891),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__declaration] = STATE(936),
    [sym_const_declaration] = STATE(936),
    [sym_var_declaration] = STATE(936),
    [sym_type_declaration] = STATE(936),
    [sym_expression_list] = STATE(760),
    [sym_parenthesized_type] = STATE(1213),
    [sym__simple_type] = STATE(1213),
    [sym_generic_type] = STATE(996),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(996),
    [sym_implicit_length_array_type] = STATE(1149),
    [sym_slice_type] = STATE(996),
    [sym_struct_type] = STATE(996),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(996),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(936),
    [sym__statement] = STATE(918),
    [sym_empty_statement] = STATE(936),
    [sym__simple_statement] = STATE(936),
    [sym_send_statement] = STATE(933),
    [sym_inc_statement] = STATE(933),
    [sym_dec_statement] = STATE(933),
    [sym_assignment_statement] = STATE(933),
    [sym_short_var_declaration] = STATE(933),
    [sym_labeled_statement] = STATE(936),
    [sym_fallthrough_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_goto_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_go_statement] = STATE(936),
    [sym_defer_statement] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_expression_switch_statement] = STATE(936),
    [sym_type_switch_statement] = STATE(936),
    [sym_select_statement] = STATE(936),
    [sym__expression] = STATE(285),
    [sym_parenthesized_expression] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_selector_expression] = STATE(318),
    [sym_index_expression] = STATE(318),
    [sym_slice_expression] = STATE(318),
    [sym_type_assertion_expression] = STATE(318),
    [sym_type_conversion_expression] = STATE(318),
    [sym_composite_literal] = STATE(318),
    [sym_func_literal] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_qualified_type] = STATE(996),
    [sym_interpreted_string_literal] = STATE(318),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(178),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(39),
    [anon_sym_fallthrough] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_goto] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_go] = ACTIONS(51),
    [anon_sym_defer] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_for] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_select] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_make] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [sym_raw_string_literal] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_int_literal] = ACTIONS(71),
    [sym_float_literal] = ACTIONS(71),
    [sym_imaginary_literal] = ACTIONS(67),
    [sym_rune_literal] = ACTIONS(67),
    [sym_nil] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_iota] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_expression_list] = STATE(758),
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_generic_type] = STATE(1053),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1053),
    [sym_implicit_length_array_type] = STATE(1117),
    [sym_slice_type] = STATE(1053),
    [sym_struct_type] = STATE(1053),
    [sym_interface_type] = STATE(814),
    [sym_map_type] = STATE(1053),
    [sym_channel_type] = STATE(814),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(914),
    [sym__simple_statement] = STATE(1173),
    [sym_send_statement] = STATE(1100),
    [sym_inc_statement] = STATE(1100),
    [sym_dec_statement] = STATE(1100),
    [sym_assignment_statement] = STATE(1100),
    [sym_short_var_declaration] = STATE(1100),
    [sym_for_clause] = STATE(1155),
    [sym_range_clause] = STATE(1155),
    [sym__expression] = STATE(298),
    [sym_parenthesized_expression] = STATE(363),
    [sym_call_expression] = STATE(363),
    [sym_selector_expression] = STATE(363),
    [sym_index_expression] = STATE(363),
    [sym_slice_expression] = STATE(363),
    [sym_type_assertion_expression] = STATE(363),
    [sym_type_conversion_expression] = STATE(363),
    [sym_composite_literal] = STATE(363),
    [sym_func_literal] = STATE(363),
    [sym_unary_expression] = STATE(363),
    [sym_binary_expression] = STATE(363),
    [sym_qualified_type] = STATE(1053),
    [sym_interpreted_string_literal] = STATE(363),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_SEMI] = ACTIONS(228),
    [anon_sym_LPAREN] = ACTIONS(230),
    [anon_sym_func] = ACTIONS(232),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(234),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(33),
    [anon_sym_map] = ACTIONS(35),
    [anon_sym_chan] = ACTIONS(37),
    [anon_sym_LT_DASH] = ACTIONS(236),
    [anon_sym_range] = ACTIONS(238),
    [anon_sym_new] = ACTIONS(240),
    [anon_sym_make] = ACTIONS(240),
    [anon_sym_PLUS] = ACTIONS(242),
    [anon_sym_DASH] = ACTIONS(242),
    [anon_sym_BANG] = ACTIONS(242),
    [anon_sym_CARET] = ACTIONS(242),
    [anon_sym_AMP] = ACTIONS(242),
    [sym_raw_string_literal] = ACTIONS(244),
    [anon_sym_DQUOTE] = ACTIONS(246),
    [sym_int_literal] = ACTIONS(248),
    [sym_float_literal] = ACTIONS(248),
    [sym_imaginary_literal] = ACTIONS(244),
    [sym_rune_literal] = ACTIONS(244),
    [sym_nil] = ACTIONS(248),
    [sym_true] = ACTIONS(248),
    [sym_false] = ACTIONS(248),
    [sym_iota] = ACTIONS(248),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    ACTIONS(250), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym__expression,
    STATE(759), 1,
      sym_expression_list,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    STATE(1166), 1,
      sym__type_switch_header,
    STATE(1167), 1,
      sym__simple_statement,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1100), 5,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [118] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym__expression,
    STATE(761), 1,
      sym_expression_list,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    STATE(1159), 1,
      sym__simple_statement,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1100), 5,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [233] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    ACTIONS(254), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym__expression,
    STATE(761), 1,
      sym_expression_list,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    STATE(1220), 1,
      sym__simple_statement,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1100), 5,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [348] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    ACTIONS(256), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym__expression,
    STATE(761), 1,
      sym_expression_list,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    STATE(1189), 1,
      sym__simple_statement,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1100), 5,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [463] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    ACTIONS(258), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym__expression,
    STATE(761), 1,
      sym_expression_list,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    STATE(1194), 1,
      sym__simple_statement,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1100), 5,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [578] = 17,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(266), 1,
      anon_sym_LPAREN,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(270), 1,
      anon_sym_LBRACK,
    ACTIONS(272), 1,
      anon_sym_STAR,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(276), 1,
      anon_sym_LBRACE,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(282), 1,
      anon_sym_chan,
    ACTIONS(284), 1,
      anon_sym_LT_DASH,
    ACTIONS(286), 1,
      sym_comment,
    STATE(270), 1,
      sym_block,
    ACTIONS(260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(238), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
    ACTIONS(264), 34,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_type,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [674] = 17,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(266), 1,
      anon_sym_LPAREN,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(270), 1,
      anon_sym_LBRACK,
    ACTIONS(272), 1,
      anon_sym_STAR,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(276), 1,
      anon_sym_LBRACE,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(282), 1,
      anon_sym_chan,
    ACTIONS(284), 1,
      anon_sym_LT_DASH,
    ACTIONS(286), 1,
      sym_comment,
    STATE(276), 1,
      sym_block,
    ACTIONS(288), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(239), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
    ACTIONS(290), 34,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_type,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [770] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    STATE(299), 1,
      sym__expression,
    STATE(757), 1,
      sym_expression_list,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    STATE(1175), 1,
      sym__simple_statement,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1100), 5,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [882] = 24,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(294), 1,
      anon_sym_LF,
    ACTIONS(298), 1,
      anon_sym_LPAREN,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(302), 1,
      anon_sym_LBRACK,
    ACTIONS(304), 1,
      anon_sym_STAR,
    ACTIONS(306), 1,
      anon_sym_LT_DASH,
    ACTIONS(314), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(915), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(296), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(310), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    ACTIONS(312), 9,
      sym_raw_string_literal,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [991] = 15,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(318), 1,
      sym_identifier,
    ACTIONS(323), 1,
      anon_sym_LPAREN,
    ACTIONS(326), 1,
      anon_sym_func,
    ACTIONS(329), 1,
      anon_sym_LBRACK,
    ACTIONS(332), 1,
      anon_sym_STAR,
    ACTIONS(335), 1,
      anon_sym_struct,
    ACTIONS(338), 1,
      anon_sym_interface,
    ACTIONS(341), 1,
      anon_sym_map,
    ACTIONS(344), 1,
      anon_sym_chan,
    ACTIONS(347), 1,
      anon_sym_LT_DASH,
    ACTIONS(316), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(279), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
    ACTIONS(321), 35,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_type,
      anon_sym_LBRACE,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [1082] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(360), 1,
      anon_sym_RBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1194] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(374), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1306] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(376), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1024), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1418] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(378), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1530] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(380), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1642] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(382), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1010), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1754] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(384), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1066), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1866] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(386), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1978] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(388), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2090] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(390), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2202] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2314] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(394), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2426] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(396), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2538] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(398), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1052), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2650] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2762] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(402), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2874] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(404), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1060), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2986] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      anon_sym_RBRACE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1069), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3098] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(350), 1,
      sym_identifier,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    STATE(552), 1,
      sym__expression,
    STATE(1063), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1109), 2,
      sym_keyed_element,
      sym_element,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3207] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_func,
    ACTIONS(414), 1,
      anon_sym_STAR,
    ACTIONS(416), 1,
      anon_sym_LT_DASH,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    STATE(476), 1,
      sym__expression,
    STATE(1091), 1,
      sym_expression_list,
    STATE(1131), 1,
      sym_implicit_length_array_type,
    ACTIONS(418), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1227), 2,
      sym_send_statement,
      sym_receive_statement,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(422), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(420), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(426), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1017), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(569), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3313] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(490), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1226), 1,
      sym_expression_list,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3418] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(440), 1,
      anon_sym_RPAREN,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3523] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(448), 1,
      anon_sym_RPAREN,
    STATE(508), 1,
      sym__expression,
    STATE(1072), 1,
      sym_variadic_argument,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3628] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(611), 1,
      sym__expression,
    STATE(1104), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3733] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(452), 1,
      anon_sym_RPAREN,
    STATE(501), 1,
      sym__expression,
    STATE(1065), 1,
      sym_variadic_argument,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3838] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(454), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3943] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(592), 1,
      sym__expression,
    STATE(1108), 1,
      sym_literal_value,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4048] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(456), 1,
      sym_identifier,
    ACTIONS(458), 1,
      anon_sym_RBRACK,
    ACTIONS(460), 1,
      anon_sym_STAR,
    STATE(645), 1,
      sym__expression,
    STATE(1032), 1,
      sym_parameter_declaration,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1014), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4153] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(462), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4258] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(464), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4363] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(466), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4468] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(468), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4573] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(470), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4678] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(472), 1,
      anon_sym_RPAREN,
    STATE(526), 1,
      sym__expression,
    STATE(1074), 1,
      sym_variadic_argument,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4783] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(474), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4888] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(476), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4993] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(478), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5098] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_range,
    STATE(525), 1,
      sym__expression,
    STATE(1105), 1,
      sym_expression_list,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5203] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_range,
    STATE(525), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1157), 1,
      sym_expression_list,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5308] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(482), 1,
      anon_sym_RPAREN,
    STATE(516), 1,
      sym__expression,
    STATE(1027), 1,
      sym_variadic_argument,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5413] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(484), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5518] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(486), 1,
      anon_sym_RPAREN,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5623] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(488), 1,
      anon_sym_RPAREN,
    STATE(496), 1,
      sym__expression,
    STATE(1008), 1,
      sym_variadic_argument,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5728] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(490), 1,
      anon_sym_RPAREN,
    STATE(510), 1,
      sym__expression,
    STATE(1050), 1,
      sym_variadic_argument,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5833] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_RBRACK,
    ACTIONS(494), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(632), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5938] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(496), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6040] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(460), 1,
      anon_sym_STAR,
    ACTIONS(498), 1,
      sym_identifier,
    ACTIONS(500), 1,
      anon_sym_COLON,
    STATE(625), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(970), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6142] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(502), 1,
      anon_sym_RBRACK,
    STATE(613), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6244] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(888), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6346] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(516), 1,
      anon_sym_RBRACK,
    STATE(633), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6448] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(518), 1,
      anon_sym_SEMI,
    STATE(656), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6550] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(520), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6652] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_RBRACK,
    STATE(632), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6754] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(460), 1,
      anon_sym_STAR,
    ACTIONS(498), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_COLON,
    STATE(603), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(970), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6856] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(525), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1221), 1,
      sym_expression_list,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6958] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(579), 1,
      sym__expression,
    STATE(1105), 1,
      sym_expression_list,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7060] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(524), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7162] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(526), 1,
      anon_sym_RBRACK,
    STATE(605), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7264] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(528), 1,
      anon_sym_RBRACK,
    STATE(593), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7366] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(530), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7468] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(889), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7570] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(532), 1,
      anon_sym_RBRACK,
    STATE(619), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7672] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(534), 1,
      anon_sym_RBRACK,
    STATE(596), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7774] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(536), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7876] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(538), 1,
      anon_sym_RBRACK,
    STATE(598), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7978] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(540), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8080] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(460), 1,
      anon_sym_STAR,
    ACTIONS(498), 1,
      sym_identifier,
    ACTIONS(542), 1,
      anon_sym_COLON,
    STATE(606), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(970), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8182] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_SEMI,
    STATE(637), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8284] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(546), 1,
      anon_sym_RBRACK,
    STATE(601), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8386] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(548), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8488] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(901), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8590] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(460), 1,
      anon_sym_STAR,
    ACTIONS(498), 1,
      sym_identifier,
    ACTIONS(550), 1,
      anon_sym_COLON,
    STATE(626), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(970), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8692] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(550), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1115), 1,
      sym_variadic_argument,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8794] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(525), 1,
      sym__expression,
    STATE(1105), 1,
      sym_expression_list,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8896] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(552), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8998] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(554), 1,
      anon_sym_RBRACK,
    STATE(609), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9100] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(880), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9202] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(525), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1157), 1,
      sym_expression_list,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9304] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(897), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9406] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_RBRACK,
    STATE(590), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9508] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(458), 1,
      anon_sym_RBRACK,
    STATE(645), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9610] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(938), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9712] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(558), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9814] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(560), 1,
      anon_sym_RBRACK,
    STATE(617), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9916] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(937), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10018] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(935), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10120] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(460), 1,
      anon_sym_STAR,
    ACTIONS(498), 1,
      sym_identifier,
    ACTIONS(562), 1,
      anon_sym_COLON,
    STATE(600), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(970), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10222] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(571), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    STATE(1157), 1,
      sym_expression_list,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10324] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(571), 1,
      sym__expression,
    STATE(1105), 1,
      sym_expression_list,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10426] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(564), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10528] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(566), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10630] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(892), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10732] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(466), 1,
      sym__expression,
    STATE(893), 1,
      sym_expression_list,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10834] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(460), 1,
      anon_sym_STAR,
    ACTIONS(498), 1,
      sym_identifier,
    ACTIONS(516), 1,
      anon_sym_RBRACK,
    STATE(633), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(970), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10936] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(568), 1,
      anon_sym_RPAREN,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11038] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_RBRACK,
    STATE(621), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11140] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_RBRACK,
    STATE(615), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11242] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(574), 1,
      anon_sym_RBRACK,
    STATE(647), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11344] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(460), 1,
      anon_sym_STAR,
    ACTIONS(498), 1,
      sym_identifier,
    ACTIONS(576), 1,
      anon_sym_COLON,
    STATE(618), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(970), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11446] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_func,
    ACTIONS(414), 1,
      anon_sym_STAR,
    ACTIONS(416), 1,
      anon_sym_LT_DASH,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    STATE(479), 1,
      sym__expression,
    STATE(1131), 1,
      sym_implicit_length_array_type,
    ACTIONS(418), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(422), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(420), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(426), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1017), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(569), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11545] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_func,
    ACTIONS(414), 1,
      anon_sym_STAR,
    ACTIONS(416), 1,
      anon_sym_LT_DASH,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    STATE(488), 1,
      sym__expression,
    STATE(1131), 1,
      sym_implicit_length_array_type,
    ACTIONS(418), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(422), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(420), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(426), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1017), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(569), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11644] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(482), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11743] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11842] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(39), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_func,
    ACTIONS(578), 1,
      sym_identifier,
    STATE(296), 1,
      sym__expression,
    STATE(1149), 1,
      sym_implicit_length_array_type,
    ACTIONS(63), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1213), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(67), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(65), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(71), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(996), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(318), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11941] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(39), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_func,
    ACTIONS(578), 1,
      sym_identifier,
    STATE(294), 1,
      sym__expression,
    STATE(1149), 1,
      sym_implicit_length_array_type,
    ACTIONS(63), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1213), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(67), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(65), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(71), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(996), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(318), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12040] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(39), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_func,
    ACTIONS(578), 1,
      sym_identifier,
    STATE(293), 1,
      sym__expression,
    STATE(1149), 1,
      sym_implicit_length_array_type,
    ACTIONS(63), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1213), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(67), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(65), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(71), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(996), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(318), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12139] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(39), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_func,
    ACTIONS(578), 1,
      sym_identifier,
    STATE(292), 1,
      sym__expression,
    STATE(1149), 1,
      sym_implicit_length_array_type,
    ACTIONS(63), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1213), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(67), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(65), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(71), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(996), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(318), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12238] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(580), 1,
      sym_identifier,
    ACTIONS(582), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_func,
    ACTIONS(586), 1,
      anon_sym_STAR,
    ACTIONS(588), 1,
      anon_sym_LT_DASH,
    ACTIONS(596), 1,
      anon_sym_DQUOTE,
    STATE(383), 1,
      sym__expression,
    STATE(1096), 1,
      sym_implicit_length_array_type,
    ACTIONS(590), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(594), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(592), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(598), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1087), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(390), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12337] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(580), 1,
      sym_identifier,
    ACTIONS(582), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_func,
    ACTIONS(586), 1,
      anon_sym_STAR,
    ACTIONS(588), 1,
      anon_sym_LT_DASH,
    ACTIONS(596), 1,
      anon_sym_DQUOTE,
    STATE(384), 1,
      sym__expression,
    STATE(1096), 1,
      sym_implicit_length_array_type,
    ACTIONS(590), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1237), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(594), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(592), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(598), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1087), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(390), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12436] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(423), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12535] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(581), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12634] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(583), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12733] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(622), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12832] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(638), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12931] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(588), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13030] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13129] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(630), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13228] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(600), 1,
      anon_sym_STAR,
    STATE(651), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1127), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13327] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(589), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13426] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13525] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(475), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13624] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(639), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13723] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(580), 1,
      sym_identifier,
    ACTIONS(582), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_func,
    ACTIONS(586), 1,
      anon_sym_STAR,
    ACTIONS(588), 1,
      anon_sym_LT_DASH,
    ACTIONS(596), 1,
      anon_sym_DQUOTE,
    STATE(381), 1,
      sym__expression,
    STATE(1096), 1,
      sym_implicit_length_array_type,
    ACTIONS(590), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1237), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(594), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(592), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(598), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1087), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(390), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13822] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(477), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13921] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    STATE(337), 1,
      sym__expression,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14020] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14119] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(602), 1,
      anon_sym_chan,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14218] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    ACTIONS(602), 1,
      anon_sym_chan,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14317] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(599), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14416] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(580), 1,
      sym_identifier,
    ACTIONS(582), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_func,
    ACTIONS(586), 1,
      anon_sym_STAR,
    ACTIONS(588), 1,
      anon_sym_LT_DASH,
    ACTIONS(596), 1,
      anon_sym_DQUOTE,
    ACTIONS(602), 1,
      anon_sym_chan,
    STATE(383), 1,
      sym__expression,
    STATE(1096), 1,
      sym_implicit_length_array_type,
    ACTIONS(590), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1237), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(594), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(592), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(598), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1087), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(390), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14515] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14614] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(39), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_func,
    ACTIONS(578), 1,
      sym_identifier,
    STATE(297), 1,
      sym__expression,
    STATE(1149), 1,
      sym_implicit_length_array_type,
    ACTIONS(63), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(67), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(65), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(71), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(996), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(318), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14713] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(634), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14812] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(580), 1,
      sym_identifier,
    ACTIONS(582), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_func,
    ACTIONS(586), 1,
      anon_sym_STAR,
    ACTIONS(588), 1,
      anon_sym_LT_DASH,
    ACTIONS(596), 1,
      anon_sym_DQUOTE,
    STATE(382), 1,
      sym__expression,
    STATE(1096), 1,
      sym_implicit_length_array_type,
    ACTIONS(590), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1237), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(594), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(592), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(598), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1087), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(390), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14911] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(481), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15010] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(600), 1,
      anon_sym_STAR,
    STATE(648), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1127), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15109] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(623), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15208] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(654), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15307] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(423), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15406] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(580), 1,
      sym_identifier,
    ACTIONS(582), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_func,
    ACTIONS(586), 1,
      anon_sym_STAR,
    ACTIONS(588), 1,
      anon_sym_LT_DASH,
    ACTIONS(596), 1,
      anon_sym_DQUOTE,
    STATE(385), 1,
      sym__expression,
    STATE(1096), 1,
      sym_implicit_length_array_type,
    ACTIONS(590), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1237), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(594), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(592), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(598), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1087), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(390), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15505] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    STATE(342), 1,
      sym__expression,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15604] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(636), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15703] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_func,
    ACTIONS(578), 1,
      sym_identifier,
    ACTIONS(602), 1,
      anon_sym_chan,
    STATE(297), 1,
      sym__expression,
    STATE(1149), 1,
      sym_implicit_length_array_type,
    ACTIONS(63), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1213), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(67), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(65), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(71), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(996), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(318), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15802] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(584), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15901] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_func,
    ACTIONS(414), 1,
      anon_sym_STAR,
    ACTIONS(416), 1,
      anon_sym_LT_DASH,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    ACTIONS(602), 1,
      anon_sym_chan,
    STATE(489), 1,
      sym__expression,
    STATE(1131), 1,
      sym_implicit_length_array_type,
    ACTIONS(418), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(422), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(420), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(426), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1017), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(569), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16000] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(460), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16099] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(591), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16198] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(465), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16297] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(470), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16396] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(658), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16495] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    STATE(339), 1,
      sym__expression,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16594] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(474), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16693] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(460), 1,
      anon_sym_STAR,
    ACTIONS(498), 1,
      sym_identifier,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16792] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_func,
    ACTIONS(414), 1,
      anon_sym_STAR,
    ACTIONS(416), 1,
      anon_sym_LT_DASH,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    STATE(489), 1,
      sym__expression,
    STATE(1131), 1,
      sym_implicit_length_array_type,
    ACTIONS(418), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(422), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(420), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(426), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1017), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(569), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16891] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(463), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(600), 1,
      anon_sym_STAR,
    STATE(642), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1127), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17089] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    STATE(336), 1,
      sym__expression,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17188] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(462), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17287] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(423), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17386] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    STATE(341), 1,
      sym__expression,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17485] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(580), 1,
      sym_identifier,
    ACTIONS(582), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_func,
    ACTIONS(586), 1,
      anon_sym_STAR,
    ACTIONS(588), 1,
      anon_sym_LT_DASH,
    ACTIONS(596), 1,
      anon_sym_DQUOTE,
    STATE(386), 1,
      sym__expression,
    STATE(1096), 1,
      sym_implicit_length_array_type,
    ACTIONS(590), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1237), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(594), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(592), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(598), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1087), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(390), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17584] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    STATE(340), 1,
      sym__expression,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17683] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(585), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17782] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(478), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17881] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(602), 1,
      anon_sym_chan,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17980] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(597), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18079] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    ACTIONS(602), 1,
      anon_sym_chan,
    STATE(339), 1,
      sym__expression,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1236), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18178] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(467), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18277] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(226), 1,
      sym_identifier,
    ACTIONS(230), 1,
      anon_sym_LPAREN,
    ACTIONS(232), 1,
      anon_sym_func,
    ACTIONS(234), 1,
      anon_sym_STAR,
    ACTIONS(236), 1,
      anon_sym_LT_DASH,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    STATE(339), 1,
      sym__expression,
    STATE(1117), 1,
      sym_implicit_length_array_type,
    ACTIONS(240), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(244), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(242), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(248), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1053), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(363), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18376] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(480), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18475] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(485), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18574] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(39), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_func,
    ACTIONS(578), 1,
      sym_identifier,
    STATE(297), 1,
      sym__expression,
    STATE(1149), 1,
      sym_implicit_length_array_type,
    ACTIONS(63), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1213), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(67), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(65), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(71), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(996), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(318), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18673] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(580), 1,
      sym_identifier,
    ACTIONS(582), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_func,
    ACTIONS(586), 1,
      anon_sym_STAR,
    ACTIONS(588), 1,
      anon_sym_LT_DASH,
    ACTIONS(596), 1,
      anon_sym_DQUOTE,
    STATE(380), 1,
      sym__expression,
    STATE(1096), 1,
      sym_implicit_length_array_type,
    ACTIONS(590), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1237), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(594), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(592), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(598), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1087), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(390), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18772] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(600), 1,
      anon_sym_STAR,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18871] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(468), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18970] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(595), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19069] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(660), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19168] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(600), 1,
      anon_sym_STAR,
    STATE(627), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1127), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19267] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(644), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19366] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(538), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19465] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(580), 1,
      sym_identifier,
    ACTIONS(582), 1,
      anon_sym_LPAREN,
    ACTIONS(584), 1,
      anon_sym_func,
    ACTIONS(586), 1,
      anon_sym_STAR,
    ACTIONS(588), 1,
      anon_sym_LT_DASH,
    ACTIONS(596), 1,
      anon_sym_DQUOTE,
    STATE(383), 1,
      sym__expression,
    STATE(1096), 1,
      sym_implicit_length_array_type,
    ACTIONS(590), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1237), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(594), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(592), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(598), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1087), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(390), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19564] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(640), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19663] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_func,
    ACTIONS(414), 1,
      anon_sym_STAR,
    ACTIONS(416), 1,
      anon_sym_LT_DASH,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    STATE(487), 1,
      sym__expression,
    STATE(1131), 1,
      sym_implicit_length_array_type,
    ACTIONS(418), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(422), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(420), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(426), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1017), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(569), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19762] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(614), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19861] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    STATE(468), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(958), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19960] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(39), 1,
      anon_sym_LT_DASH,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_func,
    ACTIONS(578), 1,
      sym_identifier,
    STATE(295), 1,
      sym__expression,
    STATE(1149), 1,
      sym_implicit_length_array_type,
    ACTIONS(63), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1213), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(67), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(65), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(71), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(996), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(318), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20059] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_func,
    ACTIONS(414), 1,
      anon_sym_STAR,
    ACTIONS(416), 1,
      anon_sym_LT_DASH,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    STATE(486), 1,
      sym__expression,
    STATE(1131), 1,
      sym_implicit_length_array_type,
    ACTIONS(418), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(422), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(420), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(426), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1017), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(569), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20158] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_func,
    ACTIONS(414), 1,
      anon_sym_STAR,
    ACTIONS(416), 1,
      anon_sym_LT_DASH,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    STATE(483), 1,
      sym__expression,
    STATE(1131), 1,
      sym_implicit_length_array_type,
    ACTIONS(418), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(422), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(420), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(426), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1017), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(569), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20257] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(655), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20356] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(646), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20455] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(628), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20554] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(422), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20653] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(650), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20752] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(600), 1,
      anon_sym_STAR,
    STATE(649), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1127), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20851] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_func,
    ACTIONS(414), 1,
      anon_sym_STAR,
    ACTIONS(416), 1,
      anon_sym_LT_DASH,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    STATE(489), 1,
      sym__expression,
    STATE(1131), 1,
      sym_implicit_length_array_type,
    ACTIONS(418), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(422), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(420), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(426), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(1017), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(569), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20950] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(587), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21049] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(624), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21148] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(428), 1,
      sym_identifier,
    ACTIONS(430), 1,
      anon_sym_STAR,
    ACTIONS(434), 1,
      anon_sym_LT_DASH,
    STATE(594), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(436), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21247] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(641), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21346] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    ACTIONS(450), 1,
      sym_identifier,
    ACTIONS(600), 1,
      anon_sym_STAR,
    STATE(635), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1127), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21445] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      sym_identifier,
    ACTIONS(442), 1,
      anon_sym_STAR,
    ACTIONS(444), 1,
      anon_sym_LT_DASH,
    STATE(604), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(446), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21544] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(631), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21643] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(292), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_func,
    ACTIONS(504), 1,
      anon_sym_LPAREN,
    ACTIONS(506), 1,
      anon_sym_STAR,
    ACTIONS(508), 1,
      anon_sym_LT_DASH,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    ACTIONS(602), 1,
      anon_sym_chan,
    STATE(468), 1,
      sym__expression,
    STATE(1153), 1,
      sym_implicit_length_array_type,
    ACTIONS(308), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1235), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(512), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(510), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(312), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(997), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(506), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21742] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(352), 1,
      anon_sym_LPAREN,
    ACTIONS(354), 1,
      anon_sym_func,
    ACTIONS(356), 1,
      anon_sym_STAR,
    ACTIONS(362), 1,
      anon_sym_LT_DASH,
    ACTIONS(370), 1,
      anon_sym_DQUOTE,
    ACTIONS(450), 1,
      sym_identifier,
    STATE(657), 1,
      sym__expression,
    STATE(1110), 1,
      sym_implicit_length_array_type,
    ACTIONS(364), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(368), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(814), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(366), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(372), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(856), 6,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(431), 12,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21841] = 6,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_DOT,
    ACTIONS(610), 1,
      anon_sym_LBRACK,
    STATE(267), 1,
      sym_type_arguments,
    ACTIONS(604), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(606), 44,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [21904] = 10,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LF,
    ACTIONS(617), 1,
      anon_sym_DOT,
    ACTIONS(620), 1,
      anon_sym_LPAREN,
    ACTIONS(623), 1,
      anon_sym_LBRACK,
    ACTIONS(626), 1,
      anon_sym_LBRACE,
    ACTIONS(628), 1,
      anon_sym_COLON,
    STATE(308), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [21974] = 5,
    ACTIONS(276), 1,
      anon_sym_LBRACE,
    ACTIONS(286), 1,
      sym_comment,
    STATE(245), 1,
      sym_block,
    ACTIONS(630), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(632), 44,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22034] = 5,
    ACTIONS(276), 1,
      anon_sym_LBRACE,
    ACTIONS(286), 1,
      sym_comment,
    STATE(258), 1,
      sym_block,
    ACTIONS(634), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(636), 44,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22094] = 10,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LF,
    ACTIONS(617), 1,
      anon_sym_DOT,
    ACTIONS(620), 1,
      anon_sym_LPAREN,
    ACTIONS(623), 1,
      anon_sym_LBRACK,
    ACTIONS(626), 1,
      anon_sym_LBRACE,
    ACTIONS(638), 1,
      anon_sym_COLON,
    STATE(308), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [22164] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(640), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(642), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22219] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(644), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(646), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22274] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(648), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(650), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22329] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(652), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(654), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22384] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(656), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(658), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22439] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(660), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(662), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22494] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(664), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(666), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22549] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(668), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(670), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22604] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(672), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(674), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22659] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(676), 1,
      ts_builtin_sym_end,
    ACTIONS(680), 1,
      anon_sym_LF,
    ACTIONS(682), 1,
      anon_sym_SEMI,
    ACTIONS(678), 44,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22718] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(685), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(687), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22773] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(689), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(691), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22828] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(693), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(695), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22883] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(697), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(699), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22938] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(701), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(703), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [22993] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(705), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(707), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23048] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(672), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(674), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23103] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(709), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(711), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23158] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(713), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(715), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23213] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(717), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(719), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23268] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(721), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(723), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23323] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(725), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(727), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23378] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(729), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(731), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23433] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(672), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(674), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23488] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(733), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(735), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23543] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(737), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(739), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23598] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(741), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(743), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23653] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(745), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(747), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23708] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(749), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(751), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23763] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(753), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(755), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23818] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(757), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(759), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23873] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(761), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(763), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23928] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(767), 1,
      anon_sym_DOT,
    ACTIONS(770), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      anon_sym_COMMA,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(779), 1,
      anon_sym_LBRACK,
    ACTIONS(782), 1,
      anon_sym_RBRACK,
    ACTIONS(785), 1,
      anon_sym_STAR,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    STATE(443), 1,
      sym_literal_value,
    STATE(668), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(813), 1,
      sym_type_arguments,
    STATE(1035), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(615), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
    ACTIONS(613), 13,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24021] = 9,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LF,
    ACTIONS(617), 1,
      anon_sym_DOT,
    ACTIONS(620), 1,
      anon_sym_LPAREN,
    ACTIONS(623), 1,
      anon_sym_LBRACK,
    ACTIONS(626), 1,
      anon_sym_LBRACE,
    STATE(308), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24088] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(794), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(796), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24143] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(798), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(800), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24198] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(802), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(804), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24253] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(806), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(808), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24308] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(810), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(812), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24363] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(814), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(816), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24418] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(818), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(820), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24473] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(822), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(824), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24528] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(826), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(828), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24583] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(830), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(832), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24638] = 19,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LF,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_COMMA,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(852), 1,
      anon_sym_LT_DASH,
    ACTIONS(854), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(856), 1,
      anon_sym_DASH_DASH,
    ACTIONS(860), 1,
      anon_sym_AMP_AMP,
    ACTIONS(862), 1,
      anon_sym_PIPE_PIPE,
    STATE(310), 1,
      sym_argument_list,
    STATE(756), 1,
      aux_sym_expression_list_repeat1,
    STATE(1148), 1,
      sym_type_arguments,
    ACTIONS(836), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(858), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(844), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24725] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(864), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(866), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24780] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(868), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(870), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24835] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(872), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(874), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24890] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(876), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(878), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [24945] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(880), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(882), 45,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [25000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(884), 30,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      sym_identifier,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [25054] = 12,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(860), 1,
      anon_sym_AMP_AMP,
    ACTIONS(886), 1,
      anon_sym_LF,
    STATE(310), 1,
      sym_argument_list,
    STATE(1148), 1,
      sym_type_arguments,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(858), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(888), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
  [25126] = 11,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(886), 1,
      anon_sym_LF,
    STATE(310), 1,
      sym_argument_list,
    STATE(1148), 1,
      sym_type_arguments,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(858), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(888), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25196] = 10,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(886), 1,
      anon_sym_LF,
    STATE(310), 1,
      sym_argument_list,
    STATE(1148), 1,
      sym_type_arguments,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(888), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25264] = 9,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(886), 1,
      anon_sym_LF,
    STATE(310), 1,
      sym_argument_list,
    STATE(1148), 1,
      sym_type_arguments,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(888), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25330] = 8,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(886), 1,
      anon_sym_LF,
    STATE(310), 1,
      sym_argument_list,
    STATE(1148), 1,
      sym_type_arguments,
    ACTIONS(888), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25394] = 8,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(890), 1,
      anon_sym_LF,
    STATE(310), 1,
      sym_argument_list,
    STATE(1148), 1,
      sym_type_arguments,
    ACTIONS(892), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25458] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      anon_sym_SEMI,
    ACTIONS(844), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(898), 1,
      anon_sym_COMMA,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LT_DASH,
    ACTIONS(910), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(912), 1,
      anon_sym_DASH_DASH,
    ACTIONS(918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(920), 1,
      anon_sym_PIPE_PIPE,
    STATE(352), 1,
      sym_argument_list,
    STATE(756), 1,
      aux_sym_expression_list_repeat1,
    STATE(878), 1,
      sym_block,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(904), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(914), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(902), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(908), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25549] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      anon_sym_SEMI,
    ACTIONS(844), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(898), 1,
      anon_sym_COMMA,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LT_DASH,
    ACTIONS(910), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(912), 1,
      anon_sym_DASH_DASH,
    ACTIONS(918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(920), 1,
      anon_sym_PIPE_PIPE,
    STATE(352), 1,
      sym_argument_list,
    STATE(756), 1,
      aux_sym_expression_list_repeat1,
    STATE(875), 1,
      sym_block,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(904), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(914), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(902), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(908), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25640] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_LF,
    ACTIONS(646), 44,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25693] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LF,
    ACTIONS(922), 1,
      anon_sym_LPAREN,
    STATE(310), 1,
      sym_special_argument_list,
    ACTIONS(615), 42,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25750] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LF,
    ACTIONS(731), 44,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25803] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LF,
    ACTIONS(926), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25855] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(928), 1,
      anon_sym_LF,
    ACTIONS(930), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25907] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LF,
    ACTIONS(934), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25959] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(936), 1,
      anon_sym_LF,
    ACTIONS(938), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26011] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LF,
    ACTIONS(751), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26063] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(940), 1,
      anon_sym_LF,
    ACTIONS(942), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26115] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_LF,
    ACTIONS(946), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26167] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(948), 1,
      anon_sym_LF,
    ACTIONS(950), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26219] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(952), 1,
      anon_sym_LF,
    ACTIONS(954), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26271] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(956), 1,
      anon_sym_LF,
    ACTIONS(958), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26323] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_SEMI,
    ACTIONS(844), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(898), 1,
      anon_sym_COMMA,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LT_DASH,
    ACTIONS(910), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(912), 1,
      anon_sym_DASH_DASH,
    ACTIONS(918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(920), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(960), 1,
      anon_sym_DOT,
    ACTIONS(962), 1,
      anon_sym_LBRACE,
    STATE(352), 1,
      sym_argument_list,
    STATE(756), 1,
      aux_sym_expression_list_repeat1,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(904), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(914), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(902), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(908), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26411] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(964), 1,
      anon_sym_LF,
    ACTIONS(966), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26463] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(968), 1,
      anon_sym_LF,
    ACTIONS(970), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26515] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(972), 1,
      anon_sym_LF,
    ACTIONS(974), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26567] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LF,
    ACTIONS(978), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26619] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LF,
    ACTIONS(615), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26671] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(980), 1,
      anon_sym_LF,
    ACTIONS(982), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26723] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_LF,
    ACTIONS(699), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26775] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LF,
    ACTIONS(986), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26827] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_LF,
    ACTIONS(990), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26879] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_LF,
    ACTIONS(994), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26931] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(996), 1,
      anon_sym_LF,
    ACTIONS(998), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26983] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1000), 1,
      anon_sym_LF,
    ACTIONS(1002), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27035] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_LF,
    ACTIONS(1006), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27087] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LF,
    ACTIONS(1010), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27139] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_LF,
    ACTIONS(1014), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27191] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_LF,
    ACTIONS(1018), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27243] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_LF,
    ACTIONS(1022), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27295] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_LF,
    ACTIONS(1026), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27347] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_LF,
    ACTIONS(1030), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27399] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_LF,
    ACTIONS(1034), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27451] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_LF,
    ACTIONS(1038), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27503] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1040), 1,
      anon_sym_LF,
    ACTIONS(1042), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27555] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(888), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(904), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(902), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(888), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(886), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27681] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LBRACE,
    ACTIONS(844), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(898), 1,
      anon_sym_COMMA,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(910), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(912), 1,
      anon_sym_DASH_DASH,
    ACTIONS(918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(920), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1044), 1,
      anon_sym_LT_DASH,
    STATE(352), 1,
      sym_argument_list,
    STATE(756), 1,
      aux_sym_expression_list_repeat1,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(904), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(914), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(902), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(908), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [27766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(892), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(890), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27827] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(918), 1,
      anon_sym_AMP_AMP,
    STATE(352), 1,
      sym_argument_list,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(904), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(914), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(902), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [27898] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(904), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(914), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(902), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27967] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1111), 1,
      sym_type_arguments,
    ACTIONS(888), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(902), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_DOT,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(1046), 1,
      anon_sym_LBRACK,
    STATE(372), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_LPAREN,
    STATE(352), 1,
      sym_special_argument_list,
    ACTIONS(615), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(646), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(644), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1040), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(984), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1020), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(964), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(926), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(924), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1004), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(948), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1008), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1028), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(944), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1024), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(990), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(928), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1000), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(992), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(980), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(952), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1014), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1012), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1032), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(978), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(976), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(934), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(932), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1036), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(942), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(940), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1016), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(938), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(936), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(968), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(956), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_DOT,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(1046), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    STATE(407), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29870] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_EQ,
    ACTIONS(1053), 1,
      anon_sym_DOT,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_AMP_AMP,
    STATE(388), 1,
      sym_argument_list,
    STATE(1103), 1,
      sym_type_arguments,
    ACTIONS(1065), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1061), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1063), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1059), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 14,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [29936] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_DOT,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    STATE(388), 1,
      sym_argument_list,
    STATE(1103), 1,
      sym_type_arguments,
    ACTIONS(888), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(886), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29992] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_DOT,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    STATE(388), 1,
      sym_argument_list,
    STATE(1103), 1,
      sym_type_arguments,
    ACTIONS(888), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1059), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30050] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_DOT,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    STATE(388), 1,
      sym_argument_list,
    STATE(1103), 1,
      sym_type_arguments,
    ACTIONS(892), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(890), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30106] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_DOT,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1071), 1,
      anon_sym_EQ,
    ACTIONS(1073), 1,
      anon_sym_PIPE_PIPE,
    STATE(388), 1,
      sym_argument_list,
    STATE(1103), 1,
      sym_type_arguments,
    ACTIONS(1065), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1061), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1063), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1059), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1069), 13,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [30174] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_DOT,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    STATE(388), 1,
      sym_argument_list,
    STATE(1103), 1,
      sym_type_arguments,
    ACTIONS(888), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1061), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1059), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30234] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_EQ,
    ACTIONS(1053), 1,
      anon_sym_DOT,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    STATE(388), 1,
      sym_argument_list,
    STATE(1103), 1,
      sym_type_arguments,
    ACTIONS(1065), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1061), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1063), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1059), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 15,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    STATE(388), 1,
      sym_special_argument_list,
    ACTIONS(615), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 21,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(948), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(952), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1036), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(990), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1032), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(992), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(926), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(924), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1040), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1028), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(928), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1014), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1012), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1008), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(944), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1004), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(942), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(940), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(968), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(938), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(936), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(984), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(978), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(976), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(980), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(964), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1000), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1024), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(934), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(932), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1016), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(646), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(644), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(956), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1020), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31843] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(892), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(890), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31895] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(888), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(886), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31947] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(767), 1,
      anon_sym_DOT,
    ACTIONS(1046), 1,
      anon_sym_LBRACK,
    STATE(443), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(782), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(615), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_LPAREN,
    STATE(453), 1,
      sym_special_argument_list,
    ACTIONS(615), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 23,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(984), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(990), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(938), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(936), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1036), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1024), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(992), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1000), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(934), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(932), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(928), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1016), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(944), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1014), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1012), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1004), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(942), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(940), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(964), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(646), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(644), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1020), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1040), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1032), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(926), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(924), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(956), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(948), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1008), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(980), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(952), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(968), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(978), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(976), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1028), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33405] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(888), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
  [33468] = 9,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LF,
    ACTIONS(617), 1,
      anon_sym_DOT,
    ACTIONS(620), 1,
      anon_sym_LPAREN,
    ACTIONS(623), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33519] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(888), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33572] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(888), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33629] = 21,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_LF,
    ACTIONS(1109), 1,
      anon_sym_DOT,
    ACTIONS(1111), 1,
      anon_sym_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_COMMA,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(1119), 1,
      anon_sym_STAR,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1129), 1,
      anon_sym_LT_DASH,
    ACTIONS(1131), 1,
      sym_raw_string_literal,
    ACTIONS(1133), 1,
      anon_sym_DQUOTE,
    STATE(664), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1007), 1,
      sym_interpreted_string_literal,
    ACTIONS(1107), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    STATE(851), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [33704] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(888), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33765] = 15,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_LF,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1139), 1,
      anon_sym_COMMA,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    ACTIONS(1149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1151), 1,
      anon_sym_PIPE_PIPE,
    STATE(504), 1,
      sym_argument_list,
    STATE(815), 1,
      aux_sym_expression_list_repeat1,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(844), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1145), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1143), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33828] = 8,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LF,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(888), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33876] = 8,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(890), 1,
      anon_sym_LF,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(892), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33924] = 18,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(1153), 1,
      anon_sym_LF,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_COMMA,
    ACTIONS(1161), 1,
      anon_sym_EQ,
    ACTIONS(1163), 1,
      anon_sym_LBRACK,
    ACTIONS(1165), 1,
      anon_sym_STAR,
    ACTIONS(1167), 1,
      anon_sym_LT_DASH,
    STATE(471), 1,
      aux_sym_const_spec_repeat1,
    STATE(1168), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(1155), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [33992] = 11,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LF,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(1145), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(888), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1143), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34046] = 18,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_COMMA,
    ACTIONS(1163), 1,
      anon_sym_LBRACK,
    ACTIONS(1165), 1,
      anon_sym_STAR,
    ACTIONS(1167), 1,
      anon_sym_LT_DASH,
    ACTIONS(1169), 1,
      anon_sym_LF,
    ACTIONS(1173), 1,
      anon_sym_EQ,
    STATE(747), 1,
      aux_sym_const_spec_repeat1,
    STATE(1200), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(1171), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [34114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_DOT,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(1046), 1,
      anon_sym_LBRACK,
    ACTIONS(1175), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34164] = 15,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LF,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(1119), 1,
      anon_sym_STAR,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1129), 1,
      anon_sym_LT_DASH,
    ACTIONS(1177), 1,
      anon_sym_LPAREN,
    STATE(796), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(321), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [34226] = 10,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LF,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(1145), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1143), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(888), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34278] = 13,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_LF,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    ACTIONS(1149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1151), 1,
      anon_sym_PIPE_PIPE,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(1145), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1071), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1147), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1143), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34336] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_EQ,
    ACTIONS(906), 1,
      anon_sym_LT_DASH,
    ACTIONS(908), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1179), 1,
      anon_sym_DOT,
    ACTIONS(1181), 1,
      anon_sym_LPAREN,
    ACTIONS(1183), 1,
      anon_sym_COMMA,
    ACTIONS(1185), 1,
      anon_sym_LBRACK,
    ACTIONS(1189), 1,
      anon_sym_PIPE,
    ACTIONS(1191), 1,
      anon_sym_COLON,
    ACTIONS(1201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1203), 1,
      anon_sym_PIPE_PIPE,
    STATE(539), 1,
      sym_argument_list,
    STATE(852), 1,
      aux_sym_expression_list_repeat1,
    STATE(1136), 1,
      sym_type_arguments,
    ACTIONS(1195), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1199), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1193), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1187), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34408] = 12,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LF,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    ACTIONS(1149), 1,
      anon_sym_AMP_AMP,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(1145), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(888), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
    ACTIONS(1147), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1143), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34464] = 9,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LF,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(1143), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(888), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34514] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_DOT,
    ACTIONS(1181), 1,
      anon_sym_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_LBRACK,
    ACTIONS(1189), 1,
      anon_sym_PIPE,
    ACTIONS(1201), 1,
      anon_sym_AMP_AMP,
    STATE(539), 1,
      sym_argument_list,
    STATE(1136), 1,
      sym_type_arguments,
    ACTIONS(888), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1195), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1199), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1193), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(886), 4,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1187), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34575] = 13,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    ACTIONS(1149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1205), 1,
      anon_sym_LF,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(1145), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1207), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1147), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1143), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34632] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1071), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1069), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34695] = 13,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    ACTIONS(1149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1211), 1,
      anon_sym_LF,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(1145), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1213), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1147), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1143), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34752] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_DOT,
    ACTIONS(1181), 1,
      anon_sym_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_LBRACK,
    STATE(539), 1,
      sym_argument_list,
    STATE(1136), 1,
      sym_type_arguments,
    ACTIONS(888), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(886), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34799] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LF,
    ACTIONS(1215), 1,
      anon_sym_LPAREN,
    STATE(504), 1,
      sym_special_argument_list,
    ACTIONS(615), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34840] = 13,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    ACTIONS(1137), 1,
      anon_sym_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_LBRACK,
    ACTIONS(1149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1217), 1,
      anon_sym_LF,
    STATE(504), 1,
      sym_argument_list,
    STATE(1137), 1,
      sym_type_arguments,
    ACTIONS(1145), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1219), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1147), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1143), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34897] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_DOT,
    ACTIONS(1181), 1,
      anon_sym_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_LBRACK,
    STATE(539), 1,
      sym_argument_list,
    STATE(1136), 1,
      sym_type_arguments,
    ACTIONS(1195), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(888), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 12,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34948] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_DOT,
    ACTIONS(1181), 1,
      anon_sym_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_LBRACK,
    ACTIONS(1189), 1,
      anon_sym_PIPE,
    STATE(539), 1,
      sym_argument_list,
    STATE(1136), 1,
      sym_type_arguments,
    ACTIONS(888), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1195), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1199), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1193), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1197), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(886), 5,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1187), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35007] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_DOT,
    ACTIONS(1181), 1,
      anon_sym_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_LBRACK,
    ACTIONS(1189), 1,
      anon_sym_PIPE,
    STATE(539), 1,
      sym_argument_list,
    STATE(1136), 1,
      sym_type_arguments,
    ACTIONS(1195), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1193), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(888), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 9,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_DOT,
    ACTIONS(1181), 1,
      anon_sym_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_LBRACK,
    STATE(539), 1,
      sym_argument_list,
    STATE(1136), 1,
      sym_type_arguments,
    ACTIONS(892), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(890), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35109] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1183), 1,
      anon_sym_COMMA,
    ACTIONS(1221), 1,
      anon_sym_DOT,
    ACTIONS(1225), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    ACTIONS(1237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1239), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(852), 1,
      aux_sym_expression_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1233), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35175] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    STATE(826), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(316), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [35233] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_LF,
    ACTIONS(1022), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35269] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LF,
    ACTIONS(926), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35305] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LF,
    ACTIONS(986), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35341] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(956), 1,
      anon_sym_LF,
    ACTIONS(958), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35377] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1247), 1,
      anon_sym_RPAREN,
    ACTIONS(1249), 1,
      anon_sym_COMMA,
    ACTIONS(1251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1000), 1,
      aux_sym_argument_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35443] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(604), 1,
      anon_sym_RPAREN,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(774), 1,
      anon_sym_COMMA,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1269), 1,
      anon_sym_DOT,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1273), 1,
      anon_sym_LBRACK,
    ACTIONS(1275), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(668), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(813), 1,
      sym_type_arguments,
    STATE(1035), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [35511] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_LF,
    ACTIONS(1018), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35547] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(932), 1,
      anon_sym_LF,
    ACTIONS(934), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(617), 1,
      anon_sym_DOT,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(1046), 1,
      anon_sym_LBRACK,
    STATE(443), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35631] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1277), 1,
      anon_sym_RPAREN,
    ACTIONS(1279), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1046), 1,
      aux_sym_argument_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35697] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(936), 1,
      anon_sym_LF,
    ACTIONS(938), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35733] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(940), 1,
      anon_sym_LF,
    ACTIONS(942), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35769] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(948), 1,
      anon_sym_LF,
    ACTIONS(950), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35805] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1000), 1,
      anon_sym_LF,
    ACTIONS(1002), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35841] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LF,
    ACTIONS(615), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35877] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LF,
    ACTIONS(751), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35913] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1281), 1,
      anon_sym_RPAREN,
    ACTIONS(1283), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1078), 1,
      aux_sym_argument_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35979] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(767), 1,
      anon_sym_DOT,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(1046), 1,
      anon_sym_LBRACK,
    ACTIONS(1285), 1,
      anon_sym_COLON,
    STATE(443), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 16,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36029] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1287), 1,
      anon_sym_RPAREN,
    ACTIONS(1289), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(990), 1,
      aux_sym_argument_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36095] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(980), 1,
      anon_sym_LF,
    ACTIONS(982), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36131] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LF,
    ACTIONS(978), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36167] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(968), 1,
      anon_sym_LF,
    ACTIONS(970), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36203] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(952), 1,
      anon_sym_LF,
    ACTIONS(954), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36239] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_LF,
    ACTIONS(946), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36275] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1291), 1,
      anon_sym_RPAREN,
    ACTIONS(1293), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1041), 1,
      aux_sym_argument_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36341] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LF,
    ACTIONS(1010), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36377] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_LF,
    ACTIONS(1014), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36413] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(928), 1,
      anon_sym_LF,
    ACTIONS(930), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36449] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_LF,
    ACTIONS(1030), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36485] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_LF,
    ACTIONS(1034), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36521] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_LF,
    ACTIONS(1038), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36557] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_LF,
    ACTIONS(646), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36593] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_LF,
    ACTIONS(1006), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36629] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1183), 1,
      anon_sym_COMMA,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(852), 1,
      aux_sym_expression_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(908), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36693] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1295), 1,
      anon_sym_RPAREN,
    ACTIONS(1297), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1038), 1,
      aux_sym_argument_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36759] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(964), 1,
      anon_sym_LF,
    ACTIONS(966), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36795] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    ACTIONS(604), 1,
      anon_sym_COMMA,
    ACTIONS(767), 1,
      anon_sym_DOT,
    ACTIONS(1046), 1,
      anon_sym_LBRACK,
    STATE(443), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(782), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    ACTIONS(615), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 15,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36845] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_LF,
    ACTIONS(990), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36881] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_LF,
    ACTIONS(994), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36917] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(996), 1,
      anon_sym_LF,
    ACTIONS(998), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36953] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_LF,
    ACTIONS(699), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(539), 1,
      sym_special_argument_list,
    ACTIONS(615), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 19,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37029] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_LF,
    ACTIONS(1026), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37065] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(972), 1,
      anon_sym_LF,
    ACTIONS(974), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37101] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1040), 1,
      anon_sym_LF,
    ACTIONS(1042), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37137] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LF,
    ACTIONS(731), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37173] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(886), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(950), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(948), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(968), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(978), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(976), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(938), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(936), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(980), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1028), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1000), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1024), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1020), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37543] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1303), 1,
      anon_sym_RPAREN,
    ACTIONS(1305), 1,
      anon_sym_COMMA,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1037), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [37606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(942), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(940), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1309), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(990), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(988), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1313), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(928), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1040), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37938] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1315), 1,
      anon_sym_RPAREN,
    ACTIONS(1317), 1,
      anon_sym_COMMA,
    STATE(993), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [38001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(956), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(992), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(646), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(644), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1016), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(934), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(932), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1004), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38246] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1319), 1,
      anon_sym_RPAREN,
    ACTIONS(1321), 1,
      anon_sym_COMMA,
    STATE(1019), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [38309] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(604), 1,
      anon_sym_RBRACK,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(774), 1,
      anon_sym_COMMA,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1273), 1,
      anon_sym_LBRACK,
    ACTIONS(1323), 1,
      anon_sym_DOT,
    STATE(668), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(813), 1,
      sym_type_arguments,
    STATE(1035), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [38374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(972), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38409] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_DOT,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(1046), 1,
      anon_sym_LBRACK,
    STATE(443), 1,
      sym_literal_value,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(615), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(613), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1334), 1,
      anon_sym_LBRACE,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    STATE(439), 1,
      sym_block,
    STATE(841), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(316), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [38550] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_LBRACE,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    ACTIONS(1237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1338), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1004), 1,
      aux_sym_expression_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1233), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(952), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(964), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1014), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1012), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1032), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(926), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(924), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1008), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38858] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_SEMI,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1183), 1,
      anon_sym_COMMA,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_DOT,
    STATE(453), 1,
      sym_argument_list,
    STATE(852), 1,
      aux_sym_expression_list_repeat1,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1036), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38956] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(888), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(944), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39040] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(888), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39093] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(888), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39142] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(888), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(886), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(984), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39230] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_DOT,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(886), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39287] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1233), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(886), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39342] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    ACTIONS(1237), 1,
      anon_sym_AMP_AMP,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(886), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1233), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1342), 1,
      anon_sym_RBRACK,
    ACTIONS(1344), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39459] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39517] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1346), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1348), 1,
      anon_sym_RBRACK,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39635] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    ACTIONS(1237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1239), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1069), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1233), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_LBRACE,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    ACTIONS(1237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1239), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(863), 1,
      sym_block,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1233), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1352), 1,
      anon_sym_RBRACK,
    ACTIONS(1354), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39813] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1356), 1,
      anon_sym_RPAREN,
    ACTIONS(1358), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1360), 1,
      anon_sym_RBRACK,
    ACTIONS(1362), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39933] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1364), 1,
      anon_sym_RPAREN,
    ACTIONS(1366), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1368), 1,
      anon_sym_RBRACK,
    ACTIONS(1370), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40053] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1372), 1,
      anon_sym_RBRACK,
    ACTIONS(1374), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1376), 1,
      anon_sym_RPAREN,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1143), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [40173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1378), 1,
      anon_sym_RBRACK,
    ACTIONS(1380), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1382), 1,
      anon_sym_RPAREN,
    ACTIONS(1384), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 1,
      anon_sym_RBRACK,
    ACTIONS(1388), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1390), 1,
      anon_sym_RBRACK,
    ACTIONS(1392), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40413] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    STATE(826), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(316), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [40469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1394), 1,
      anon_sym_RPAREN,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1143), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [40529] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1396), 1,
      anon_sym_RBRACK,
    ACTIONS(1398), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40589] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1400), 1,
      anon_sym_RPAREN,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1143), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [40649] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1402), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1404), 1,
      anon_sym_RPAREN,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1143), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [40767] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1406), 1,
      anon_sym_RBRACK,
    ACTIONS(1408), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40827] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1410), 1,
      anon_sym_RPAREN,
    ACTIONS(1412), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40887] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1414), 1,
      anon_sym_RBRACK,
    ACTIONS(1416), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1418), 1,
      anon_sym_RPAREN,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1143), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [41007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1420), 1,
      anon_sym_RBRACK,
    ACTIONS(1422), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41067] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1424), 1,
      anon_sym_RBRACK,
    ACTIONS(1426), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41127] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_RBRACK,
    ACTIONS(1430), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1432), 1,
      anon_sym_RPAREN,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1143), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [41247] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1434), 1,
      anon_sym_RBRACK,
    ACTIONS(1436), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1438), 1,
      anon_sym_RPAREN,
    ACTIONS(1440), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41367] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1069), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1442), 1,
      anon_sym_RPAREN,
    ACTIONS(1444), 1,
      anon_sym_COMMA,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1446), 1,
      anon_sym_RBRACK,
    ACTIONS(1448), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41545] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1450), 1,
      anon_sym_RBRACK,
    ACTIONS(1452), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41605] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1454), 1,
      anon_sym_RPAREN,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41662] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1456), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1460), 1,
      anon_sym_COMMA,
    ACTIONS(1462), 1,
      anon_sym_EQ,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    STATE(653), 1,
      aux_sym_const_spec_repeat1,
    STATE(853), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [41778] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    ACTIONS(1237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1470), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1233), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41835] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1472), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41892] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1474), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41949] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1476), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42006] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1211), 1,
      anon_sym_LBRACE,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    ACTIONS(1237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1239), 1,
      anon_sym_PIPE_PIPE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1233), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42063] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1478), 1,
      anon_sym_RPAREN,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42120] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1227), 1,
      anon_sym_PIPE,
    ACTIONS(1237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1480), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1231), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1229), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1233), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1223), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42177] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1482), 1,
      anon_sym_SEMI,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42234] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1484), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42291] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1486), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42348] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1488), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42405] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1490), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42462] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1492), 1,
      anon_sym_RPAREN,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42519] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1301), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1143), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [42576] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1494), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42633] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1496), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42690] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1498), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42747] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1500), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42804] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1502), 1,
      anon_sym_RPAREN,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42861] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1504), 1,
      anon_sym_RPAREN,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42918] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1506), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42975] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1508), 1,
      anon_sym_RPAREN,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1259), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1257), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1261), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43032] = 15,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(1119), 1,
      anon_sym_STAR,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1129), 1,
      anon_sym_LT_DASH,
    ACTIONS(1177), 1,
      anon_sym_LPAREN,
    ACTIONS(1510), 1,
      anon_sym_LF,
    ACTIONS(1512), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    STATE(1047), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43089] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1460), 1,
      anon_sym_COMMA,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    ACTIONS(1514), 1,
      anon_sym_EQ,
    STATE(762), 1,
      aux_sym_const_spec_repeat1,
    STATE(846), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43148] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1516), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43205] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1518), 1,
      anon_sym_COLON,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43262] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1520), 1,
      anon_sym_SEMI,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43319] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1522), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43376] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1524), 1,
      anon_sym_RBRACK,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43433] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_LBRACE,
    STATE(253), 1,
      sym_block,
    STATE(1139), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43489] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_PIPE,
    ACTIONS(1099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1209), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1528), 1,
      anon_sym_DOT,
    STATE(453), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_type_arguments,
    ACTIONS(1093), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1097), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1095), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1087), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43543] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    ACTIONS(1530), 1,
      sym_identifier,
    STATE(329), 1,
      sym_block,
    STATE(1043), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43599] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    ACTIONS(1532), 1,
      anon_sym_LBRACE,
    STATE(418), 1,
      sym_block,
    STATE(1073), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43655] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    ACTIONS(1534), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_block,
    STATE(1012), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43711] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    ACTIONS(1536), 1,
      anon_sym_COMMA,
    STATE(765), 1,
      aux_sym_field_declaration_repeat1,
    STATE(844), 1,
      sym__simple_type,
    STATE(847), 1,
      sym_parenthesized_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43769] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    ACTIONS(1538), 1,
      anon_sym_LBRACE,
    STATE(374), 1,
      sym_block,
    STATE(1067), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43825] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1540), 1,
      sym_identifier,
    ACTIONS(1542), 1,
      anon_sym_RBRACK,
    STATE(1120), 1,
      sym_parameter_declaration,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43881] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    ACTIONS(1544), 1,
      anon_sym_EQ,
    ACTIONS(1546), 1,
      anon_sym_LBRACK,
    STATE(723), 1,
      sym_type_parameter_list,
    STATE(885), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43937] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1548), 1,
      anon_sym_COMMA,
    STATE(763), 1,
      aux_sym_parameter_declaration_repeat1,
    STATE(1058), 1,
      sym__simple_type,
    STATE(1061), 1,
      sym_parenthesized_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43995] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    STATE(329), 1,
      sym_block,
    STATE(1043), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44051] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1540), 1,
      sym_identifier,
    ACTIONS(1550), 1,
      anon_sym_RBRACK,
    STATE(1120), 1,
      sym_parameter_declaration,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44107] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    ACTIONS(1552), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_block,
    STATE(1020), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44163] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1554), 1,
      anon_sym_RBRACK,
    STATE(1085), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44216] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1556), 1,
      anon_sym_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44269] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1540), 1,
      sym_identifier,
    STATE(1032), 1,
      sym_parameter_declaration,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44322] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1558), 1,
      anon_sym_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44375] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1560), 1,
      anon_sym_RBRACK,
    STATE(1085), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44428] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1562), 1,
      anon_sym_RBRACK,
    STATE(1085), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44481] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1564), 1,
      anon_sym_RBRACK,
    STATE(1085), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44534] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1566), 1,
      anon_sym_RBRACK,
    STATE(1085), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44587] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1568), 1,
      anon_sym_RBRACK,
    STATE(1085), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44640] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      anon_sym_type,
    STATE(1195), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44693] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1572), 1,
      anon_sym_type,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44746] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1540), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_parameter_declaration,
    STATE(1039), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44799] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(822), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44849] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1064), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44899] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1170), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44949] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(282), 1,
      anon_sym_chan,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1576), 1,
      anon_sym_LBRACK,
    ACTIONS(1578), 1,
      anon_sym_STAR,
    ACTIONS(1580), 1,
      anon_sym_LT_DASH,
    STATE(257), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44999] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(282), 1,
      anon_sym_chan,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1576), 1,
      anon_sym_LBRACK,
    ACTIONS(1578), 1,
      anon_sym_STAR,
    ACTIONS(1580), 1,
      anon_sym_LT_DASH,
    STATE(241), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45049] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(282), 1,
      anon_sym_chan,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1576), 1,
      anon_sym_LBRACK,
    ACTIONS(1578), 1,
      anon_sym_STAR,
    ACTIONS(1580), 1,
      anon_sym_LT_DASH,
    STATE(246), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45099] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1011), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45149] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(282), 1,
      anon_sym_chan,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1576), 1,
      anon_sym_LBRACK,
    ACTIONS(1578), 1,
      anon_sym_STAR,
    ACTIONS(1582), 1,
      anon_sym_LT_DASH,
    STATE(249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45199] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1584), 1,
      anon_sym_LT_DASH,
    STATE(830), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45249] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1161), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45299] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1071), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45349] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1195), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45399] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1068), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45449] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1201), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45499] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1023), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45549] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1022), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45599] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1206), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45649] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    STATE(831), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45699] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1229), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45749] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    STATE(803), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45799] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1051), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45849] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(989), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45899] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1224), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45949] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1184), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45999] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    STATE(798), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46049] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1158), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46099] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(831), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46149] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    STATE(822), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46199] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(602), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    STATE(818), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46249] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1584), 1,
      anon_sym_LT_DASH,
    STATE(816), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46299] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1586), 1,
      anon_sym_LT_DASH,
    STATE(830), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46349] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1070), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46399] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1191), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46449] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    STATE(793), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46499] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1125), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46549] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1205), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46599] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    STATE(840), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46649] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_LT_DASH,
    STATE(791), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46699] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    STATE(911), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46749] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    STATE(912), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46799] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1576), 1,
      anon_sym_LBRACK,
    ACTIONS(1578), 1,
      anon_sym_STAR,
    ACTIONS(1580), 1,
      anon_sym_LT_DASH,
    ACTIONS(1590), 1,
      anon_sym_chan,
    STATE(264), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46849] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(282), 1,
      anon_sym_chan,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1576), 1,
      anon_sym_LBRACK,
    ACTIONS(1578), 1,
      anon_sym_STAR,
    ACTIONS(1580), 1,
      anon_sym_LT_DASH,
    STATE(268), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46899] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1196), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46949] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1085), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46999] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(819), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47049] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1093), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47099] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    ACTIONS(1592), 1,
      anon_sym_chan,
    STATE(790), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47149] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_LT_DASH,
    STATE(811), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47199] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47249] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1181), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47299] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_func,
    ACTIONS(1121), 1,
      anon_sym_struct,
    ACTIONS(1123), 1,
      anon_sym_interface,
    ACTIONS(1125), 1,
      anon_sym_map,
    ACTIONS(1127), 1,
      anon_sym_chan,
    ACTIONS(1458), 1,
      anon_sym_LPAREN,
    ACTIONS(1464), 1,
      anon_sym_LBRACK,
    ACTIONS(1466), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_LT_DASH,
    STATE(810), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(809), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47349] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(282), 1,
      anon_sym_chan,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1576), 1,
      anon_sym_LBRACK,
    ACTIONS(1578), 1,
      anon_sym_STAR,
    ACTIONS(1580), 1,
      anon_sym_LT_DASH,
    STATE(281), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47399] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1214), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47449] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      sym_identifier,
    ACTIONS(268), 1,
      anon_sym_func,
    ACTIONS(274), 1,
      anon_sym_struct,
    ACTIONS(278), 1,
      anon_sym_interface,
    ACTIONS(280), 1,
      anon_sym_map,
    ACTIONS(282), 1,
      anon_sym_chan,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1576), 1,
      anon_sym_LBRACK,
    ACTIONS(1578), 1,
      anon_sym_STAR,
    ACTIONS(1582), 1,
      anon_sym_LT_DASH,
    STATE(266), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(248), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47499] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1594), 1,
      anon_sym_chan,
    STATE(818), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47549] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1586), 1,
      anon_sym_LT_DASH,
    STATE(816), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47599] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    STATE(827), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47649] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(1081), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47699] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(827), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47749] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(35), 1,
      anon_sym_map,
    ACTIONS(37), 1,
      anon_sym_chan,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_func,
    ACTIONS(1330), 1,
      anon_sym_LBRACK,
    ACTIONS(1332), 1,
      anon_sym_STAR,
    ACTIONS(1336), 1,
      anon_sym_LT_DASH,
    STATE(819), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47799] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(33), 1,
      anon_sym_interface,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(777), 1,
      anon_sym_func,
    ACTIONS(788), 1,
      anon_sym_map,
    ACTIONS(790), 1,
      anon_sym_chan,
    ACTIONS(792), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1245), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_LPAREN,
    STATE(840), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 10,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [47849] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_LF,
    ACTIONS(882), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [47875] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(814), 1,
      anon_sym_LF,
    ACTIONS(816), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [47901] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_LF,
    ACTIONS(1600), 1,
      anon_sym_COMMA,
    STATE(747), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1596), 15,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [47931] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(652), 1,
      anon_sym_LF,
    ACTIONS(654), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [47957] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LF,
    ACTIONS(687), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [47983] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_LF,
    ACTIONS(1596), 16,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [48008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(685), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [48032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(814), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [48056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(652), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [48080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(880), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [48104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_COMMA,
    STATE(755), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1069), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [48129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_COMMA,
    STATE(755), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1606), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [48154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1608), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [48175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_EQ,
    ACTIONS(1614), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1608), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [48198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1608), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [48219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1618), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [48240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1622), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [48261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_COMMA,
    STATE(762), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1598), 5,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
    ACTIONS(1596), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [48286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_COMMA,
    STATE(763), 1,
      aux_sym_parameter_declaration_repeat1,
    ACTIONS(1631), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
    ACTIONS(1629), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [48310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1598), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
  [48330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_COMMA,
    STATE(765), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(1638), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
    ACTIONS(1636), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [48354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
    ACTIONS(1643), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [48373] = 6,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(604), 1,
      anon_sym_LF,
    ACTIONS(1109), 1,
      anon_sym_DOT,
    ACTIONS(1647), 1,
      anon_sym_LBRACK,
    STATE(805), 1,
      sym_type_arguments,
    ACTIONS(606), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
    ACTIONS(1649), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [48417] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(1653), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_DOT,
    ACTIONS(1657), 1,
      sym_blank_identifier,
    ACTIONS(1659), 1,
      anon_sym_RPAREN,
    ACTIONS(1661), 1,
      sym_raw_string_literal,
    STATE(771), 1,
      aux_sym_import_spec_list_repeat1,
    STATE(1059), 1,
      sym_dot,
    STATE(1097), 1,
      sym_interpreted_string_literal,
    STATE(1146), 1,
      sym_import_spec,
  [48451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 1,
      anon_sym_DOT,
    ACTIONS(1663), 1,
      anon_sym_LBRACK,
    STATE(813), 1,
      sym_type_arguments,
    ACTIONS(604), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [48473] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_identifier,
    ACTIONS(1668), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      sym_blank_identifier,
    ACTIONS(1674), 1,
      anon_sym_RPAREN,
    ACTIONS(1676), 1,
      sym_raw_string_literal,
    ACTIONS(1679), 1,
      anon_sym_DQUOTE,
    STATE(771), 1,
      aux_sym_import_spec_list_repeat1,
    STATE(1059), 1,
      sym_dot,
    STATE(1097), 1,
      sym_interpreted_string_literal,
    STATE(1146), 1,
      sym_import_spec,
  [48507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
    ACTIONS(1682), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [48525] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 1,
      anon_sym_DOT,
    ACTIONS(1686), 1,
      sym_identifier,
    ACTIONS(1688), 1,
      sym_blank_identifier,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    ACTIONS(1692), 1,
      sym_raw_string_literal,
    ACTIONS(1694), 1,
      anon_sym_DQUOTE,
    STATE(275), 1,
      sym_interpreted_string_literal,
    STATE(1021), 1,
      sym_dot,
    STATE(287), 2,
      sym_import_spec,
      sym_import_spec_list,
  [48557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
    ACTIONS(1696), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [48575] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(1653), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_DOT,
    ACTIONS(1657), 1,
      sym_blank_identifier,
    ACTIONS(1661), 1,
      sym_raw_string_literal,
    ACTIONS(1700), 1,
      anon_sym_RPAREN,
    STATE(769), 1,
      aux_sym_import_spec_list_repeat1,
    STATE(1059), 1,
      sym_dot,
    STATE(1097), 1,
      sym_interpreted_string_literal,
    STATE(1146), 1,
      sym_import_spec,
  [48609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
    ACTIONS(1702), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [48627] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_RBRACE,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(1049), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [48652] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    ACTIONS(1712), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(1049), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [48677] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    ACTIONS(1714), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(1049), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [48702] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    ACTIONS(1716), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(971), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [48727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    ACTIONS(1718), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(1049), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [48752] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    ACTIONS(1720), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(955), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [48777] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    ACTIONS(1722), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(1049), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [48802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    ACTIONS(1724), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(1049), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [48827] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    ACTIONS(1726), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(986), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [48852] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(664), 1,
      anon_sym_LF,
    ACTIONS(666), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48868] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LF,
    ACTIONS(763), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48884] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(876), 1,
      anon_sym_LF,
    ACTIONS(878), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48900] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LF,
    ACTIONS(747), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48916] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_LF,
    ACTIONS(674), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48932] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_LF,
    ACTIONS(674), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48948] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(872), 1,
      anon_sym_LF,
    ACTIONS(874), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48964] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_LF,
    ACTIONS(662), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48980] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_LF,
    ACTIONS(804), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48996] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(822), 1,
      anon_sym_LF,
    ACTIONS(824), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49012] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_LF,
    ACTIONS(812), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49028] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(648), 1,
      anon_sym_LF,
    ACTIONS(650), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49044] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_LF,
    ACTIONS(674), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49060] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(826), 1,
      anon_sym_LF,
    ACTIONS(828), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    STATE(883), 1,
      sym_constraint_term,
    STATE(1084), 1,
      sym_qualified_type,
    STATE(1049), 4,
      sym__interface_body,
      sym_interface_type_name,
      sym_constraint_elem,
      sym_method_spec,
  [49098] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(725), 1,
      anon_sym_LF,
    ACTIONS(727), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49114] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_LF,
    ACTIONS(808), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49130] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(640), 1,
      anon_sym_LF,
    ACTIONS(642), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49146] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(864), 1,
      anon_sym_LF,
    ACTIONS(866), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49162] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LF,
    ACTIONS(743), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49178] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LF,
    ACTIONS(703), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49194] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LF,
    ACTIONS(715), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49210] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_LF,
    ACTIONS(691), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49226] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(668), 1,
      anon_sym_LF,
    ACTIONS(670), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49242] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_LF,
    ACTIONS(820), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49258] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LF,
    ACTIONS(739), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49313] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      anon_sym_LF,
    STATE(817), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1728), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49345] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_LF,
    ACTIONS(1730), 1,
      anon_sym_COMMA,
    STATE(817), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1071), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49429] = 7,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DOT,
    ACTIONS(1177), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_LF,
    ACTIONS(1737), 1,
      anon_sym_PIPE,
    STATE(652), 1,
      sym_parameter_list,
    ACTIONS(1735), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [49452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(826), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(822), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49608] = 7,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DOT,
    ACTIONS(1133), 1,
      anon_sym_DQUOTE,
    ACTIONS(1739), 1,
      anon_sym_LF,
    ACTIONS(1743), 1,
      sym_raw_string_literal,
    STATE(1013), 1,
      sym_interpreted_string_literal,
    ACTIONS(1741), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [49631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_block,
    ACTIONS(810), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [49699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_RBRACE,
    ACTIONS(1747), 1,
      anon_sym_case,
    ACTIONS(1749), 1,
      anon_sym_default,
    STATE(870), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [49717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1751), 1,
      anon_sym_RBRACE,
    ACTIONS(1753), 1,
      anon_sym_case,
    STATE(864), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [49735] = 6,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DQUOTE,
    ACTIONS(1755), 1,
      anon_sym_LF,
    ACTIONS(1759), 1,
      sym_raw_string_literal,
    STATE(1016), 1,
      sym_interpreted_string_literal,
    ACTIONS(1757), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [49755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      anon_sym_COLON,
    ACTIONS(1761), 1,
      anon_sym_COMMA,
    STATE(845), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1069), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [49773] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LF,
    ACTIONS(1768), 1,
      anon_sym_EQ,
    ACTIONS(1766), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49789] = 6,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DQUOTE,
    ACTIONS(1755), 1,
      anon_sym_LF,
    ACTIONS(1770), 1,
      sym_raw_string_literal,
    STATE(1031), 1,
      sym_interpreted_string_literal,
    ACTIONS(1757), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [49809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1753), 1,
      anon_sym_case,
    ACTIONS(1772), 1,
      anon_sym_RBRACE,
    STATE(869), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [49827] = 6,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LF,
    ACTIONS(1778), 1,
      sym_raw_string_literal,
    STATE(1025), 1,
      sym_interpreted_string_literal,
    ACTIONS(1776), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [49847] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_LF,
    ACTIONS(1782), 1,
      anon_sym_SEMI,
    STATE(855), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(202), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49865] = 6,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DQUOTE,
    ACTIONS(1784), 1,
      anon_sym_LF,
    ACTIONS(1788), 1,
      sym_raw_string_literal,
    STATE(1026), 1,
      sym_interpreted_string_literal,
    ACTIONS(1786), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [49885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_COMMA,
    ACTIONS(1728), 1,
      anon_sym_COLON,
    STATE(845), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1606), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [49903] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1790), 1,
      anon_sym_LF,
    ACTIONS(1794), 1,
      anon_sym_EQ,
    ACTIONS(1792), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49919] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(604), 1,
      anon_sym_LBRACE,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    ACTIONS(1323), 1,
      anon_sym_DOT,
    ACTIONS(1663), 1,
      anon_sym_LBRACK,
    STATE(659), 1,
      sym_parameter_list,
    STATE(813), 1,
      sym_type_arguments,
  [49941] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_LF,
    ACTIONS(1799), 1,
      anon_sym_SEMI,
    STATE(855), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1802), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    STATE(428), 1,
      sym_literal_value,
    ACTIONS(668), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [49975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 2,
      sym_blank_identifier,
      sym_identifier,
    ACTIONS(1674), 4,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_case,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1806), 1,
      anon_sym_RBRACE,
    STATE(842), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [50007] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_LF,
    ACTIONS(1810), 1,
      anon_sym_SEMI,
    STATE(850), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1812), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1753), 1,
      anon_sym_case,
    ACTIONS(1814), 1,
      anon_sym_RBRACE,
    STATE(868), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1753), 1,
      anon_sym_case,
    ACTIONS(1816), 1,
      anon_sym_RBRACE,
    STATE(864), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50061] = 6,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DQUOTE,
    ACTIONS(1818), 1,
      anon_sym_LF,
    ACTIONS(1822), 1,
      sym_raw_string_literal,
    STATE(1001), 1,
      sym_interpreted_string_literal,
    ACTIONS(1820), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [50081] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_LF,
    ACTIONS(1828), 1,
      anon_sym_else,
    ACTIONS(1826), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_RBRACE,
    ACTIONS(1832), 1,
      anon_sym_case,
    ACTIONS(1835), 1,
      anon_sym_default,
    STATE(864), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1753), 1,
      anon_sym_case,
    ACTIONS(1838), 1,
      anon_sym_RBRACE,
    STATE(861), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1840), 1,
      anon_sym_RBRACE,
    ACTIONS(1842), 1,
      anon_sym_case,
    STATE(867), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [50151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1842), 1,
      anon_sym_case,
    ACTIONS(1844), 1,
      anon_sym_RBRACE,
    STATE(871), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [50169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1753), 1,
      anon_sym_case,
    ACTIONS(1846), 1,
      anon_sym_RBRACE,
    STATE(864), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1753), 1,
      anon_sym_case,
    ACTIONS(1848), 1,
      anon_sym_RBRACE,
    STATE(864), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_RBRACE,
    ACTIONS(1852), 1,
      anon_sym_case,
    ACTIONS(1855), 1,
      anon_sym_default,
    STATE(870), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [50223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_RBRACE,
    ACTIONS(1860), 1,
      anon_sym_case,
    ACTIONS(1863), 1,
      anon_sym_default,
    STATE(871), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [50241] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_identifier,
    ACTIONS(1868), 1,
      anon_sym_LF,
    ACTIONS(1870), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50257] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1872), 1,
      sym_identifier,
    ACTIONS(1874), 1,
      anon_sym_LF,
    ACTIONS(1876), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_default,
    ACTIONS(1753), 1,
      anon_sym_case,
    ACTIONS(1878), 1,
      anon_sym_RBRACE,
    STATE(843), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50291] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1880), 1,
      anon_sym_LF,
    ACTIONS(1884), 1,
      anon_sym_else,
    ACTIONS(1882), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50307] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1886), 1,
      anon_sym_LF,
    ACTIONS(1888), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50320] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_LF,
    ACTIONS(1892), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50333] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LF,
    ACTIONS(1896), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50346] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_LF,
    ACTIONS(1900), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50359] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_LF,
    ACTIONS(1904), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50372] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_LF,
    ACTIONS(1908), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50385] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_LF,
    ACTIONS(1912), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50398] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_LF,
    ACTIONS(1918), 1,
      anon_sym_PIPE,
    STATE(922), 1,
      aux_sym_constraint_elem_repeat1,
    ACTIONS(1916), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [50415] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1920), 1,
      anon_sym_LF,
    ACTIONS(1922), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50428] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1924), 1,
      anon_sym_LF,
    ACTIONS(1926), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50441] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_LF,
    ACTIONS(1932), 1,
      anon_sym_PIPE,
    STATE(886), 1,
      aux_sym_constraint_elem_repeat1,
    ACTIONS(1930), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [50458] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_LF,
    ACTIONS(1937), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50471] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_LF,
    ACTIONS(1941), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50484] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LF,
    ACTIONS(1945), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(1949), 1,
      anon_sym_RPAREN,
    STATE(910), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1119), 2,
      sym_type_alias,
      sym_type_spec,
  [50514] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_LF,
    ACTIONS(1953), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50527] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LF,
    ACTIONS(1957), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50540] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_LF,
    ACTIONS(1961), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50553] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1963), 1,
      anon_sym_LF,
    ACTIONS(1965), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50566] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_LF,
    ACTIONS(1969), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50579] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_LF,
    ACTIONS(1973), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50592] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1975), 1,
      anon_sym_LF,
    ACTIONS(1977), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    ACTIONS(1983), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_qualified_type,
    STATE(975), 1,
      sym_field_declaration,
  [50624] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1985), 1,
      anon_sym_LF,
    ACTIONS(1987), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    ACTIONS(1989), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1042), 1,
      sym_field_declaration,
  [50656] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1991), 1,
      anon_sym_LF,
    ACTIONS(1993), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50669] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1995), 1,
      anon_sym_LF,
    ACTIONS(1997), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1042), 1,
      sym_field_declaration,
  [50701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    ACTIONS(2001), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1042), 1,
      sym_field_declaration,
  [50720] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_LF,
    ACTIONS(2005), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50733] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_LF,
    ACTIONS(2009), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50746] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LF,
    ACTIONS(2013), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50759] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2015), 1,
      anon_sym_LF,
    ACTIONS(2017), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50772] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2019), 1,
      anon_sym_LF,
    ACTIONS(2021), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      sym_identifier,
    ACTIONS(2026), 1,
      anon_sym_RPAREN,
    STATE(910), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1119), 2,
      sym_type_alias,
      sym_type_spec,
  [50802] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_LF,
    ACTIONS(2030), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50815] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2032), 1,
      anon_sym_LF,
    ACTIONS(2034), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50828] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_LF,
    ACTIONS(2038), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50841] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LF,
    ACTIONS(2042), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50854] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2044), 1,
      anon_sym_LF,
    ACTIONS(2046), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    ACTIONS(2048), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1042), 1,
      sym_field_declaration,
  [50886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    ACTIONS(2050), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_qualified_type,
    STATE(985), 1,
      sym_field_declaration,
  [50905] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2052), 1,
      anon_sym_LF,
    ACTIONS(1802), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50918] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_LF,
    ACTIONS(2056), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50931] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2058), 1,
      anon_sym_LF,
    ACTIONS(2060), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50944] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_LF,
    ACTIONS(2064), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50957] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_PIPE,
    ACTIONS(2066), 1,
      anon_sym_LF,
    STATE(886), 1,
      aux_sym_constraint_elem_repeat1,
    ACTIONS(2068), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [50974] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_LF,
    ACTIONS(2072), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50987] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    ACTIONS(2074), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_qualified_type,
    STATE(951), 1,
      sym_field_declaration,
  [51006] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2076), 1,
      anon_sym_LF,
    ACTIONS(2078), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51019] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_LF,
    ACTIONS(2082), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(2084), 1,
      anon_sym_RPAREN,
    STATE(890), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1119), 2,
      sym_type_alias,
      sym_type_spec,
  [51049] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2086), 1,
      anon_sym_LF,
    ACTIONS(2088), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51062] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2090), 1,
      anon_sym_LF,
    ACTIONS(2092), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51075] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_LF,
    ACTIONS(2096), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51088] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_LF,
    ACTIONS(2100), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51101] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_LF,
    ACTIONS(2104), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51114] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LF,
    ACTIONS(836), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    ACTIONS(2106), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1042), 1,
      sym_field_declaration,
  [51146] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LF,
    ACTIONS(2110), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51159] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_LF,
    ACTIONS(2114), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51172] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_LF,
    ACTIONS(2118), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51185] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_LF,
    ACTIONS(2122), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51198] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_LF,
    ACTIONS(2126), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1042), 1,
      sym_field_declaration,
  [51230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 1,
      sym_identifier,
    ACTIONS(2132), 1,
      anon_sym_RPAREN,
    STATE(982), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1132), 1,
      sym_var_spec,
  [51246] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2136), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51260] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_LF,
    ACTIONS(2140), 1,
      anon_sym_SEMI,
    ACTIONS(2142), 1,
      anon_sym_RBRACE,
    STATE(966), 1,
      aux_sym_interface_type_repeat1,
  [51276] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2144), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2136), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51290] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_DQUOTE,
    STATE(944), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2148), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51304] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2150), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2136), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_if,
    STATE(913), 2,
      sym_block,
      sym_if_statement,
  [51332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1142), 1,
      sym_const_spec,
  [51348] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2158), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2136), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51362] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2160), 1,
      anon_sym_DQUOTE,
    STATE(949), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2162), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51376] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_LF,
    ACTIONS(2166), 1,
      anon_sym_SEMI,
    ACTIONS(2168), 1,
      anon_sym_RBRACE,
    STATE(969), 1,
      aux_sym_field_declaration_list_repeat1,
  [51392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_STAR,
    STATE(862), 1,
      sym_qualified_type,
    STATE(1042), 1,
      sym_field_declaration,
  [51408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_identifier,
    ACTIONS(2170), 1,
      anon_sym_LPAREN,
    STATE(926), 2,
      sym_type_alias,
      sym_type_spec,
  [51422] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2136), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51436] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LF,
    ACTIONS(2176), 1,
      anon_sym_SEMI,
    ACTIONS(2178), 1,
      anon_sym_RBRACE,
    STATE(976), 1,
      aux_sym_interface_type_repeat1,
  [51452] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2180), 1,
      anon_sym_DQUOTE,
    STATE(954), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2182), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51466] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_LF,
    ACTIONS(2186), 1,
      anon_sym_SEMI,
    ACTIONS(2188), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      aux_sym_field_declaration_list_repeat1,
  [51482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [51492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2192), 1,
      anon_sym_LBRACK,
    STATE(28), 1,
      sym_parameter_list,
    STATE(1124), 1,
      sym_type_parameter_list,
  [51508] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_LF,
    ACTIONS(1930), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [51520] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2194), 1,
      anon_sym_DQUOTE,
    STATE(984), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2196), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51534] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2198), 1,
      anon_sym_LF,
    ACTIONS(1737), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [51546] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2200), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2136), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51560] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2202), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2204), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51574] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_DQUOTE,
    STATE(963), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2209), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51588] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_LF,
    ACTIONS(2214), 1,
      anon_sym_SEMI,
    ACTIONS(2217), 1,
      anon_sym_RBRACE,
    STATE(966), 1,
      aux_sym_interface_type_repeat1,
  [51604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COMMA,
    STATE(967), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(2222), 2,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [51618] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_LF,
    ACTIONS(2227), 1,
      anon_sym_SEMI,
    ACTIONS(2230), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      aux_sym_field_declaration_list_repeat1,
  [51634] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_LF,
    ACTIONS(2234), 1,
      anon_sym_SEMI,
    ACTIONS(2236), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      aux_sym_field_declaration_list_repeat1,
  [51650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      anon_sym_LPAREN,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2242), 1,
      anon_sym_RBRACK,
    STATE(1088), 1,
      aux_sym_type_arguments_repeat1,
  [51666] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_LF,
    ACTIONS(2246), 1,
      anon_sym_SEMI,
    ACTIONS(2248), 1,
      anon_sym_RBRACE,
    STATE(943), 1,
      aux_sym_interface_type_repeat1,
  [51682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 1,
      sym_identifier,
    ACTIONS(2253), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1142), 1,
      sym_const_spec,
  [51698] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_DQUOTE,
    STATE(946), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2257), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_LBRACE,
    ACTIONS(2152), 1,
      anon_sym_if,
    STATE(882), 2,
      sym_block,
      sym_if_statement,
  [51726] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2259), 1,
      anon_sym_LF,
    ACTIONS(2261), 1,
      anon_sym_SEMI,
    ACTIONS(2263), 1,
      anon_sym_RBRACE,
    STATE(957), 1,
      aux_sym_field_declaration_list_repeat1,
  [51742] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2265), 1,
      anon_sym_LF,
    ACTIONS(2267), 1,
      anon_sym_SEMI,
    ACTIONS(2269), 1,
      anon_sym_RBRACE,
    STATE(966), 1,
      aux_sym_interface_type_repeat1,
  [51758] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_LF,
    ACTIONS(2273), 1,
      anon_sym_SEMI,
    ACTIONS(2275), 1,
      anon_sym_RBRACE,
    STATE(968), 1,
      aux_sym_field_declaration_list_repeat1,
  [51774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 1,
      sym_identifier,
    ACTIONS(2277), 1,
      anon_sym_RPAREN,
    STATE(941), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1132), 1,
      sym_var_spec,
  [51790] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_LF,
    ACTIONS(2281), 1,
      anon_sym_SEMI,
    ACTIONS(2283), 1,
      anon_sym_RBRACE,
    STATE(966), 1,
      aux_sym_interface_type_repeat1,
  [51806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2285), 1,
      anon_sym_RPAREN,
    STATE(948), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1142), 1,
      sym_const_spec,
  [51822] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2287), 1,
      anon_sym_LF,
    ACTIONS(2289), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [51834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2291), 1,
      sym_identifier,
    ACTIONS(2294), 1,
      anon_sym_RPAREN,
    STATE(982), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1132), 1,
      sym_var_spec,
  [51850] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_DQUOTE,
    STATE(942), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2298), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51864] = 4,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_DQUOTE,
    STATE(964), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2136), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [51878] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_LF,
    ACTIONS(2304), 1,
      anon_sym_SEMI,
    ACTIONS(2306), 1,
      anon_sym_RBRACE,
    STATE(977), 1,
      aux_sym_field_declaration_list_repeat1,
  [51894] = 5,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_LF,
    ACTIONS(2310), 1,
      anon_sym_SEMI,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
    STATE(979), 1,
      aux_sym_interface_type_repeat1,
  [51910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_RBRACK,
    ACTIONS(2314), 1,
      anon_sym_COMMA,
    STATE(1045), 1,
      aux_sym_type_parameter_list_repeat1,
  [51923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(360), 1,
      anon_sym_RBRACE,
    ACTIONS(2316), 1,
      anon_sym_COMMA,
    STATE(1057), 1,
      aux_sym_literal_value_repeat1,
  [51936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_RPAREN,
    ACTIONS(2320), 1,
      anon_sym_COMMA,
    STATE(991), 1,
      aux_sym_expression_list_repeat1,
  [51949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(440), 1,
      anon_sym_RPAREN,
    ACTIONS(2322), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      aux_sym_argument_list_repeat1,
  [51962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 1,
      anon_sym_RPAREN,
    ACTIONS(2324), 1,
      anon_sym_COMMA,
    STATE(1083), 1,
      aux_sym_expression_list_repeat1,
  [51975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_TILDE,
    ACTIONS(2326), 1,
      sym_identifier,
    STATE(960), 1,
      sym_constraint_term,
  [51988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_RPAREN,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(1086), 1,
      aux_sym_parameter_list_repeat1,
  [52001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_COMMA,
    ACTIONS(2336), 1,
      anon_sym_COLON,
    STATE(967), 1,
      aux_sym_type_arguments_repeat1,
  [52023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(2338), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_literal_value,
  [52036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(2340), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_literal_value,
  [52049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(204), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 1,
      anon_sym_RPAREN,
    ACTIONS(2344), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      aux_sym_argument_list_repeat1,
  [52080] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2346), 1,
      anon_sym_LF,
    ACTIONS(2348), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_RPAREN,
    ACTIONS(2352), 1,
      anon_sym_COMMA,
    STATE(1002), 1,
      aux_sym_parameter_list_repeat1,
  [52104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(392), 1,
      anon_sym_RBRACE,
    ACTIONS(2355), 1,
      anon_sym_COMMA,
    STATE(1057), 1,
      aux_sym_literal_value_repeat1,
  [52117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      aux_sym_expression_list_repeat1,
  [52130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 1,
      anon_sym_RPAREN,
    ACTIONS(2357), 1,
      anon_sym_COMMA,
    STATE(1083), 1,
      aux_sym_expression_list_repeat1,
  [52143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_RBRACK,
    ACTIONS(2359), 1,
      anon_sym_COMMA,
    STATE(967), 1,
      aux_sym_type_arguments_repeat1,
  [52156] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2361), 1,
      anon_sym_LF,
    ACTIONS(2363), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_RPAREN,
    ACTIONS(1249), 1,
      anon_sym_COMMA,
    STATE(1000), 1,
      aux_sym_argument_list_repeat1,
  [52180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(931), 1,
      sym_const_spec,
  [52193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_RBRACE,
    STATE(1003), 1,
      aux_sym_literal_value_repeat1,
  [52206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_RPAREN,
    ACTIONS(2373), 1,
      anon_sym_COMMA,
    STATE(1005), 1,
      aux_sym_expression_list_repeat1,
  [52219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_LPAREN,
    ACTIONS(1534), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_block,
  [52232] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2375), 1,
      anon_sym_LF,
    ACTIONS(2377), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      anon_sym_LPAREN,
    ACTIONS(2379), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [52254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      anon_sym_RBRACE,
    ACTIONS(2381), 1,
      anon_sym_COMMA,
    STATE(1057), 1,
      aux_sym_literal_value_repeat1,
  [52267] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_LF,
    ACTIONS(2385), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(1175), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_literal_value,
  [52291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 1,
      sym_identifier,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    STATE(929), 1,
      sym_var_spec,
  [52304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
    ACTIONS(2391), 1,
      anon_sym_COMMA,
    STATE(1030), 1,
      aux_sym_parameter_list_repeat1,
  [52317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_LPAREN,
    ACTIONS(1552), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_block,
  [52330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_DQUOTE,
    ACTIONS(2393), 1,
      sym_raw_string_literal,
    STATE(256), 1,
      sym_interpreted_string_literal,
  [52343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2395), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 1,
      anon_sym_COMMA,
    STATE(1034), 1,
      aux_sym_expression_list_repeat1,
  [52356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_COMMA,
    ACTIONS(2401), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      aux_sym_type_arguments_repeat1,
  [52369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_COMMA,
    ACTIONS(2405), 1,
      anon_sym_RBRACE,
    STATE(988), 1,
      aux_sym_literal_value_repeat1,
  [52382] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_LF,
    ACTIONS(2409), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52393] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_LF,
    ACTIONS(2413), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_RPAREN,
    ACTIONS(1293), 1,
      anon_sym_COMMA,
    STATE(1041), 1,
      aux_sym_argument_list_repeat1,
  [52417] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_LF,
    ACTIONS(2385), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_DQUOTE,
    ACTIONS(2415), 1,
      sym_raw_string_literal,
    STATE(261), 1,
      sym_interpreted_string_literal,
  [52441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 1,
      anon_sym_RPAREN,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    STATE(1002), 1,
      aux_sym_parameter_list_repeat1,
  [52454] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_LF,
    ACTIONS(2385), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_COMMA,
    ACTIONS(2421), 1,
      anon_sym_RBRACK,
    STATE(987), 1,
      aux_sym_type_parameter_list_repeat1,
  [52478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_RPAREN,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    STATE(1002), 1,
      aux_sym_parameter_list_repeat1,
  [52491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 1,
      anon_sym_RPAREN,
    ACTIONS(2425), 1,
      anon_sym_COMMA,
    STATE(1083), 1,
      aux_sym_expression_list_repeat1,
  [52504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [52513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    STATE(967), 1,
      aux_sym_type_arguments_repeat1,
  [52526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_RPAREN,
    ACTIONS(2433), 1,
      anon_sym_COMMA,
    STATE(1033), 1,
      aux_sym_parameter_list_repeat1,
  [52539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 1,
      anon_sym_RPAREN,
    ACTIONS(2435), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      aux_sym_argument_list_repeat1,
  [52552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2379), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [52561] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_LF,
    ACTIONS(2385), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 1,
      anon_sym_RPAREN,
    ACTIONS(2437), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      aux_sym_argument_list_repeat1,
  [52585] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_LF,
    ACTIONS(2230), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_LBRACE,
    ACTIONS(810), 1,
      anon_sym_LPAREN,
    STATE(331), 1,
      sym_block,
  [52609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2441), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_COMMA,
    ACTIONS(2446), 1,
      anon_sym_RBRACK,
    STATE(1045), 1,
      aux_sym_type_parameter_list_repeat1,
  [52631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      anon_sym_RPAREN,
    ACTIONS(2448), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      aux_sym_argument_list_repeat1,
  [52644] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_LF,
    ACTIONS(2452), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_RPAREN,
    ACTIONS(2454), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      aux_sym_argument_list_repeat1,
  [52668] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LF,
    ACTIONS(2217), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_RPAREN,
    ACTIONS(1289), 1,
      anon_sym_COMMA,
    STATE(990), 1,
      aux_sym_argument_list_repeat1,
  [52692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_COMMA,
    ACTIONS(2461), 1,
      anon_sym_RBRACK,
    STATE(1006), 1,
      aux_sym_type_arguments_repeat1,
  [52705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_COMMA,
    ACTIONS(2465), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_literal_value_repeat1,
  [52718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(2467), 1,
      anon_sym_LBRACE,
    STATE(375), 1,
      sym_literal_value,
  [52731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 1,
      anon_sym_RBRACE,
    ACTIONS(2469), 1,
      anon_sym_COMMA,
    STATE(1057), 1,
      aux_sym_literal_value_repeat1,
  [52744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(2471), 1,
      sym_raw_string_literal,
    STATE(1150), 1,
      sym_interpreted_string_literal,
  [52757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(530), 1,
      anon_sym_RPAREN,
    ACTIONS(2473), 1,
      anon_sym_COMMA,
    STATE(1083), 1,
      aux_sym_expression_list_repeat1,
  [52770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_COMMA,
    ACTIONS(2478), 1,
      anon_sym_RBRACE,
    STATE(1057), 1,
      aux_sym_literal_value_repeat1,
  [52783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [52792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(2482), 1,
      sym_raw_string_literal,
    STATE(1133), 1,
      sym_interpreted_string_literal,
  [52805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_COMMA,
    ACTIONS(2486), 1,
      anon_sym_RBRACE,
    STATE(1090), 1,
      aux_sym_literal_value_repeat1,
  [52818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [52827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    ACTIONS(2488), 1,
      sym_identifier,
    STATE(661), 1,
      sym_parameter_list,
  [52840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_COLON,
    ACTIONS(1311), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2242), 1,
      anon_sym_RBRACK,
    STATE(1088), 1,
      aux_sym_type_arguments_repeat1,
  [52864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      anon_sym_RPAREN,
    ACTIONS(1279), 1,
      anon_sym_COMMA,
    STATE(1046), 1,
      aux_sym_argument_list_repeat1,
  [52877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_COMMA,
    ACTIONS(2492), 1,
      anon_sym_RBRACE,
    STATE(1054), 1,
      aux_sym_literal_value_repeat1,
  [52890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_LPAREN,
    ACTIONS(1538), 1,
      anon_sym_LBRACE,
    STATE(356), 1,
      sym_block,
  [52903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_RPAREN,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_expression_list_repeat1,
  [52916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_COMMA,
    ACTIONS(2500), 1,
      anon_sym_RBRACE,
    STATE(1076), 1,
      aux_sym_literal_value_repeat1,
  [52929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_RPAREN,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    STATE(1079), 1,
      aux_sym_expression_list_repeat1,
  [52942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_RPAREN,
    ACTIONS(2508), 1,
      anon_sym_COMMA,
    STATE(1056), 1,
      aux_sym_expression_list_repeat1,
  [52955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_RPAREN,
    ACTIONS(1283), 1,
      anon_sym_COMMA,
    STATE(1078), 1,
      aux_sym_argument_list_repeat1,
  [52968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_LPAREN,
    ACTIONS(1532), 1,
      anon_sym_LBRACE,
    STATE(416), 1,
      sym_block,
  [52981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_RPAREN,
    ACTIONS(1297), 1,
      anon_sym_COMMA,
    STATE(1038), 1,
      aux_sym_argument_list_repeat1,
  [52994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 1,
      anon_sym_RPAREN,
    ACTIONS(2510), 1,
      anon_sym_COMMA,
    STATE(1083), 1,
      aux_sym_expression_list_repeat1,
  [53007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_RBRACE,
    ACTIONS(2512), 1,
      anon_sym_COMMA,
    STATE(1057), 1,
      aux_sym_literal_value_repeat1,
  [53020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(2514), 1,
      anon_sym_COMMA,
    STATE(1077), 1,
      aux_sym_expression_list_repeat1,
  [53033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(476), 1,
      anon_sym_RPAREN,
    ACTIONS(2517), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      aux_sym_argument_list_repeat1,
  [53046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_RPAREN,
    ACTIONS(2519), 1,
      anon_sym_COMMA,
    STATE(1083), 1,
      aux_sym_expression_list_repeat1,
  [53059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_COMMA,
    ACTIONS(2523), 1,
      anon_sym_COLON,
    STATE(995), 1,
      aux_sym_type_arguments_repeat1,
  [53081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_RPAREN,
    ACTIONS(2527), 1,
      anon_sym_COMMA,
    STATE(1083), 1,
      aux_sym_expression_list_repeat1,
  [53103] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LF,
    ACTIONS(2532), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [53114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [53123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_RPAREN,
    ACTIONS(2534), 1,
      anon_sym_COMMA,
    STATE(1002), 1,
      aux_sym_parameter_list_repeat1,
  [53136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    STATE(409), 1,
      sym_literal_value,
  [53149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 1,
      anon_sym_RBRACK,
    ACTIONS(2536), 1,
      anon_sym_COMMA,
    STATE(967), 1,
      aux_sym_type_arguments_repeat1,
  [53162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_RBRACE,
    ACTIONS(2540), 1,
      anon_sym_COMMA,
    STATE(1057), 1,
      aux_sym_literal_value_repeat1,
  [53184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [53192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_LBRACE,
    STATE(801), 1,
      sym_field_declaration_list,
  [53202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      sym_identifier,
    ACTIONS(2550), 1,
      anon_sym_LPAREN,
  [53220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      sym_identifier,
    ACTIONS(2552), 1,
      anon_sym_LPAREN,
  [53230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    STATE(409), 1,
      sym_literal_value,
  [53240] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(794), 1,
      anon_sym_LF,
    ACTIONS(796), 1,
      anon_sym_SEMI,
  [53250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(669), 1,
      sym_parameter_list,
  [53260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      sym_identifier,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
  [53270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      sym_identifier,
    ACTIONS(2560), 1,
      anon_sym_LPAREN,
  [53288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(607), 1,
      sym_parameter_list,
  [53298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    STATE(421), 1,
      sym_argument_list,
  [53308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    STATE(828), 1,
      sym_field_declaration_list,
  [53334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(663), 1,
      sym_parameter_list,
  [53344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2478), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACE,
    STATE(428), 1,
      sym_literal_value,
  [53370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_LPAREN,
    STATE(348), 1,
      sym_argument_list,
  [53380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      sym_identifier,
    ACTIONS(2564), 1,
      anon_sym_LPAREN,
  [53390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      sym_identifier,
    STATE(849), 1,
      sym_qualified_type,
  [53400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parameter_list,
  [53410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_LBRACE,
    STATE(375), 1,
      sym_literal_value,
  [53436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2253), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [53444] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_LF,
    ACTIONS(2570), 1,
      anon_sym_SEMI,
  [53454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2446), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [53462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_parameter_list,
  [53472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2294), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [53480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(491), 1,
      sym_parameter_list,
  [53490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_parameter_list,
  [53500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      anon_sym_LPAREN,
    ACTIONS(2574), 1,
      anon_sym_RPAREN,
  [53526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(570), 1,
      sym_parameter_list,
  [53536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2026), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [53544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 2,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [53552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_literal_value,
  [53562] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LF,
    ACTIONS(2580), 1,
      anon_sym_SEMI,
  [53572] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(705), 1,
      anon_sym_LF,
    ACTIONS(707), 1,
      anon_sym_SEMI,
  [53582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
  [53592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      sym_identifier,
    ACTIONS(2586), 1,
      anon_sym_LPAREN,
  [53602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_LPAREN,
    STATE(547), 1,
      sym_argument_list,
  [53612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_LPAREN,
    STATE(492), 1,
      sym_argument_list,
  [53622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      sym_identifier,
    ACTIONS(2592), 1,
      anon_sym_LPAREN,
  [53632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_LBRACE,
    STATE(284), 1,
      sym_block,
  [53642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(665), 1,
      sym_parameter_list,
  [53652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      sym_identifier,
    ACTIONS(2594), 1,
      anon_sym_LPAREN,
  [53662] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_LF,
    ACTIONS(2598), 1,
      anon_sym_SEMI,
  [53672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53680] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LF,
    ACTIONS(2600), 1,
      anon_sym_SEMI,
  [53690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    STATE(473), 1,
      sym_parameter_list,
  [53700] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_LF,
    ACTIONS(2606), 1,
      anon_sym_SEMI,
  [53710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LPAREN,
    STATE(447), 1,
      sym_argument_list,
  [53720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    STATE(330), 1,
      sym_argument_list,
  [53730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_literal_value,
  [53740] = 3,
    ACTIONS(286), 1,
      sym_comment,
    ACTIONS(721), 1,
      anon_sym_LF,
    ACTIONS(723), 1,
      anon_sym_SEMI,
  [53750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 1,
      sym_identifier,
    ACTIONS(2612), 1,
      anon_sym_LPAREN,
  [53760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_literal_value,
  [53778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(662), 1,
      sym_parameter_list,
  [53788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_LBRACE,
    STATE(878), 1,
      sym_block,
  [53798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_field_declaration_list,
  [53808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_RPAREN,
  [53823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
  [53830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_RPAREN,
  [53837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_RPAREN,
  [53844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_RPAREN,
  [53851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      sym_identifier,
  [53858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 1,
      sym_identifier,
  [53865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_LBRACE,
  [53872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
  [53879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2632), 1,
      anon_sym_SEMI,
  [53886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      anon_sym_EQ,
  [53893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 1,
      anon_sym_RPAREN,
  [53900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_RPAREN,
  [53907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      anon_sym_RBRACE,
  [53914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2642), 1,
      anon_sym_RBRACE,
  [53921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_SEMI,
  [53928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      anon_sym_RPAREN,
  [53935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 1,
      anon_sym_SEMI,
  [53942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2650), 1,
      anon_sym_chan,
  [53949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 1,
      anon_sym_RPAREN,
  [53956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2654), 1,
      anon_sym_LBRACE,
  [53963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      sym_identifier,
  [53970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
  [53977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
  [53984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 1,
      anon_sym_LBRACE,
  [53991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2664), 1,
      anon_sym_RBRACE,
  [53998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
  [54005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
  [54012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
  [54019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2672), 1,
      anon_sym_LBRACE,
  [54026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2674), 1,
      anon_sym_RPAREN,
  [54033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_LBRACE,
  [54040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_chan,
  [54047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_RBRACK,
  [54054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_COLON,
  [54061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2684), 1,
      anon_sym_RBRACK,
  [54068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2686), 1,
      anon_sym_LBRACE,
  [54075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
  [54082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
  [54089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_LBRACE,
  [54096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
  [54103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2696), 1,
      anon_sym_RBRACE,
  [54110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_EQ,
  [54117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      anon_sym_RPAREN,
  [54124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
  [54131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      sym_identifier,
  [54138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      sym_identifier,
  [54145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_LBRACE,
  [54152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 1,
      anon_sym_RBRACK,
  [54159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
  [54166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2712), 1,
      anon_sym_chan,
  [54173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      sym_identifier,
  [54180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2716), 1,
      sym_identifier,
  [54187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
  [54194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      sym_identifier,
  [54201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_LPAREN,
  [54208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym_RPAREN,
  [54215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 1,
      ts_builtin_sym_end,
  [54222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 1,
      anon_sym_chan,
  [54229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_RPAREN,
  [54236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_LBRACE,
  [54243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 1,
      sym_identifier,
  [54250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_LBRACE,
  [54257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COLON,
  [54264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RPAREN,
  [54271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_LBRACK,
  [54278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_RBRACK,
  [54285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
  [54292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_COLON_EQ,
  [54299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_COLON,
  [54306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_RPAREN,
  [54313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 1,
      anon_sym_RPAREN,
  [54320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_RPAREN,
  [54327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 1,
      anon_sym_LBRACK,
  [54334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      anon_sym_LPAREN,
  [54341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 1,
      sym_identifier,
  [54348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LBRACK,
  [54355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
  [54362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_LPAREN,
  [54369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
  [54376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2768), 1,
      anon_sym_LPAREN,
  [54383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 1,
      anon_sym_LBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(22)] = 0,
  [SMALL_STATE(23)] = 118,
  [SMALL_STATE(24)] = 233,
  [SMALL_STATE(25)] = 348,
  [SMALL_STATE(26)] = 463,
  [SMALL_STATE(27)] = 578,
  [SMALL_STATE(28)] = 674,
  [SMALL_STATE(29)] = 770,
  [SMALL_STATE(30)] = 882,
  [SMALL_STATE(31)] = 991,
  [SMALL_STATE(32)] = 1082,
  [SMALL_STATE(33)] = 1194,
  [SMALL_STATE(34)] = 1306,
  [SMALL_STATE(35)] = 1418,
  [SMALL_STATE(36)] = 1530,
  [SMALL_STATE(37)] = 1642,
  [SMALL_STATE(38)] = 1754,
  [SMALL_STATE(39)] = 1866,
  [SMALL_STATE(40)] = 1978,
  [SMALL_STATE(41)] = 2090,
  [SMALL_STATE(42)] = 2202,
  [SMALL_STATE(43)] = 2314,
  [SMALL_STATE(44)] = 2426,
  [SMALL_STATE(45)] = 2538,
  [SMALL_STATE(46)] = 2650,
  [SMALL_STATE(47)] = 2762,
  [SMALL_STATE(48)] = 2874,
  [SMALL_STATE(49)] = 2986,
  [SMALL_STATE(50)] = 3098,
  [SMALL_STATE(51)] = 3207,
  [SMALL_STATE(52)] = 3313,
  [SMALL_STATE(53)] = 3418,
  [SMALL_STATE(54)] = 3523,
  [SMALL_STATE(55)] = 3628,
  [SMALL_STATE(56)] = 3733,
  [SMALL_STATE(57)] = 3838,
  [SMALL_STATE(58)] = 3943,
  [SMALL_STATE(59)] = 4048,
  [SMALL_STATE(60)] = 4153,
  [SMALL_STATE(61)] = 4258,
  [SMALL_STATE(62)] = 4363,
  [SMALL_STATE(63)] = 4468,
  [SMALL_STATE(64)] = 4573,
  [SMALL_STATE(65)] = 4678,
  [SMALL_STATE(66)] = 4783,
  [SMALL_STATE(67)] = 4888,
  [SMALL_STATE(68)] = 4993,
  [SMALL_STATE(69)] = 5098,
  [SMALL_STATE(70)] = 5203,
  [SMALL_STATE(71)] = 5308,
  [SMALL_STATE(72)] = 5413,
  [SMALL_STATE(73)] = 5518,
  [SMALL_STATE(74)] = 5623,
  [SMALL_STATE(75)] = 5728,
  [SMALL_STATE(76)] = 5833,
  [SMALL_STATE(77)] = 5938,
  [SMALL_STATE(78)] = 6040,
  [SMALL_STATE(79)] = 6142,
  [SMALL_STATE(80)] = 6244,
  [SMALL_STATE(81)] = 6346,
  [SMALL_STATE(82)] = 6448,
  [SMALL_STATE(83)] = 6550,
  [SMALL_STATE(84)] = 6652,
  [SMALL_STATE(85)] = 6754,
  [SMALL_STATE(86)] = 6856,
  [SMALL_STATE(87)] = 6958,
  [SMALL_STATE(88)] = 7060,
  [SMALL_STATE(89)] = 7162,
  [SMALL_STATE(90)] = 7264,
  [SMALL_STATE(91)] = 7366,
  [SMALL_STATE(92)] = 7468,
  [SMALL_STATE(93)] = 7570,
  [SMALL_STATE(94)] = 7672,
  [SMALL_STATE(95)] = 7774,
  [SMALL_STATE(96)] = 7876,
  [SMALL_STATE(97)] = 7978,
  [SMALL_STATE(98)] = 8080,
  [SMALL_STATE(99)] = 8182,
  [SMALL_STATE(100)] = 8284,
  [SMALL_STATE(101)] = 8386,
  [SMALL_STATE(102)] = 8488,
  [SMALL_STATE(103)] = 8590,
  [SMALL_STATE(104)] = 8692,
  [SMALL_STATE(105)] = 8794,
  [SMALL_STATE(106)] = 8896,
  [SMALL_STATE(107)] = 8998,
  [SMALL_STATE(108)] = 9100,
  [SMALL_STATE(109)] = 9202,
  [SMALL_STATE(110)] = 9304,
  [SMALL_STATE(111)] = 9406,
  [SMALL_STATE(112)] = 9508,
  [SMALL_STATE(113)] = 9610,
  [SMALL_STATE(114)] = 9712,
  [SMALL_STATE(115)] = 9814,
  [SMALL_STATE(116)] = 9916,
  [SMALL_STATE(117)] = 10018,
  [SMALL_STATE(118)] = 10120,
  [SMALL_STATE(119)] = 10222,
  [SMALL_STATE(120)] = 10324,
  [SMALL_STATE(121)] = 10426,
  [SMALL_STATE(122)] = 10528,
  [SMALL_STATE(123)] = 10630,
  [SMALL_STATE(124)] = 10732,
  [SMALL_STATE(125)] = 10834,
  [SMALL_STATE(126)] = 10936,
  [SMALL_STATE(127)] = 11038,
  [SMALL_STATE(128)] = 11140,
  [SMALL_STATE(129)] = 11242,
  [SMALL_STATE(130)] = 11344,
  [SMALL_STATE(131)] = 11446,
  [SMALL_STATE(132)] = 11545,
  [SMALL_STATE(133)] = 11644,
  [SMALL_STATE(134)] = 11743,
  [SMALL_STATE(135)] = 11842,
  [SMALL_STATE(136)] = 11941,
  [SMALL_STATE(137)] = 12040,
  [SMALL_STATE(138)] = 12139,
  [SMALL_STATE(139)] = 12238,
  [SMALL_STATE(140)] = 12337,
  [SMALL_STATE(141)] = 12436,
  [SMALL_STATE(142)] = 12535,
  [SMALL_STATE(143)] = 12634,
  [SMALL_STATE(144)] = 12733,
  [SMALL_STATE(145)] = 12832,
  [SMALL_STATE(146)] = 12931,
  [SMALL_STATE(147)] = 13030,
  [SMALL_STATE(148)] = 13129,
  [SMALL_STATE(149)] = 13228,
  [SMALL_STATE(150)] = 13327,
  [SMALL_STATE(151)] = 13426,
  [SMALL_STATE(152)] = 13525,
  [SMALL_STATE(153)] = 13624,
  [SMALL_STATE(154)] = 13723,
  [SMALL_STATE(155)] = 13822,
  [SMALL_STATE(156)] = 13921,
  [SMALL_STATE(157)] = 14020,
  [SMALL_STATE(158)] = 14119,
  [SMALL_STATE(159)] = 14218,
  [SMALL_STATE(160)] = 14317,
  [SMALL_STATE(161)] = 14416,
  [SMALL_STATE(162)] = 14515,
  [SMALL_STATE(163)] = 14614,
  [SMALL_STATE(164)] = 14713,
  [SMALL_STATE(165)] = 14812,
  [SMALL_STATE(166)] = 14911,
  [SMALL_STATE(167)] = 15010,
  [SMALL_STATE(168)] = 15109,
  [SMALL_STATE(169)] = 15208,
  [SMALL_STATE(170)] = 15307,
  [SMALL_STATE(171)] = 15406,
  [SMALL_STATE(172)] = 15505,
  [SMALL_STATE(173)] = 15604,
  [SMALL_STATE(174)] = 15703,
  [SMALL_STATE(175)] = 15802,
  [SMALL_STATE(176)] = 15901,
  [SMALL_STATE(177)] = 16000,
  [SMALL_STATE(178)] = 16099,
  [SMALL_STATE(179)] = 16198,
  [SMALL_STATE(180)] = 16297,
  [SMALL_STATE(181)] = 16396,
  [SMALL_STATE(182)] = 16495,
  [SMALL_STATE(183)] = 16594,
  [SMALL_STATE(184)] = 16693,
  [SMALL_STATE(185)] = 16792,
  [SMALL_STATE(186)] = 16891,
  [SMALL_STATE(187)] = 16990,
  [SMALL_STATE(188)] = 17089,
  [SMALL_STATE(189)] = 17188,
  [SMALL_STATE(190)] = 17287,
  [SMALL_STATE(191)] = 17386,
  [SMALL_STATE(192)] = 17485,
  [SMALL_STATE(193)] = 17584,
  [SMALL_STATE(194)] = 17683,
  [SMALL_STATE(195)] = 17782,
  [SMALL_STATE(196)] = 17881,
  [SMALL_STATE(197)] = 17980,
  [SMALL_STATE(198)] = 18079,
  [SMALL_STATE(199)] = 18178,
  [SMALL_STATE(200)] = 18277,
  [SMALL_STATE(201)] = 18376,
  [SMALL_STATE(202)] = 18475,
  [SMALL_STATE(203)] = 18574,
  [SMALL_STATE(204)] = 18673,
  [SMALL_STATE(205)] = 18772,
  [SMALL_STATE(206)] = 18871,
  [SMALL_STATE(207)] = 18970,
  [SMALL_STATE(208)] = 19069,
  [SMALL_STATE(209)] = 19168,
  [SMALL_STATE(210)] = 19267,
  [SMALL_STATE(211)] = 19366,
  [SMALL_STATE(212)] = 19465,
  [SMALL_STATE(213)] = 19564,
  [SMALL_STATE(214)] = 19663,
  [SMALL_STATE(215)] = 19762,
  [SMALL_STATE(216)] = 19861,
  [SMALL_STATE(217)] = 19960,
  [SMALL_STATE(218)] = 20059,
  [SMALL_STATE(219)] = 20158,
  [SMALL_STATE(220)] = 20257,
  [SMALL_STATE(221)] = 20356,
  [SMALL_STATE(222)] = 20455,
  [SMALL_STATE(223)] = 20554,
  [SMALL_STATE(224)] = 20653,
  [SMALL_STATE(225)] = 20752,
  [SMALL_STATE(226)] = 20851,
  [SMALL_STATE(227)] = 20950,
  [SMALL_STATE(228)] = 21049,
  [SMALL_STATE(229)] = 21148,
  [SMALL_STATE(230)] = 21247,
  [SMALL_STATE(231)] = 21346,
  [SMALL_STATE(232)] = 21445,
  [SMALL_STATE(233)] = 21544,
  [SMALL_STATE(234)] = 21643,
  [SMALL_STATE(235)] = 21742,
  [SMALL_STATE(236)] = 21841,
  [SMALL_STATE(237)] = 21904,
  [SMALL_STATE(238)] = 21974,
  [SMALL_STATE(239)] = 22034,
  [SMALL_STATE(240)] = 22094,
  [SMALL_STATE(241)] = 22164,
  [SMALL_STATE(242)] = 22219,
  [SMALL_STATE(243)] = 22274,
  [SMALL_STATE(244)] = 22329,
  [SMALL_STATE(245)] = 22384,
  [SMALL_STATE(246)] = 22439,
  [SMALL_STATE(247)] = 22494,
  [SMALL_STATE(248)] = 22549,
  [SMALL_STATE(249)] = 22604,
  [SMALL_STATE(250)] = 22659,
  [SMALL_STATE(251)] = 22718,
  [SMALL_STATE(252)] = 22773,
  [SMALL_STATE(253)] = 22828,
  [SMALL_STATE(254)] = 22883,
  [SMALL_STATE(255)] = 22938,
  [SMALL_STATE(256)] = 22993,
  [SMALL_STATE(257)] = 23048,
  [SMALL_STATE(258)] = 23103,
  [SMALL_STATE(259)] = 23158,
  [SMALL_STATE(260)] = 23213,
  [SMALL_STATE(261)] = 23268,
  [SMALL_STATE(262)] = 23323,
  [SMALL_STATE(263)] = 23378,
  [SMALL_STATE(264)] = 23433,
  [SMALL_STATE(265)] = 23488,
  [SMALL_STATE(266)] = 23543,
  [SMALL_STATE(267)] = 23598,
  [SMALL_STATE(268)] = 23653,
  [SMALL_STATE(269)] = 23708,
  [SMALL_STATE(270)] = 23763,
  [SMALL_STATE(271)] = 23818,
  [SMALL_STATE(272)] = 23873,
  [SMALL_STATE(273)] = 23928,
  [SMALL_STATE(274)] = 24021,
  [SMALL_STATE(275)] = 24088,
  [SMALL_STATE(276)] = 24143,
  [SMALL_STATE(277)] = 24198,
  [SMALL_STATE(278)] = 24253,
  [SMALL_STATE(279)] = 24308,
  [SMALL_STATE(280)] = 24363,
  [SMALL_STATE(281)] = 24418,
  [SMALL_STATE(282)] = 24473,
  [SMALL_STATE(283)] = 24528,
  [SMALL_STATE(284)] = 24583,
  [SMALL_STATE(285)] = 24638,
  [SMALL_STATE(286)] = 24725,
  [SMALL_STATE(287)] = 24780,
  [SMALL_STATE(288)] = 24835,
  [SMALL_STATE(289)] = 24890,
  [SMALL_STATE(290)] = 24945,
  [SMALL_STATE(291)] = 25000,
  [SMALL_STATE(292)] = 25054,
  [SMALL_STATE(293)] = 25126,
  [SMALL_STATE(294)] = 25196,
  [SMALL_STATE(295)] = 25264,
  [SMALL_STATE(296)] = 25330,
  [SMALL_STATE(297)] = 25394,
  [SMALL_STATE(298)] = 25458,
  [SMALL_STATE(299)] = 25549,
  [SMALL_STATE(300)] = 25640,
  [SMALL_STATE(301)] = 25693,
  [SMALL_STATE(302)] = 25750,
  [SMALL_STATE(303)] = 25803,
  [SMALL_STATE(304)] = 25855,
  [SMALL_STATE(305)] = 25907,
  [SMALL_STATE(306)] = 25959,
  [SMALL_STATE(307)] = 26011,
  [SMALL_STATE(308)] = 26063,
  [SMALL_STATE(309)] = 26115,
  [SMALL_STATE(310)] = 26167,
  [SMALL_STATE(311)] = 26219,
  [SMALL_STATE(312)] = 26271,
  [SMALL_STATE(313)] = 26323,
  [SMALL_STATE(314)] = 26411,
  [SMALL_STATE(315)] = 26463,
  [SMALL_STATE(316)] = 26515,
  [SMALL_STATE(317)] = 26567,
  [SMALL_STATE(318)] = 26619,
  [SMALL_STATE(319)] = 26671,
  [SMALL_STATE(320)] = 26723,
  [SMALL_STATE(321)] = 26775,
  [SMALL_STATE(322)] = 26827,
  [SMALL_STATE(323)] = 26879,
  [SMALL_STATE(324)] = 26931,
  [SMALL_STATE(325)] = 26983,
  [SMALL_STATE(326)] = 27035,
  [SMALL_STATE(327)] = 27087,
  [SMALL_STATE(328)] = 27139,
  [SMALL_STATE(329)] = 27191,
  [SMALL_STATE(330)] = 27243,
  [SMALL_STATE(331)] = 27295,
  [SMALL_STATE(332)] = 27347,
  [SMALL_STATE(333)] = 27399,
  [SMALL_STATE(334)] = 27451,
  [SMALL_STATE(335)] = 27503,
  [SMALL_STATE(336)] = 27555,
  [SMALL_STATE(337)] = 27620,
  [SMALL_STATE(338)] = 27681,
  [SMALL_STATE(339)] = 27766,
  [SMALL_STATE(340)] = 27827,
  [SMALL_STATE(341)] = 27898,
  [SMALL_STATE(342)] = 27967,
  [SMALL_STATE(343)] = 28030,
  [SMALL_STATE(344)] = 28091,
  [SMALL_STATE(345)] = 28145,
  [SMALL_STATE(346)] = 28194,
  [SMALL_STATE(347)] = 28243,
  [SMALL_STATE(348)] = 28292,
  [SMALL_STATE(349)] = 28341,
  [SMALL_STATE(350)] = 28390,
  [SMALL_STATE(351)] = 28439,
  [SMALL_STATE(352)] = 28488,
  [SMALL_STATE(353)] = 28537,
  [SMALL_STATE(354)] = 28586,
  [SMALL_STATE(355)] = 28635,
  [SMALL_STATE(356)] = 28684,
  [SMALL_STATE(357)] = 28733,
  [SMALL_STATE(358)] = 28782,
  [SMALL_STATE(359)] = 28831,
  [SMALL_STATE(360)] = 28880,
  [SMALL_STATE(361)] = 28929,
  [SMALL_STATE(362)] = 28978,
  [SMALL_STATE(363)] = 29027,
  [SMALL_STATE(364)] = 29076,
  [SMALL_STATE(365)] = 29125,
  [SMALL_STATE(366)] = 29174,
  [SMALL_STATE(367)] = 29223,
  [SMALL_STATE(368)] = 29272,
  [SMALL_STATE(369)] = 29321,
  [SMALL_STATE(370)] = 29370,
  [SMALL_STATE(371)] = 29419,
  [SMALL_STATE(372)] = 29468,
  [SMALL_STATE(373)] = 29517,
  [SMALL_STATE(374)] = 29566,
  [SMALL_STATE(375)] = 29615,
  [SMALL_STATE(376)] = 29664,
  [SMALL_STATE(377)] = 29713,
  [SMALL_STATE(378)] = 29762,
  [SMALL_STATE(379)] = 29811,
  [SMALL_STATE(380)] = 29870,
  [SMALL_STATE(381)] = 29936,
  [SMALL_STATE(382)] = 29992,
  [SMALL_STATE(383)] = 30050,
  [SMALL_STATE(384)] = 30106,
  [SMALL_STATE(385)] = 30174,
  [SMALL_STATE(386)] = 30234,
  [SMALL_STATE(387)] = 30298,
  [SMALL_STATE(388)] = 30347,
  [SMALL_STATE(389)] = 30391,
  [SMALL_STATE(390)] = 30435,
  [SMALL_STATE(391)] = 30479,
  [SMALL_STATE(392)] = 30523,
  [SMALL_STATE(393)] = 30567,
  [SMALL_STATE(394)] = 30611,
  [SMALL_STATE(395)] = 30655,
  [SMALL_STATE(396)] = 30699,
  [SMALL_STATE(397)] = 30743,
  [SMALL_STATE(398)] = 30787,
  [SMALL_STATE(399)] = 30831,
  [SMALL_STATE(400)] = 30875,
  [SMALL_STATE(401)] = 30919,
  [SMALL_STATE(402)] = 30963,
  [SMALL_STATE(403)] = 31007,
  [SMALL_STATE(404)] = 31051,
  [SMALL_STATE(405)] = 31095,
  [SMALL_STATE(406)] = 31139,
  [SMALL_STATE(407)] = 31183,
  [SMALL_STATE(408)] = 31227,
  [SMALL_STATE(409)] = 31271,
  [SMALL_STATE(410)] = 31315,
  [SMALL_STATE(411)] = 31359,
  [SMALL_STATE(412)] = 31403,
  [SMALL_STATE(413)] = 31447,
  [SMALL_STATE(414)] = 31491,
  [SMALL_STATE(415)] = 31535,
  [SMALL_STATE(416)] = 31579,
  [SMALL_STATE(417)] = 31623,
  [SMALL_STATE(418)] = 31667,
  [SMALL_STATE(419)] = 31711,
  [SMALL_STATE(420)] = 31755,
  [SMALL_STATE(421)] = 31799,
  [SMALL_STATE(422)] = 31843,
  [SMALL_STATE(423)] = 31895,
  [SMALL_STATE(424)] = 31947,
  [SMALL_STATE(425)] = 32000,
  [SMALL_STATE(426)] = 32045,
  [SMALL_STATE(427)] = 32085,
  [SMALL_STATE(428)] = 32125,
  [SMALL_STATE(429)] = 32165,
  [SMALL_STATE(430)] = 32205,
  [SMALL_STATE(431)] = 32245,
  [SMALL_STATE(432)] = 32285,
  [SMALL_STATE(433)] = 32325,
  [SMALL_STATE(434)] = 32365,
  [SMALL_STATE(435)] = 32405,
  [SMALL_STATE(436)] = 32445,
  [SMALL_STATE(437)] = 32485,
  [SMALL_STATE(438)] = 32525,
  [SMALL_STATE(439)] = 32565,
  [SMALL_STATE(440)] = 32605,
  [SMALL_STATE(441)] = 32645,
  [SMALL_STATE(442)] = 32685,
  [SMALL_STATE(443)] = 32725,
  [SMALL_STATE(444)] = 32765,
  [SMALL_STATE(445)] = 32805,
  [SMALL_STATE(446)] = 32845,
  [SMALL_STATE(447)] = 32885,
  [SMALL_STATE(448)] = 32925,
  [SMALL_STATE(449)] = 32965,
  [SMALL_STATE(450)] = 33005,
  [SMALL_STATE(451)] = 33045,
  [SMALL_STATE(452)] = 33085,
  [SMALL_STATE(453)] = 33125,
  [SMALL_STATE(454)] = 33165,
  [SMALL_STATE(455)] = 33205,
  [SMALL_STATE(456)] = 33245,
  [SMALL_STATE(457)] = 33285,
  [SMALL_STATE(458)] = 33325,
  [SMALL_STATE(459)] = 33365,
  [SMALL_STATE(460)] = 33405,
  [SMALL_STATE(461)] = 33468,
  [SMALL_STATE(462)] = 33519,
  [SMALL_STATE(463)] = 33572,
  [SMALL_STATE(464)] = 33629,
  [SMALL_STATE(465)] = 33704,
  [SMALL_STATE(466)] = 33765,
  [SMALL_STATE(467)] = 33828,
  [SMALL_STATE(468)] = 33876,
  [SMALL_STATE(469)] = 33924,
  [SMALL_STATE(470)] = 33992,
  [SMALL_STATE(471)] = 34046,
  [SMALL_STATE(472)] = 34114,
  [SMALL_STATE(473)] = 34164,
  [SMALL_STATE(474)] = 34226,
  [SMALL_STATE(475)] = 34278,
  [SMALL_STATE(476)] = 34336,
  [SMALL_STATE(477)] = 34408,
  [SMALL_STATE(478)] = 34464,
  [SMALL_STATE(479)] = 34514,
  [SMALL_STATE(480)] = 34575,
  [SMALL_STATE(481)] = 34632,
  [SMALL_STATE(482)] = 34695,
  [SMALL_STATE(483)] = 34752,
  [SMALL_STATE(484)] = 34799,
  [SMALL_STATE(485)] = 34840,
  [SMALL_STATE(486)] = 34897,
  [SMALL_STATE(487)] = 34948,
  [SMALL_STATE(488)] = 35007,
  [SMALL_STATE(489)] = 35062,
  [SMALL_STATE(490)] = 35109,
  [SMALL_STATE(491)] = 35175,
  [SMALL_STATE(492)] = 35233,
  [SMALL_STATE(493)] = 35269,
  [SMALL_STATE(494)] = 35305,
  [SMALL_STATE(495)] = 35341,
  [SMALL_STATE(496)] = 35377,
  [SMALL_STATE(497)] = 35443,
  [SMALL_STATE(498)] = 35511,
  [SMALL_STATE(499)] = 35547,
  [SMALL_STATE(500)] = 35583,
  [SMALL_STATE(501)] = 35631,
  [SMALL_STATE(502)] = 35697,
  [SMALL_STATE(503)] = 35733,
  [SMALL_STATE(504)] = 35769,
  [SMALL_STATE(505)] = 35805,
  [SMALL_STATE(506)] = 35841,
  [SMALL_STATE(507)] = 35877,
  [SMALL_STATE(508)] = 35913,
  [SMALL_STATE(509)] = 35979,
  [SMALL_STATE(510)] = 36029,
  [SMALL_STATE(511)] = 36095,
  [SMALL_STATE(512)] = 36131,
  [SMALL_STATE(513)] = 36167,
  [SMALL_STATE(514)] = 36203,
  [SMALL_STATE(515)] = 36239,
  [SMALL_STATE(516)] = 36275,
  [SMALL_STATE(517)] = 36341,
  [SMALL_STATE(518)] = 36377,
  [SMALL_STATE(519)] = 36413,
  [SMALL_STATE(520)] = 36449,
  [SMALL_STATE(521)] = 36485,
  [SMALL_STATE(522)] = 36521,
  [SMALL_STATE(523)] = 36557,
  [SMALL_STATE(524)] = 36593,
  [SMALL_STATE(525)] = 36629,
  [SMALL_STATE(526)] = 36693,
  [SMALL_STATE(527)] = 36759,
  [SMALL_STATE(528)] = 36795,
  [SMALL_STATE(529)] = 36845,
  [SMALL_STATE(530)] = 36881,
  [SMALL_STATE(531)] = 36917,
  [SMALL_STATE(532)] = 36953,
  [SMALL_STATE(533)] = 36989,
  [SMALL_STATE(534)] = 37029,
  [SMALL_STATE(535)] = 37065,
  [SMALL_STATE(536)] = 37101,
  [SMALL_STATE(537)] = 37137,
  [SMALL_STATE(538)] = 37173,
  [SMALL_STATE(539)] = 37228,
  [SMALL_STATE(540)] = 37263,
  [SMALL_STATE(541)] = 37298,
  [SMALL_STATE(542)] = 37333,
  [SMALL_STATE(543)] = 37368,
  [SMALL_STATE(544)] = 37403,
  [SMALL_STATE(545)] = 37438,
  [SMALL_STATE(546)] = 37473,
  [SMALL_STATE(547)] = 37508,
  [SMALL_STATE(548)] = 37543,
  [SMALL_STATE(549)] = 37606,
  [SMALL_STATE(550)] = 37641,
  [SMALL_STATE(551)] = 37702,
  [SMALL_STATE(552)] = 37737,
  [SMALL_STATE(553)] = 37798,
  [SMALL_STATE(554)] = 37833,
  [SMALL_STATE(555)] = 37868,
  [SMALL_STATE(556)] = 37903,
  [SMALL_STATE(557)] = 37938,
  [SMALL_STATE(558)] = 38001,
  [SMALL_STATE(559)] = 38036,
  [SMALL_STATE(560)] = 38071,
  [SMALL_STATE(561)] = 38106,
  [SMALL_STATE(562)] = 38141,
  [SMALL_STATE(563)] = 38176,
  [SMALL_STATE(564)] = 38211,
  [SMALL_STATE(565)] = 38246,
  [SMALL_STATE(566)] = 38309,
  [SMALL_STATE(567)] = 38374,
  [SMALL_STATE(568)] = 38409,
  [SMALL_STATE(569)] = 38454,
  [SMALL_STATE(570)] = 38489,
  [SMALL_STATE(571)] = 38550,
  [SMALL_STATE(572)] = 38613,
  [SMALL_STATE(573)] = 38648,
  [SMALL_STATE(574)] = 38683,
  [SMALL_STATE(575)] = 38718,
  [SMALL_STATE(576)] = 38753,
  [SMALL_STATE(577)] = 38788,
  [SMALL_STATE(578)] = 38823,
  [SMALL_STATE(579)] = 38858,
  [SMALL_STATE(580)] = 38921,
  [SMALL_STATE(581)] = 38956,
  [SMALL_STATE(582)] = 39005,
  [SMALL_STATE(583)] = 39040,
  [SMALL_STATE(584)] = 39093,
  [SMALL_STATE(585)] = 39142,
  [SMALL_STATE(586)] = 39195,
  [SMALL_STATE(587)] = 39230,
  [SMALL_STATE(588)] = 39287,
  [SMALL_STATE(589)] = 39342,
  [SMALL_STATE(590)] = 39399,
  [SMALL_STATE(591)] = 39459,
  [SMALL_STATE(592)] = 39517,
  [SMALL_STATE(593)] = 39575,
  [SMALL_STATE(594)] = 39635,
  [SMALL_STATE(595)] = 39693,
  [SMALL_STATE(596)] = 39753,
  [SMALL_STATE(597)] = 39813,
  [SMALL_STATE(598)] = 39873,
  [SMALL_STATE(599)] = 39933,
  [SMALL_STATE(600)] = 39993,
  [SMALL_STATE(601)] = 40053,
  [SMALL_STATE(602)] = 40113,
  [SMALL_STATE(603)] = 40173,
  [SMALL_STATE(604)] = 40233,
  [SMALL_STATE(605)] = 40293,
  [SMALL_STATE(606)] = 40353,
  [SMALL_STATE(607)] = 40413,
  [SMALL_STATE(608)] = 40469,
  [SMALL_STATE(609)] = 40529,
  [SMALL_STATE(610)] = 40589,
  [SMALL_STATE(611)] = 40649,
  [SMALL_STATE(612)] = 40707,
  [SMALL_STATE(613)] = 40767,
  [SMALL_STATE(614)] = 40827,
  [SMALL_STATE(615)] = 40887,
  [SMALL_STATE(616)] = 40947,
  [SMALL_STATE(617)] = 41007,
  [SMALL_STATE(618)] = 41067,
  [SMALL_STATE(619)] = 41127,
  [SMALL_STATE(620)] = 41187,
  [SMALL_STATE(621)] = 41247,
  [SMALL_STATE(622)] = 41307,
  [SMALL_STATE(623)] = 41367,
  [SMALL_STATE(624)] = 41425,
  [SMALL_STATE(625)] = 41485,
  [SMALL_STATE(626)] = 41545,
  [SMALL_STATE(627)] = 41605,
  [SMALL_STATE(628)] = 41662,
  [SMALL_STATE(629)] = 41719,
  [SMALL_STATE(630)] = 41778,
  [SMALL_STATE(631)] = 41835,
  [SMALL_STATE(632)] = 41892,
  [SMALL_STATE(633)] = 41949,
  [SMALL_STATE(634)] = 42006,
  [SMALL_STATE(635)] = 42063,
  [SMALL_STATE(636)] = 42120,
  [SMALL_STATE(637)] = 42177,
  [SMALL_STATE(638)] = 42234,
  [SMALL_STATE(639)] = 42291,
  [SMALL_STATE(640)] = 42348,
  [SMALL_STATE(641)] = 42405,
  [SMALL_STATE(642)] = 42462,
  [SMALL_STATE(643)] = 42519,
  [SMALL_STATE(644)] = 42576,
  [SMALL_STATE(645)] = 42633,
  [SMALL_STATE(646)] = 42690,
  [SMALL_STATE(647)] = 42747,
  [SMALL_STATE(648)] = 42804,
  [SMALL_STATE(649)] = 42861,
  [SMALL_STATE(650)] = 42918,
  [SMALL_STATE(651)] = 42975,
  [SMALL_STATE(652)] = 43032,
  [SMALL_STATE(653)] = 43089,
  [SMALL_STATE(654)] = 43148,
  [SMALL_STATE(655)] = 43205,
  [SMALL_STATE(656)] = 43262,
  [SMALL_STATE(657)] = 43319,
  [SMALL_STATE(658)] = 43376,
  [SMALL_STATE(659)] = 43433,
  [SMALL_STATE(660)] = 43489,
  [SMALL_STATE(661)] = 43543,
  [SMALL_STATE(662)] = 43599,
  [SMALL_STATE(663)] = 43655,
  [SMALL_STATE(664)] = 43711,
  [SMALL_STATE(665)] = 43769,
  [SMALL_STATE(666)] = 43825,
  [SMALL_STATE(667)] = 43881,
  [SMALL_STATE(668)] = 43937,
  [SMALL_STATE(669)] = 43995,
  [SMALL_STATE(670)] = 44051,
  [SMALL_STATE(671)] = 44107,
  [SMALL_STATE(672)] = 44163,
  [SMALL_STATE(673)] = 44216,
  [SMALL_STATE(674)] = 44269,
  [SMALL_STATE(675)] = 44322,
  [SMALL_STATE(676)] = 44375,
  [SMALL_STATE(677)] = 44428,
  [SMALL_STATE(678)] = 44481,
  [SMALL_STATE(679)] = 44534,
  [SMALL_STATE(680)] = 44587,
  [SMALL_STATE(681)] = 44640,
  [SMALL_STATE(682)] = 44693,
  [SMALL_STATE(683)] = 44746,
  [SMALL_STATE(684)] = 44799,
  [SMALL_STATE(685)] = 44849,
  [SMALL_STATE(686)] = 44899,
  [SMALL_STATE(687)] = 44949,
  [SMALL_STATE(688)] = 44999,
  [SMALL_STATE(689)] = 45049,
  [SMALL_STATE(690)] = 45099,
  [SMALL_STATE(691)] = 45149,
  [SMALL_STATE(692)] = 45199,
  [SMALL_STATE(693)] = 45249,
  [SMALL_STATE(694)] = 45299,
  [SMALL_STATE(695)] = 45349,
  [SMALL_STATE(696)] = 45399,
  [SMALL_STATE(697)] = 45449,
  [SMALL_STATE(698)] = 45499,
  [SMALL_STATE(699)] = 45549,
  [SMALL_STATE(700)] = 45599,
  [SMALL_STATE(701)] = 45649,
  [SMALL_STATE(702)] = 45699,
  [SMALL_STATE(703)] = 45749,
  [SMALL_STATE(704)] = 45799,
  [SMALL_STATE(705)] = 45849,
  [SMALL_STATE(706)] = 45899,
  [SMALL_STATE(707)] = 45949,
  [SMALL_STATE(708)] = 45999,
  [SMALL_STATE(709)] = 46049,
  [SMALL_STATE(710)] = 46099,
  [SMALL_STATE(711)] = 46149,
  [SMALL_STATE(712)] = 46199,
  [SMALL_STATE(713)] = 46249,
  [SMALL_STATE(714)] = 46299,
  [SMALL_STATE(715)] = 46349,
  [SMALL_STATE(716)] = 46399,
  [SMALL_STATE(717)] = 46449,
  [SMALL_STATE(718)] = 46499,
  [SMALL_STATE(719)] = 46549,
  [SMALL_STATE(720)] = 46599,
  [SMALL_STATE(721)] = 46649,
  [SMALL_STATE(722)] = 46699,
  [SMALL_STATE(723)] = 46749,
  [SMALL_STATE(724)] = 46799,
  [SMALL_STATE(725)] = 46849,
  [SMALL_STATE(726)] = 46899,
  [SMALL_STATE(727)] = 46949,
  [SMALL_STATE(728)] = 46999,
  [SMALL_STATE(729)] = 47049,
  [SMALL_STATE(730)] = 47099,
  [SMALL_STATE(731)] = 47149,
  [SMALL_STATE(732)] = 47199,
  [SMALL_STATE(733)] = 47249,
  [SMALL_STATE(734)] = 47299,
  [SMALL_STATE(735)] = 47349,
  [SMALL_STATE(736)] = 47399,
  [SMALL_STATE(737)] = 47449,
  [SMALL_STATE(738)] = 47499,
  [SMALL_STATE(739)] = 47549,
  [SMALL_STATE(740)] = 47599,
  [SMALL_STATE(741)] = 47649,
  [SMALL_STATE(742)] = 47699,
  [SMALL_STATE(743)] = 47749,
  [SMALL_STATE(744)] = 47799,
  [SMALL_STATE(745)] = 47849,
  [SMALL_STATE(746)] = 47875,
  [SMALL_STATE(747)] = 47901,
  [SMALL_STATE(748)] = 47931,
  [SMALL_STATE(749)] = 47957,
  [SMALL_STATE(750)] = 47983,
  [SMALL_STATE(751)] = 48008,
  [SMALL_STATE(752)] = 48032,
  [SMALL_STATE(753)] = 48056,
  [SMALL_STATE(754)] = 48080,
  [SMALL_STATE(755)] = 48104,
  [SMALL_STATE(756)] = 48129,
  [SMALL_STATE(757)] = 48154,
  [SMALL_STATE(758)] = 48175,
  [SMALL_STATE(759)] = 48198,
  [SMALL_STATE(760)] = 48219,
  [SMALL_STATE(761)] = 48240,
  [SMALL_STATE(762)] = 48261,
  [SMALL_STATE(763)] = 48286,
  [SMALL_STATE(764)] = 48310,
  [SMALL_STATE(765)] = 48330,
  [SMALL_STATE(766)] = 48354,
  [SMALL_STATE(767)] = 48373,
  [SMALL_STATE(768)] = 48398,
  [SMALL_STATE(769)] = 48417,
  [SMALL_STATE(770)] = 48451,
  [SMALL_STATE(771)] = 48473,
  [SMALL_STATE(772)] = 48507,
  [SMALL_STATE(773)] = 48525,
  [SMALL_STATE(774)] = 48557,
  [SMALL_STATE(775)] = 48575,
  [SMALL_STATE(776)] = 48609,
  [SMALL_STATE(777)] = 48627,
  [SMALL_STATE(778)] = 48652,
  [SMALL_STATE(779)] = 48677,
  [SMALL_STATE(780)] = 48702,
  [SMALL_STATE(781)] = 48727,
  [SMALL_STATE(782)] = 48752,
  [SMALL_STATE(783)] = 48777,
  [SMALL_STATE(784)] = 48802,
  [SMALL_STATE(785)] = 48827,
  [SMALL_STATE(786)] = 48852,
  [SMALL_STATE(787)] = 48868,
  [SMALL_STATE(788)] = 48884,
  [SMALL_STATE(789)] = 48900,
  [SMALL_STATE(790)] = 48916,
  [SMALL_STATE(791)] = 48932,
  [SMALL_STATE(792)] = 48948,
  [SMALL_STATE(793)] = 48964,
  [SMALL_STATE(794)] = 48980,
  [SMALL_STATE(795)] = 48996,
  [SMALL_STATE(796)] = 49012,
  [SMALL_STATE(797)] = 49028,
  [SMALL_STATE(798)] = 49044,
  [SMALL_STATE(799)] = 49060,
  [SMALL_STATE(800)] = 49076,
  [SMALL_STATE(801)] = 49098,
  [SMALL_STATE(802)] = 49114,
  [SMALL_STATE(803)] = 49130,
  [SMALL_STATE(804)] = 49146,
  [SMALL_STATE(805)] = 49162,
  [SMALL_STATE(806)] = 49178,
  [SMALL_STATE(807)] = 49194,
  [SMALL_STATE(808)] = 49210,
  [SMALL_STATE(809)] = 49226,
  [SMALL_STATE(810)] = 49242,
  [SMALL_STATE(811)] = 49258,
  [SMALL_STATE(812)] = 49274,
  [SMALL_STATE(813)] = 49287,
  [SMALL_STATE(814)] = 49300,
  [SMALL_STATE(815)] = 49313,
  [SMALL_STATE(816)] = 49332,
  [SMALL_STATE(817)] = 49345,
  [SMALL_STATE(818)] = 49364,
  [SMALL_STATE(819)] = 49377,
  [SMALL_STATE(820)] = 49390,
  [SMALL_STATE(821)] = 49403,
  [SMALL_STATE(822)] = 49416,
  [SMALL_STATE(823)] = 49429,
  [SMALL_STATE(824)] = 49452,
  [SMALL_STATE(825)] = 49465,
  [SMALL_STATE(826)] = 49478,
  [SMALL_STATE(827)] = 49491,
  [SMALL_STATE(828)] = 49504,
  [SMALL_STATE(829)] = 49517,
  [SMALL_STATE(830)] = 49530,
  [SMALL_STATE(831)] = 49543,
  [SMALL_STATE(832)] = 49556,
  [SMALL_STATE(833)] = 49569,
  [SMALL_STATE(834)] = 49582,
  [SMALL_STATE(835)] = 49595,
  [SMALL_STATE(836)] = 49608,
  [SMALL_STATE(837)] = 49631,
  [SMALL_STATE(838)] = 49644,
  [SMALL_STATE(839)] = 49657,
  [SMALL_STATE(840)] = 49670,
  [SMALL_STATE(841)] = 49683,
  [SMALL_STATE(842)] = 49699,
  [SMALL_STATE(843)] = 49717,
  [SMALL_STATE(844)] = 49735,
  [SMALL_STATE(845)] = 49755,
  [SMALL_STATE(846)] = 49773,
  [SMALL_STATE(847)] = 49789,
  [SMALL_STATE(848)] = 49809,
  [SMALL_STATE(849)] = 49827,
  [SMALL_STATE(850)] = 49847,
  [SMALL_STATE(851)] = 49865,
  [SMALL_STATE(852)] = 49885,
  [SMALL_STATE(853)] = 49903,
  [SMALL_STATE(854)] = 49919,
  [SMALL_STATE(855)] = 49941,
  [SMALL_STATE(856)] = 49959,
  [SMALL_STATE(857)] = 49975,
  [SMALL_STATE(858)] = 49989,
  [SMALL_STATE(859)] = 50007,
  [SMALL_STATE(860)] = 50025,
  [SMALL_STATE(861)] = 50043,
  [SMALL_STATE(862)] = 50061,
  [SMALL_STATE(863)] = 50081,
  [SMALL_STATE(864)] = 50097,
  [SMALL_STATE(865)] = 50115,
  [SMALL_STATE(866)] = 50133,
  [SMALL_STATE(867)] = 50151,
  [SMALL_STATE(868)] = 50169,
  [SMALL_STATE(869)] = 50187,
  [SMALL_STATE(870)] = 50205,
  [SMALL_STATE(871)] = 50223,
  [SMALL_STATE(872)] = 50241,
  [SMALL_STATE(873)] = 50257,
  [SMALL_STATE(874)] = 50273,
  [SMALL_STATE(875)] = 50291,
  [SMALL_STATE(876)] = 50307,
  [SMALL_STATE(877)] = 50320,
  [SMALL_STATE(878)] = 50333,
  [SMALL_STATE(879)] = 50346,
  [SMALL_STATE(880)] = 50359,
  [SMALL_STATE(881)] = 50372,
  [SMALL_STATE(882)] = 50385,
  [SMALL_STATE(883)] = 50398,
  [SMALL_STATE(884)] = 50415,
  [SMALL_STATE(885)] = 50428,
  [SMALL_STATE(886)] = 50441,
  [SMALL_STATE(887)] = 50458,
  [SMALL_STATE(888)] = 50471,
  [SMALL_STATE(889)] = 50484,
  [SMALL_STATE(890)] = 50497,
  [SMALL_STATE(891)] = 50514,
  [SMALL_STATE(892)] = 50527,
  [SMALL_STATE(893)] = 50540,
  [SMALL_STATE(894)] = 50553,
  [SMALL_STATE(895)] = 50566,
  [SMALL_STATE(896)] = 50579,
  [SMALL_STATE(897)] = 50592,
  [SMALL_STATE(898)] = 50605,
  [SMALL_STATE(899)] = 50624,
  [SMALL_STATE(900)] = 50637,
  [SMALL_STATE(901)] = 50656,
  [SMALL_STATE(902)] = 50669,
  [SMALL_STATE(903)] = 50682,
  [SMALL_STATE(904)] = 50701,
  [SMALL_STATE(905)] = 50720,
  [SMALL_STATE(906)] = 50733,
  [SMALL_STATE(907)] = 50746,
  [SMALL_STATE(908)] = 50759,
  [SMALL_STATE(909)] = 50772,
  [SMALL_STATE(910)] = 50785,
  [SMALL_STATE(911)] = 50802,
  [SMALL_STATE(912)] = 50815,
  [SMALL_STATE(913)] = 50828,
  [SMALL_STATE(914)] = 50841,
  [SMALL_STATE(915)] = 50854,
  [SMALL_STATE(916)] = 50867,
  [SMALL_STATE(917)] = 50886,
  [SMALL_STATE(918)] = 50905,
  [SMALL_STATE(919)] = 50918,
  [SMALL_STATE(920)] = 50931,
  [SMALL_STATE(921)] = 50944,
  [SMALL_STATE(922)] = 50957,
  [SMALL_STATE(923)] = 50974,
  [SMALL_STATE(924)] = 50987,
  [SMALL_STATE(925)] = 51006,
  [SMALL_STATE(926)] = 51019,
  [SMALL_STATE(927)] = 51032,
  [SMALL_STATE(928)] = 51049,
  [SMALL_STATE(929)] = 51062,
  [SMALL_STATE(930)] = 51075,
  [SMALL_STATE(931)] = 51088,
  [SMALL_STATE(932)] = 51101,
  [SMALL_STATE(933)] = 51114,
  [SMALL_STATE(934)] = 51127,
  [SMALL_STATE(935)] = 51146,
  [SMALL_STATE(936)] = 51159,
  [SMALL_STATE(937)] = 51172,
  [SMALL_STATE(938)] = 51185,
  [SMALL_STATE(939)] = 51198,
  [SMALL_STATE(940)] = 51211,
  [SMALL_STATE(941)] = 51230,
  [SMALL_STATE(942)] = 51246,
  [SMALL_STATE(943)] = 51260,
  [SMALL_STATE(944)] = 51276,
  [SMALL_STATE(945)] = 51290,
  [SMALL_STATE(946)] = 51304,
  [SMALL_STATE(947)] = 51318,
  [SMALL_STATE(948)] = 51332,
  [SMALL_STATE(949)] = 51348,
  [SMALL_STATE(950)] = 51362,
  [SMALL_STATE(951)] = 51376,
  [SMALL_STATE(952)] = 51392,
  [SMALL_STATE(953)] = 51408,
  [SMALL_STATE(954)] = 51422,
  [SMALL_STATE(955)] = 51436,
  [SMALL_STATE(956)] = 51452,
  [SMALL_STATE(957)] = 51466,
  [SMALL_STATE(958)] = 51482,
  [SMALL_STATE(959)] = 51492,
  [SMALL_STATE(960)] = 51508,
  [SMALL_STATE(961)] = 51520,
  [SMALL_STATE(962)] = 51534,
  [SMALL_STATE(963)] = 51546,
  [SMALL_STATE(964)] = 51560,
  [SMALL_STATE(965)] = 51574,
  [SMALL_STATE(966)] = 51588,
  [SMALL_STATE(967)] = 51604,
  [SMALL_STATE(968)] = 51618,
  [SMALL_STATE(969)] = 51634,
  [SMALL_STATE(970)] = 51650,
  [SMALL_STATE(971)] = 51666,
  [SMALL_STATE(972)] = 51682,
  [SMALL_STATE(973)] = 51698,
  [SMALL_STATE(974)] = 51712,
  [SMALL_STATE(975)] = 51726,
  [SMALL_STATE(976)] = 51742,
  [SMALL_STATE(977)] = 51758,
  [SMALL_STATE(978)] = 51774,
  [SMALL_STATE(979)] = 51790,
  [SMALL_STATE(980)] = 51806,
  [SMALL_STATE(981)] = 51822,
  [SMALL_STATE(982)] = 51834,
  [SMALL_STATE(983)] = 51850,
  [SMALL_STATE(984)] = 51864,
  [SMALL_STATE(985)] = 51878,
  [SMALL_STATE(986)] = 51894,
  [SMALL_STATE(987)] = 51910,
  [SMALL_STATE(988)] = 51923,
  [SMALL_STATE(989)] = 51936,
  [SMALL_STATE(990)] = 51949,
  [SMALL_STATE(991)] = 51962,
  [SMALL_STATE(992)] = 51975,
  [SMALL_STATE(993)] = 51988,
  [SMALL_STATE(994)] = 52001,
  [SMALL_STATE(995)] = 52010,
  [SMALL_STATE(996)] = 52023,
  [SMALL_STATE(997)] = 52036,
  [SMALL_STATE(998)] = 52049,
  [SMALL_STATE(999)] = 52058,
  [SMALL_STATE(1000)] = 52067,
  [SMALL_STATE(1001)] = 52080,
  [SMALL_STATE(1002)] = 52091,
  [SMALL_STATE(1003)] = 52104,
  [SMALL_STATE(1004)] = 52117,
  [SMALL_STATE(1005)] = 52130,
  [SMALL_STATE(1006)] = 52143,
  [SMALL_STATE(1007)] = 52156,
  [SMALL_STATE(1008)] = 52167,
  [SMALL_STATE(1009)] = 52180,
  [SMALL_STATE(1010)] = 52193,
  [SMALL_STATE(1011)] = 52206,
  [SMALL_STATE(1012)] = 52219,
  [SMALL_STATE(1013)] = 52232,
  [SMALL_STATE(1014)] = 52243,
  [SMALL_STATE(1015)] = 52254,
  [SMALL_STATE(1016)] = 52267,
  [SMALL_STATE(1017)] = 52278,
  [SMALL_STATE(1018)] = 52291,
  [SMALL_STATE(1019)] = 52304,
  [SMALL_STATE(1020)] = 52317,
  [SMALL_STATE(1021)] = 52330,
  [SMALL_STATE(1022)] = 52343,
  [SMALL_STATE(1023)] = 52356,
  [SMALL_STATE(1024)] = 52369,
  [SMALL_STATE(1025)] = 52382,
  [SMALL_STATE(1026)] = 52393,
  [SMALL_STATE(1027)] = 52404,
  [SMALL_STATE(1028)] = 52417,
  [SMALL_STATE(1029)] = 52428,
  [SMALL_STATE(1030)] = 52441,
  [SMALL_STATE(1031)] = 52454,
  [SMALL_STATE(1032)] = 52465,
  [SMALL_STATE(1033)] = 52478,
  [SMALL_STATE(1034)] = 52491,
  [SMALL_STATE(1035)] = 52504,
  [SMALL_STATE(1036)] = 52513,
  [SMALL_STATE(1037)] = 52526,
  [SMALL_STATE(1038)] = 52539,
  [SMALL_STATE(1039)] = 52552,
  [SMALL_STATE(1040)] = 52561,
  [SMALL_STATE(1041)] = 52572,
  [SMALL_STATE(1042)] = 52585,
  [SMALL_STATE(1043)] = 52596,
  [SMALL_STATE(1044)] = 52609,
  [SMALL_STATE(1045)] = 52618,
  [SMALL_STATE(1046)] = 52631,
  [SMALL_STATE(1047)] = 52644,
  [SMALL_STATE(1048)] = 52655,
  [SMALL_STATE(1049)] = 52668,
  [SMALL_STATE(1050)] = 52679,
  [SMALL_STATE(1051)] = 52692,
  [SMALL_STATE(1052)] = 52705,
  [SMALL_STATE(1053)] = 52718,
  [SMALL_STATE(1054)] = 52731,
  [SMALL_STATE(1055)] = 52744,
  [SMALL_STATE(1056)] = 52757,
  [SMALL_STATE(1057)] = 52770,
  [SMALL_STATE(1058)] = 52783,
  [SMALL_STATE(1059)] = 52792,
  [SMALL_STATE(1060)] = 52805,
  [SMALL_STATE(1061)] = 52818,
  [SMALL_STATE(1062)] = 52827,
  [SMALL_STATE(1063)] = 52840,
  [SMALL_STATE(1064)] = 52851,
  [SMALL_STATE(1065)] = 52864,
  [SMALL_STATE(1066)] = 52877,
  [SMALL_STATE(1067)] = 52890,
  [SMALL_STATE(1068)] = 52903,
  [SMALL_STATE(1069)] = 52916,
  [SMALL_STATE(1070)] = 52929,
  [SMALL_STATE(1071)] = 52942,
  [SMALL_STATE(1072)] = 52955,
  [SMALL_STATE(1073)] = 52968,
  [SMALL_STATE(1074)] = 52981,
  [SMALL_STATE(1075)] = 52994,
  [SMALL_STATE(1076)] = 53007,
  [SMALL_STATE(1077)] = 53020,
  [SMALL_STATE(1078)] = 53033,
  [SMALL_STATE(1079)] = 53046,
  [SMALL_STATE(1080)] = 53059,
  [SMALL_STATE(1081)] = 53068,
  [SMALL_STATE(1082)] = 53081,
  [SMALL_STATE(1083)] = 53090,
  [SMALL_STATE(1084)] = 53103,
  [SMALL_STATE(1085)] = 53114,
  [SMALL_STATE(1086)] = 53123,
  [SMALL_STATE(1087)] = 53136,
  [SMALL_STATE(1088)] = 53149,
  [SMALL_STATE(1089)] = 53162,
  [SMALL_STATE(1090)] = 53171,
  [SMALL_STATE(1091)] = 53184,
  [SMALL_STATE(1092)] = 53192,
  [SMALL_STATE(1093)] = 53202,
  [SMALL_STATE(1094)] = 53210,
  [SMALL_STATE(1095)] = 53220,
  [SMALL_STATE(1096)] = 53230,
  [SMALL_STATE(1097)] = 53240,
  [SMALL_STATE(1098)] = 53250,
  [SMALL_STATE(1099)] = 53260,
  [SMALL_STATE(1100)] = 53270,
  [SMALL_STATE(1101)] = 53278,
  [SMALL_STATE(1102)] = 53288,
  [SMALL_STATE(1103)] = 53298,
  [SMALL_STATE(1104)] = 53308,
  [SMALL_STATE(1105)] = 53316,
  [SMALL_STATE(1106)] = 53324,
  [SMALL_STATE(1107)] = 53334,
  [SMALL_STATE(1108)] = 53344,
  [SMALL_STATE(1109)] = 53352,
  [SMALL_STATE(1110)] = 53360,
  [SMALL_STATE(1111)] = 53370,
  [SMALL_STATE(1112)] = 53380,
  [SMALL_STATE(1113)] = 53390,
  [SMALL_STATE(1114)] = 53400,
  [SMALL_STATE(1115)] = 53410,
  [SMALL_STATE(1116)] = 53418,
  [SMALL_STATE(1117)] = 53426,
  [SMALL_STATE(1118)] = 53436,
  [SMALL_STATE(1119)] = 53444,
  [SMALL_STATE(1120)] = 53454,
  [SMALL_STATE(1121)] = 53462,
  [SMALL_STATE(1122)] = 53472,
  [SMALL_STATE(1123)] = 53480,
  [SMALL_STATE(1124)] = 53490,
  [SMALL_STATE(1125)] = 53500,
  [SMALL_STATE(1126)] = 53508,
  [SMALL_STATE(1127)] = 53516,
  [SMALL_STATE(1128)] = 53526,
  [SMALL_STATE(1129)] = 53536,
  [SMALL_STATE(1130)] = 53544,
  [SMALL_STATE(1131)] = 53552,
  [SMALL_STATE(1132)] = 53562,
  [SMALL_STATE(1133)] = 53572,
  [SMALL_STATE(1134)] = 53582,
  [SMALL_STATE(1135)] = 53592,
  [SMALL_STATE(1136)] = 53602,
  [SMALL_STATE(1137)] = 53612,
  [SMALL_STATE(1138)] = 53622,
  [SMALL_STATE(1139)] = 53632,
  [SMALL_STATE(1140)] = 53642,
  [SMALL_STATE(1141)] = 53652,
  [SMALL_STATE(1142)] = 53662,
  [SMALL_STATE(1143)] = 53672,
  [SMALL_STATE(1144)] = 53680,
  [SMALL_STATE(1145)] = 53690,
  [SMALL_STATE(1146)] = 53700,
  [SMALL_STATE(1147)] = 53710,
  [SMALL_STATE(1148)] = 53720,
  [SMALL_STATE(1149)] = 53730,
  [SMALL_STATE(1150)] = 53740,
  [SMALL_STATE(1151)] = 53750,
  [SMALL_STATE(1152)] = 53760,
  [SMALL_STATE(1153)] = 53768,
  [SMALL_STATE(1154)] = 53778,
  [SMALL_STATE(1155)] = 53788,
  [SMALL_STATE(1156)] = 53798,
  [SMALL_STATE(1157)] = 53808,
  [SMALL_STATE(1158)] = 53816,
  [SMALL_STATE(1159)] = 53823,
  [SMALL_STATE(1160)] = 53830,
  [SMALL_STATE(1161)] = 53837,
  [SMALL_STATE(1162)] = 53844,
  [SMALL_STATE(1163)] = 53851,
  [SMALL_STATE(1164)] = 53858,
  [SMALL_STATE(1165)] = 53865,
  [SMALL_STATE(1166)] = 53872,
  [SMALL_STATE(1167)] = 53879,
  [SMALL_STATE(1168)] = 53886,
  [SMALL_STATE(1169)] = 53893,
  [SMALL_STATE(1170)] = 53900,
  [SMALL_STATE(1171)] = 53907,
  [SMALL_STATE(1172)] = 53914,
  [SMALL_STATE(1173)] = 53921,
  [SMALL_STATE(1174)] = 53928,
  [SMALL_STATE(1175)] = 53935,
  [SMALL_STATE(1176)] = 53942,
  [SMALL_STATE(1177)] = 53949,
  [SMALL_STATE(1178)] = 53956,
  [SMALL_STATE(1179)] = 53963,
  [SMALL_STATE(1180)] = 53970,
  [SMALL_STATE(1181)] = 53977,
  [SMALL_STATE(1182)] = 53984,
  [SMALL_STATE(1183)] = 53991,
  [SMALL_STATE(1184)] = 53998,
  [SMALL_STATE(1185)] = 54005,
  [SMALL_STATE(1186)] = 54012,
  [SMALL_STATE(1187)] = 54019,
  [SMALL_STATE(1188)] = 54026,
  [SMALL_STATE(1189)] = 54033,
  [SMALL_STATE(1190)] = 54040,
  [SMALL_STATE(1191)] = 54047,
  [SMALL_STATE(1192)] = 54054,
  [SMALL_STATE(1193)] = 54061,
  [SMALL_STATE(1194)] = 54068,
  [SMALL_STATE(1195)] = 54075,
  [SMALL_STATE(1196)] = 54082,
  [SMALL_STATE(1197)] = 54089,
  [SMALL_STATE(1198)] = 54096,
  [SMALL_STATE(1199)] = 54103,
  [SMALL_STATE(1200)] = 54110,
  [SMALL_STATE(1201)] = 54117,
  [SMALL_STATE(1202)] = 54124,
  [SMALL_STATE(1203)] = 54131,
  [SMALL_STATE(1204)] = 54138,
  [SMALL_STATE(1205)] = 54145,
  [SMALL_STATE(1206)] = 54152,
  [SMALL_STATE(1207)] = 54159,
  [SMALL_STATE(1208)] = 54166,
  [SMALL_STATE(1209)] = 54173,
  [SMALL_STATE(1210)] = 54180,
  [SMALL_STATE(1211)] = 54187,
  [SMALL_STATE(1212)] = 54194,
  [SMALL_STATE(1213)] = 54201,
  [SMALL_STATE(1214)] = 54208,
  [SMALL_STATE(1215)] = 54215,
  [SMALL_STATE(1216)] = 54222,
  [SMALL_STATE(1217)] = 54229,
  [SMALL_STATE(1218)] = 54236,
  [SMALL_STATE(1219)] = 54243,
  [SMALL_STATE(1220)] = 54250,
  [SMALL_STATE(1221)] = 54257,
  [SMALL_STATE(1222)] = 54264,
  [SMALL_STATE(1223)] = 54271,
  [SMALL_STATE(1224)] = 54278,
  [SMALL_STATE(1225)] = 54285,
  [SMALL_STATE(1226)] = 54292,
  [SMALL_STATE(1227)] = 54299,
  [SMALL_STATE(1228)] = 54306,
  [SMALL_STATE(1229)] = 54313,
  [SMALL_STATE(1230)] = 54320,
  [SMALL_STATE(1231)] = 54327,
  [SMALL_STATE(1232)] = 54334,
  [SMALL_STATE(1233)] = 54341,
  [SMALL_STATE(1234)] = 54348,
  [SMALL_STATE(1235)] = 54355,
  [SMALL_STATE(1236)] = 54362,
  [SMALL_STATE(1237)] = 54369,
  [SMALL_STATE(1238)] = 54376,
  [SMALL_STATE(1239)] = 54383,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [73] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [75] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [77] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(237),
  [80] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(908),
  [83] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1233),
  [86] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(773),
  [89] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(149),
  [92] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1009),
  [95] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1018),
  [98] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1062),
  [101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(76),
  [104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(953),
  [107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(163),
  [110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1106),
  [113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(12),
  [116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1225),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1223),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(692),
  [125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(174),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(939),
  [131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(873),
  [134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(872),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1219),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(30),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(201),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(202),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(29),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(21),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(22),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1218),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(301),
  [164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(203),
  [167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(318),
  [170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(973),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(318),
  [176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 2),
  [182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_case, 2),
  [184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, .production_id = 99),
  [186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 4, .production_id = 99),
  [188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 3, .production_id = 38),
  [190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 3, .production_id = 38),
  [192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 3, .production_id = 85),
  [194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_communication_case, 3, .production_id = 85),
  [196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 3, .production_id = 7),
  [198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_case, 3, .production_id = 7),
  [200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 2),
  [202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 2),
  [204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 3),
  [206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 3),
  [208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 25),
  [214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 25),
  [216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 83),
  [254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2),
  [256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 55),
  [258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 54),
  [260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 39),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 39),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, .production_id = 19),
  [290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, .production_id = 19),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, .production_id = 5),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(236),
  [321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(557),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(1114),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(129),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(725),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(1156),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(1197),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(1234),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(737),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(1208),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(698),
  [613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(1164),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(685),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 67),
  [632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 67),
  [634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 40),
  [636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 40),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 5, .production_id = 77),
  [642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 5, .production_id = 77),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 91),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 91),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, .production_id = 44),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, .production_id = 44),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1),
  [672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 3, .production_id = 26),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 3, .production_id = 26),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT_REPEAT(291),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 5),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, .production_id = 70),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, .production_id = 70),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, .production_id = 14),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, .production_id = 14),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 69),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 69),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 6),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 6),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 3),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 3),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, .production_id = 15),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, .production_id = 15),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 2),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 2),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, .production_id = 2),
  [735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_clause, 2, .production_id = 2),
  [737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 2, .production_id = 7),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 2, .production_id = 7),
  [741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 11),
  [743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 11),
  [745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2),
  [747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2),
  [749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 68),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 68),
  [757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 2),
  [759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 2),
  [761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4),
  [763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(1164),
  [770] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1), SHIFT(709),
  [774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(1203),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(125),
  [782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1),
  [785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(684),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 1, .production_id = 3),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 1, .production_id = 3),
  [798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 5),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 5),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 20),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 20),
  [814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, .production_id = 22),
  [820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, .production_id = 22),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 4),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 4),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, .production_id = 92),
  [832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, .production_id = 92),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statement, 1),
  [836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statement, 1),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 1),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2),
  [870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, .production_id = 30),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type, 3, .production_id = 30),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 3),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 3),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 31),
  [888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 31),
  [890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 58),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 58),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 13),
  [938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 13),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 12),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 12),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, .production_id = 60),
  [946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, .production_id = 60),
  [948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, .production_id = 59),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, .production_id = 59),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 2),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 2),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 8, .production_id = 103),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 8, .production_id = 103),
  [968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 7, .production_id = 100),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 7, .production_id = 100),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 58),
  [978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 58),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 3),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 3),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, .production_id = 33),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, .production_id = 33),
  [988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, .production_id = 97),
  [990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, .production_id = 97),
  [992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 5),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 5),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 3),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 3),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 5),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 5),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 4),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 4),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 4),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 4),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 3, .production_id = 21),
  [1018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 3, .production_id = 21),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 35),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 35),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 4, .production_id = 42),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 4, .production_id = 42),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 87),
  [1030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 87),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 88),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 88),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 89),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 89),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(685),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, .production_id = 24),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, .production_id = 24),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 1, .production_id = 4),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 1, .production_id = 4),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 2, .production_id = 16),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 2, .production_id = 16),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_statement, 1, .production_id = 57),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_statement, 2),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_go_statement, 2),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_statement, 3, .production_id = 34),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_statement, 3, .production_id = 34),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [1325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_type, 2, .production_id = 5), SHIFT(548),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3, .production_id = 86),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 4, .production_id = 81),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 2, .production_id = 28),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_spec, 2, .production_id = 52),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_spec, 2, .production_id = 52),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_statement, 3, .production_id = 32),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1163),
  [1603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(140),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1212),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 66),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 66),
  [1633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 66), SHIFT_REPEAT(1203),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 66),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 66),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 66), SHIFT_REPEAT(1210),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 63),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 63),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 73),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 73),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1055),
  [1668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1130),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1059),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [1676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1097),
  [1679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(973),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 5),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 5),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 3),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 3),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 4),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 4),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(152),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type_name, 1, .production_id = 1),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type_name, 1, .production_id = 1),
  [1737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_term, 1, .production_id = 1),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 47),
  [1741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 47),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 75),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 75),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [1761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(166),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, .production_id = 37),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, .production_id = 37),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 38),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 38),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 49),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 49),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 2, .production_id = 17),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 2, .production_id = 17),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(20),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(20),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 1),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, .production_id = 18),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, .production_id = 18),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [1824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 78),
  [1826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 78),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(86),
  [1835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(1192),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2),
  [1852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(51),
  [1855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(1192),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [1860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(741),
  [1863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1192),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [1870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 27),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 27),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 84),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 84),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 4),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, .production_id = 29),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, .production_id = 29),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 3),
  [1900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 3),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, .production_id = 61),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, .production_id = 61),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 7),
  [1908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 7),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 79),
  [1912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 79),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_elem, 1),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_elem, 1),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inc_statement, 2),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inc_statement, 2),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 2, .production_id = 23),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 2, .production_id = 23),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constraint_elem_repeat1, 2),
  [1930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constraint_elem_repeat1, 2),
  [1932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constraint_elem_repeat1, 2), SHIFT_REPEAT(992),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 3),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 3),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 5, .production_id = 90),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 5, .production_id = 90),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 5, .production_id = 90),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 5, .production_id = 90),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 25),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 25),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, .production_id = 31),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 3, .production_id = 31),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_short_var_declaration, 3, .production_id = 32),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_short_var_declaration, 3, .production_id = 32),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 3),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 3),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 3),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 3, .production_id = 36),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 3, .production_id = 36),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, .production_id = 36),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, .production_id = 36),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dec_statement, 2),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dec_statement, 2),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 84),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 84),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 95),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 95),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 5, .production_id = 56),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 5, .production_id = 56),
  [2023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(667),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 3, .production_id = 45),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 3, .production_id = 45),
  [2032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 3, .production_id = 46),
  [2034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 3, .production_id = 46),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 98),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 98),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, .production_id = 9),
  [2042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, .production_id = 9),
  [2044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 7, .production_id = 95),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 7, .production_id = 95),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 2, .production_id = 8),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 2, .production_id = 8),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, .production_id = 8),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, .production_id = 8),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_elem, 2),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_elem, 2),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, .production_id = 8),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, .production_id = 8),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4),
  [2078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4),
  [2080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 2),
  [2082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 2),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 4, .production_id = 56),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 4, .production_id = 56),
  [2090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 2),
  [2092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 2),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, .production_id = 7),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, .production_id = 7),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 2),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 2),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 4),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 4),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, .production_id = 62),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, .production_id = 62),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, .production_id = 61),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, .production_id = 61),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, .production_id = 62),
  [2122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, .production_id = 62),
  [2124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallthrough_statement, 1),
  [2126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallthrough_statement, 1),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_term, 1, .production_id = 1),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2),
  [2204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2), SHIFT_REPEAT(964),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2), SHIFT_REPEAT(800),
  [2214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2), SHIFT_REPEAT(800),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2),
  [2219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(727),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [2224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(952),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(952),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [2250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(469),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_term, 2, .production_id = 51),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_term, 2, .production_id = 51),
  [2291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2), SHIFT_REPEAT(629),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 4, .production_id = 85),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 4, .production_id = 7),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 50),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 50),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [2352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(643),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 48),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 48),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 71),
  [2377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 71),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 18),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 93),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 93),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 72),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 72),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 74),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 74),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 17),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 4),
  [2443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2), SHIFT_REPEAT(683),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_spec, 3, .production_id = 76),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_spec, 3, .production_id = 76),
  [2454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(104),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(50),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, .production_id = 65),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(229),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 3),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 5, .production_id = 99),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(168),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type_name, 1),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type_name, 1),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, .production_id = 38),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 3, .production_id = 64),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 38),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot, 1),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_argument, 2),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 5, .production_id = 94),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 5, .production_id = 96),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, .production_id = 101),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, .production_id = 102),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 9, .production_id = 104),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 82),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 80),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_length_array_type, 4, .production_id = 43),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2726] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 53),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_go(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
